<?php

namespace App\Http\Controllers\Accounts;




use App\Services\InvoiceService;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use Route;

use Illuminate\Pagination\Paginator;
use Illuminate\Support\Collection;

use App\Facades\Company;

use App\Models\Vendor;
use App\Models\PayablePayment;

use App\Models\ReceivablePayment;
use App\Models\PaymentGateway;

class BankController extends Controller
{
    protected $datatableFileName = "datatable.report";


   




    public function bankLedger($id)
    {
        

        $bank = PaymentGateway::findOrfail($id);

    $payables = PayablePayment::where('payment_gateway_id', $id)->with('invoice')->paginate(10, ['*'], 'payables_page');
    
    $receivables = ReceivablePayment::where('payment_gateway_id', $id)->paginate(10, ['*'], 'receivables_page');

    // Merge in single collection
    $combinedItems = new Collection();
    foreach ($payables as $item) {
        $combinedItems->push($item);
    }
    foreach ($receivables as $item) {
        $combinedItems->push($item);
    }

    // Sort the combined items by payment_date
    $sortedItems = $combinedItems->sortBy('payment_date');

    // Paginate the sorted items manually
    $currentPage = Paginator::resolveCurrentPage() ?: 1;
    $perPage = 10;
    $currentPageItems = $sortedItems->slice(($currentPage - 1) * $perPage, $perPage)->all();
    $paginatedItems = new Paginator($currentPageItems, $perPage, $currentPage, ['path' => Paginator::resolveCurrentPath()]);

    
        $company = Company::info();
        return view('accounts.bank.reports.bank-ledger', ['transactions' => $paginatedItems, 'company' => $company, 'bank' =>  $bank]);

    }







}
