<?php

namespace App\Http\Controllers\Accounts;



use App\Http\Controllers\Controller;
use App\Facades\Company;
use DB;

class CashAnalysisController extends Controller
{


    public function index()
    {


        $customer_payments = $this->customerPayments();
        $supplier_payments = $this->supplierPayments();

        $company = Company::info();
        return view('accounts.reports.cash-analysis',
            [
                'customer_payments' => $customer_payments,
                'supplier_payments' => $supplier_payments,
                'company' => $company
            ]);

    }


    private function customerPayments()
    {
        $customer_payments = DB::table(DB::raw('(SELECT 1 as month UNION SELECT 2 UNION SELECT 3 UNION SELECT 4 UNION SELECT 5 UNION SELECT 6 UNION SELECT 7 UNION SELECT 8 UNION SELECT 9 UNION SELECT 10 UNION SELECT 11 UNION SELECT 12) AS months'))
            ->leftJoin(DB::raw('(SELECT MONTH(invoices.invoicedate) as themonth, COALESCE(SUM(quantity * price), 0) AS total_amount_sum, COALESCE(SUM(amount), 0) AS total_charge_sum 
                        FROM invoices 
                        LEFT JOIN invoice_items ON invoices.id = invoice_items.invoice_id
                        LEFT JOIN invoice_charges ON invoices.id = invoice_charges.invoice_id
                        WHERE invoices.company_id = ' . auth()->user()->company_id . ' AND invoices.is_closed = 0 AND invoices.is_receivable = 0
                        GROUP BY themonth) AS invoice_data'), 'months.month', '=', 'invoice_data.themonth')
            ->select(
                'months.month',
                DB::raw('COALESCE(SUM(invoice_data.total_amount_sum), 0) AS total_amount_sum'),
                DB::raw('COALESCE(SUM(invoice_data.total_charge_sum), 0) AS total_charge_sum')
            )
            ->groupBy('months.month')
            ->orderBy('months.month')
            ->get();
        return $customer_payments;
    }

    private function supplierPayments()
    {
        $supplier_payments = DB::table(DB::raw('(SELECT 1 as month UNION SELECT 2 UNION SELECT 3 UNION SELECT 4 UNION SELECT 5 UNION SELECT 6 UNION SELECT 7 UNION SELECT 8 UNION SELECT 9 UNION SELECT 10 UNION SELECT 11 UNION SELECT 12) AS months'))
            ->leftJoin(DB::raw('(SELECT MONTH(purchase_invoices.invoicedate) as themonth, COALESCE(SUM(quantity * price), 0) AS total_amount_sum, COALESCE(SUM(amount), 0) AS total_charge_sum 
                        FROM purchase_invoices 
                        LEFT JOIN purchase_invoice_items ON purchase_invoices.id = purchase_invoice_items.purchase_invoice_id
                        LEFT JOIN purchase_invoice_charges ON purchase_invoices.id = purchase_invoice_charges.purchase_invoice_id
                        WHERE purchase_invoices.company_id = ' . auth()->user()->company_id . ' AND purchase_invoices.is_closed = 0 AND purchase_invoices.is_payable = 0
                        GROUP BY themonth) AS invoice_data'), 'months.month', '=', 'invoice_data.themonth')
            ->select(
                'months.month',
                DB::raw('COALESCE(SUM(invoice_data.total_amount_sum), 0) AS total_amount_sum'),
                DB::raw('COALESCE(SUM(invoice_data.total_charge_sum), 0) AS total_charge_sum')
            )
            ->groupBy('months.month')
            ->orderBy('months.month')
            ->get();
        return $supplier_payments;
    }


}
