<?php



namespace App\Http\Controllers\Accounts;







use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use Auth;

use Illuminate\Support\Facades\DB;

use Illuminate\Support\Facades\Log;

use App\DataTables\CoaDataTable;

use App\Models\COA\ChartOfAccount;

use App\Models\COA\MainCategory;

use App\Models\COA\MainAccount;

use App\Models\COA\SubAccount;



class CoaController extends Controller

{







    public function index(CoaDataTable $dataTable)

    {



        return $dataTable->render('accounts.coa.index');

    }



    public function chartofaccounts()

    {



        $cods = ChartOfAccount::all();

        return response()->json($cods);



    }



    public function maincategories($id)

    {



        $cods = MainCategory::where('chartofaccount_id', $id)->get();

        return response()->json($cods);



    }



    public function mainaccounts($id)

    {



        $cods = MainAccount::where('coa_main_category_id', $id)->get();

        return response()->json($cods);



    }





    // public function sub_account_code($id)

    // {



    //     $account = MainAccount::findOrfail($id);

    //     $account_parent = $account->coa_main_category_id;

    //     $parent = MainCategory::findOrfail($account_parent);

    //     $subaccount = SubAccount::where('coa_account_head_id', $id)->count();

    //     $code = $parent->code . '-' . $account->code . '-0' . $subaccount + 1;

    //     return response()->json($code);



    // }



    public function store_sub_accounts(Request $request)

    {



        $subAccount = new SubAccount();

        $subAccount->name = $request->name;

        $subAccount->code = $request->code;

        $subAccount->coa_account_head_id = $request->coa_account_head_id;

        $subAccount->save();

        return redirect()->back()->with('success', 'Created successfully.');



    }







    public function store(StorePurchaseRequest $request, $id)

    {





        //$existing = Purchase::select('purchaseGroup')->where('order_id', $id)->latest()->get();

        // dd($existing);

        try {



            DB::beginTransaction();



            // Create a new order

            $groupId = 1;

            $existing = Purchase::where('order_id', $id)->exists();

            if ($existing) {

                $purchaseGroup = Purchase::select('purchaseGroup')->where('order_id', $id)->latest()->first();

                $groupId = $purchaseGroup->purchaseGroup + 1;

            }





            $order = new Purchase();



            //basic info

            $order->company_id = auth()->user()->company_id;

            $order->customer_id = $request->customer_id;

            $order->vendor_id = $request->vendor_id;

            $order->order_id = $id;

            $order->purchaseGroup = $groupId;



            //billing info

            $order->billingPerson = $request->billingPerson;

            $order->billingPhone = $request->billingPhone;

            $order->billingEmail = $request->billingEmail;

            $order->billingCountry_id = $request->billingCountry_id;

            $order->billingState_id = $request->billingState_id;

            $order->billingCity = $request->billingCity;

            $order->billingPostal = $request->billingPostal;

            $order->billingAddress = $request->billingAddress;



            //shiping info

            $order->shippingContact = $request->shippingContact;

            $order->shippingCompany = $request->shippingCompany;

            $order->shippingPhone = $request->shippingPhone;

            $order->shippingEmail = $request->shippingEmail;

            $order->shippingCountry_id = $request->shippingCountry_id;

            $order->shippingState_id = $request->shippingState_id;

            $order->shippingCity = $request->shippingCity;

            $order->shippingPostal = $request->shippingPostal;

            $order->shippingAddress = $request->shippingAddress;

            $order->user_id = auth()->user()->id;



            $order->save();



            // Create order items

            foreach ($request->item_id as $key => $itemData) {



                $orderItem = new PurchaseItem();

                $orderItem->purchase_id = $order->id;

                $orderItem->item_id = $itemData;

                $orderItem->quantity = $request->quantity[$key];

                $orderItem->price = $request->price[$key];

                $orderItem->save();

            }



            // Create order charges

            foreach ($request->charge_id as $key => $chargeData) {

                if ($request->charge[$key] != 0) {

                    $orderCharge = new PurchaseCharge();

                    $orderCharge->purchase_id = $order->id;

                    $orderCharge->charge_id = $chargeData;

                    $orderCharge->amount = $request->charge[$key];

                    $orderCharge->save();



                }



            }



            DB::commit();



            return redirect()->back()->with('success', 'Purchase Created successfully.');



        } catch (\Exception $e) {

            DB::rollback();

            // Log the error

            Log::error('Purchase Transaction failed: ' . $e->getMessage());

            dd($e->getMessage());

            // Handle the exception or error message

        }







    }



    public function sub_account_code_auto($id)

    {



        $account = MainAccount::findOrfail($id);

        $account_parent = $account->coa_main_category_id;

        $parent = MainCategory::findOrfail($account_parent);

        $subaccount = SubAccount::where('coa_account_head_id', $id)->count();

        $code = $parent->code . '-' . $account->code . '-0' . $subaccount + 1;

        return $code;



    }

    public function companycoa()

    {









        try {



            DB::beginTransaction();







            $coaAccountHeadId = 18;

            $company_id = auth()->user()->company_id;



            $subAccountNames = ['Tax Leger', 'Sales', 'CC Ledger', 'Freight Ledger'];

            $relatedType = ['tax', 'sales', 'cc', 'shipping'];

            foreach ($subAccountNames as $key => $subAccountName) {



                $code = $this->sub_account_code_auto($coaAccountHeadId);

                $subAccount = new SubAccount();

                $subAccount->name = $subAccountName;

                $subAccount->code = $code;

                $subAccount->related_type = $relatedType[$key];

                $subAccount->coa_account_head_id = $coaAccountHeadId;

                $subAccount->company_id = $company_id;

                $subAccount->save();



            }





            DB::commit();



            //return redirect()->back()->with('success', 'Purchase Created successfully.');



        } catch (\Exception $e) {

            DB::rollback();

            // Log the error

            Log::error(' Transaction failed: ' . $e->getMessage());

            dd($e->getMessage());

            // Handle the exception or error message

        }











    }

    public function customers()

    {

        $searchTerm = request()->input('searchQuery');

        $subaccounts = SubAccount::where(['company_id' => auth()->user()->company_id, 'related_type' => 'App\Models\Customer'])->where('name', 'LIKE', '%' . $searchTerm . '%')->orWhere('code', 'LIKE', '%' . $searchTerm . '%')->limit(5)->get();

        return response()->json($subaccounts);

    }



    public function vendors()

    {



        $searchTerm = request()->input('searchQuery');

        $subaccounts = SubAccount::where(['company_id' => auth()->user()->company_id, 'related_type' => 'App\Models\Vendor'])->where('name', 'LIKE', '%' . $searchTerm . '%')->orWhere('code', 'LIKE', '%' . $searchTerm . '%')->limit(5)->get();

        return response()->json($subaccounts);





    }







}

