<?php

namespace App\Http\Controllers\Accounts;



use App\Http\Controllers\Controller;
use App\Facades\Company;


class GrossProfitController extends Controller
{



    public function index()
    {
        $orders = \App\Models\Order::where('company_id', auth()->user()->company_id)->orderBy('saleorder_id', 'ASC')->paginate(10);
        $so_record = [];
        $po_record = [];
        //$orders = Order::paginate(10);
        $company = Company::info();
        $companyOrderPrefix = $company->companyPrefix;
        $alphabet =
            array('', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z');

        foreach ($orders as $order) {

            $salesInvoices = $order->saleInvoices;
            $purchaseInvoices = $order->purchaseInvoices;
            $salecount = $order->saleInvoices->count();
            $purchasecount = $order->purchaseInvoices->count();



            $invoices = [];


            foreach ($salesInvoices as $key1 => $invoice):
                $isPositive = 1;
                $prefixCreditNote = '';
                if ($invoice->order_type == 2) {
                    $isPositive = -1;
                    $prefixCreditNote = 'CN';
                }
                $invoices['thetype'] = $invoice->order_type = ($invoice->order_type == 1) ? 'Invoice' : 'Credit Note';
                $invoices['sale_rep'] = $invoice->order->saleRep->name;
                $invoices['saleorder_id'] = $companyOrderPrefix . '' . $invoice->order->saleorder_id;
                $invoices['saleorder_date'] = date('d M y', strtotime($invoice->order->orderdate));

                $invoices['invoice'] = $prefixCreditNote . '' . $companyOrderPrefix . '' . $invoice->saleorder_id . '-' . $invoice->invoice_serial;
                $date = date_create($invoice->invoicedate);

                $invoices['invoice_date'] = date_format($date, "d M y");
                $invoices['reference'] = $invoice->ref;
                $invoices['customer'] = $invoice->customer->company;
                $invoices['state'] = $invoice->getStateInfo($invoice->shippingState_id)->name;
                $invoices['gross_sale'] = (double) $invoice->getTotalAmountSumAttribute() * $isPositive;
                $invoices['frieght'] = (double) $invoice->getTotalShippingSumAttribute() * $isPositive;
                $invoices['tax'] = (double) $invoice->getTotalTaxSumAttribute() * $isPositive;
                $invoices['cc_charges'] = (double) $invoice->getTotalCreditCardSumAttribute() * $isPositive;
                $invoices['third_charges'] = (double) $invoice->getTotalThirdSumAttribute() * -1;

                $invoices['invoice_total'] = (double) ($invoice->getTotalAmountSumAttribute() + $invoice->getTotalChargeSumAttribute()) * $isPositive;
                $invoices['net_sale_amount'] = 0;
                $so_record[] = $invoices;


            endforeach;


            $payables = [];
            foreach ($purchaseInvoices as $key2 => $payable):

                $isPositive = 1;
                $prefixDebitNote = '';
                if ($payable->order_type == 2) {
                    $isPositive = -1;
                    $prefixDebitNote = 'DN';
                }
                $payables['po_number'] = $companyOrderPrefix . '' . $payable->saleorder_id . '' . $alphabet[$payable->purchase->purchaseGroup];
                $payables['vendor'] = $payable->vendor->company;
                $payables['pinvoice_no'] = $prefixDebitNote . '' . $companyOrderPrefix . '' . $payable->saleorder_id . '' . $alphabet[$payable->purchase->purchaseGroup] . '-' . $payable->invoice_serial;
                $payables['pinvoice_date'] = date('d M y', strtotime($payable->invoicedate));
                $payables['p_total'] = (double) $payable->getTotalAmountSumAttribute() * $isPositive;
                $payables['pfrieght'] = (double) $payable->getTotalShippingSumAttribute() * $isPositive;
                $payables['ptax'] = (double) $payable->getTotalTaxSumAttribute() * $isPositive;
                $payables['invoice_amount'] = $payables['p_total'] + $payables['pfrieght'] + $payables['ptax'];

                $payables['ptracking'] = '';


                $payables['gross_profit'] = 0;



                $po_record[] = $payables;



            endforeach;



            $emptyRowsSale = 0;
            $emptyRowsPurchase = 0;
            if ($salecount > $purchasecount) {
                $emptyRowsSale = $salecount - $purchasecount;


            }


            if ($purchasecount > $salecount) {
                $emptyRowsPurchase = $purchasecount - $salecount;


            }

            for ($i = 1; $i <= $emptyRowsPurchase; $i++):

                $invoices['thetype'] = '-';
                $invoices['sale_rep'] = '-';
                $invoices['saleorder_id'] = '-';
                $invoices['saleorder_date'] = '-';

                $invoices['invoice'] = '-';
                $invoices['invoice_date'] = '-';
                $invoices['reference'] = '-';
                $invoices['customer'] = '-';
                $invoices['state'] = '-';
                $invoices['gross_sale'] = '-';
                $invoices['frieght'] = '-';
                $invoices['tax'] = '-';
                $invoices['invoice_total'] = '-';
                $invoices['net_sale_amount'] = 0;

                $so_record[] = $invoices;
            endfor;

            for ($i = 1; $i <= $emptyRowsSale; $i++):



                $payables['po_number'] = '-';
                $payables['vendor'] = '-';
                $payables['pinvoice_no'] = '-';
                $payables['pinvoice_date'] = '-';
                $payables['p_total'] = '-';
                $payables['pfrieght'] = '-';
                ;
                $payables['ptax'] = '-';
                $payables['invoice_amount'] = '-';

                $payables['ptracking'] = '';


                $payables['gross_profit'] = '-';

                $po_record[] = $payables;

            endfor;




        }

        $combinedInvoices = [];


        foreach ($po_record as $key => $po_recor) {
            $combinedInvoices[] = array_merge($so_record[$key], $po_recor);
        }


        return view('accounts.reports.gross-profit', compact('combinedInvoices'));
    }



}
