<?php

namespace App\Http\Controllers\Accounts;


use App\Models\PaymentGateway;
use App\Models\COA\SubAccount;
use App\Services\InvoiceService;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use Route;



use App\DataTables\Accounts\PaymentGatewayDatatable;


class PaymentGatewayController extends Controller
{

    use \App\Http\Controllers\Traits\Functions;

    public function index(PaymentGatewayDatatable $dataTable)
    {
        $title = 'Payment Gateways';
        return $dataTable->render('datatable.default', compact('title'));

    }
    public function create()
    {
        return view('accounts.payment-gateways.create');

    }
    public function store(Request $request)
    {

        try {

            DB::beginTransaction();

            $gateway = new PaymentGateway();
            $gateway->name = $request->name;
            $gateway->isActive = 1;
            $gateway->forPurchase = $request->forPurchase;
            $gateway->company_id = auth()->user()->company_id;
            $gateway->save();

            $subaccount = new SubAccount();
            $subaccount->name = $gateway->name;
            $subaccount->related_type = 'App\Models\PaymentGateway';
            $subaccount->code = $this->sub_account_code(6);
            $subaccount->related_id = $gateway->id;
            $subaccount->company_id = auth()->user()->company_id;
            $subaccount->coa_account_head_id = 6;
            $subaccount->reportLink = '/coa/gateway/' . $gateway->id;
            $subaccount->save();

            return redirect()->route('payment-gateways')->with('success', 'Created Successfully');
        } catch (\Exception $e) {
            DB::rollback();
            // Log the error
            Log::error(' Transaction failed: ' . $e->getMessage());
            dd($e->getMessage());
            // Handle the exception or error message
        }

    }


}
