<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use App\Models\Attachment;
use Illuminate\Support\Facades\Storage;
use Auth;

class AttachmentController extends Controller {

    public function attachments($id) {

        $ref = request()->input('ref');
        if(!$ref) {
            abort(404);
        }
        if($ref == 'quote') {
            $attachments = Attachment::where('quote_id', $id)->paginate(100);
            $order = \App\Models\Quotation::where('id', $id)->first();
        }
        if($ref == 'order') {
            $attachments = Attachment::where('order_id', $id)->paginate(100);
            $order = \App\Models\Order::where('id', $id)->first();
        }
        return view('attachments.index', ['attachments' => $attachments, 'order' => $order, 'attachment_ref' => $ref]);

    }
    // public function uploadOrder(Request $request, $id) {
    //     $ref = request()->input('ref');

    //     $image = $request->file('file');
    //     $imageName = time().'.'.$image->extension();
    //     $orgName = $image->getClientOriginalName();

    //     $image->move(public_path('uploads'), $imageName);
    //     $attachment = new Attachment();
    //     $attachment->name = $imageName;
    //     $attachment->fullname = $orgName;
    //     $attachment->company_id = Auth::user()->company_id;

    //     if($ref == 'quote') {
    //         $attachment->quote_id = $id;
    //     }
    //     if($ref == 'order') {
    //         $attachment->order_id = $id;
    //     }
    //     if($ref == 'invoice') {
    //         $attachment->invoice_id = $id;
    //     }
    //     if($ref == 'purchase') {
    //         $attachment->purchase_id = $id;
    //     }

    //     if($ref == 'purchase_invoice') {
    //         $attachment->purchase_invoice_id = $id;
    //     }


    //     $attachment->save();

    //     return response()->json(['message' => 'Files uploaded successfully']);
    // }

    public function uploadOrder(Request $request, $id) {
        $ref = $request->input('ref');

        $image = $request->file('file');
        $imageName = time().'.'.$image->extension();
        $orgName = $image->getClientOriginalName();

        // Save the file to the storage disk
        $image->storeAs('attachments', $imageName, 'public');

        $attachment = new Attachment();
        $attachment->name = $imageName;
        $attachment->fullname = $orgName;
        $attachment->company_id = Auth::user()->company_id;

        if($ref == 'quote') {
            $attachment->quote_id = $id;
        }
        if($ref == 'order') {
            $attachment->order_id = $id;
        }
        if($ref == 'invoice') {
            $attachment->invoice_id = $id;
        }
        if($ref == 'purchase') {
            $attachment->purchase_id = $id;
        }

        if($ref == 'purchase_invoice') {
            $attachment->purchase_invoice_id = $id;
        }

        $attachment->save();

        return response()->json(['message' => 'Files uploaded successfully']);
    }


    public function viewAttachment($filename) {

        $path = storage_path('app/public/attachments/'.$filename);

        if(!Storage::disk('public')->exists('attachments/'.$filename)) {
            abort(404);
        }

        return response()->file($path);
    }


}
