<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use App\Models\Company;
use App\Models\COA\SubAccount;


class CompanyController extends Controller
{


    use \App\Http\Controllers\Traits\Functions;

    public function switch ($id)
    {
        $user = \App\Models\User::where('id', auth()->user()->id)->first();
        $user->company_id = $id;
        $user->save();

        return redirect()->back()->with('success', 'Company switched successfully.');

    }


    public function checkaoa($id)
    {
        return $this->sub_account_code(16);
    }

    public function index()
    {
        $companies = Company::latest()->paginate(100);
        return view('companies.index', ['companies' => $companies]);

    }
    public function create()
    {

        return view('companies.create', [
            'company' => []
        ]);
    }


    public function store(Request $request)
    {


        $vendor = new Company();
        $vendor->email = $request->email;
        $vendor->name = $request->name;
        $vendor->company = $request->company;
        $vendor->website = $request->website;
        $vendor->phone = $request->phone;
        $vendor->company_id = auth()->user()->company_id;
        $vendor->isActive = 1;
        $vendor->save();


        $subaccount = new SubAccount();
        $subaccount->name = $request->company;
        $subaccount->related_type = 'App\Models\Vendor';
        $subaccount->code = $this->sub_account_code(16);
        $subaccount->related_id = $vendor->id;
        $subaccount->company_id = auth()->user()->company_id;
        $subaccount->coa_account_head_id = 16;
        $subaccount->reportLink = '/coa/vendor/' . $vendor->id;
        $subaccount->save();


        return redirect()->back()->with('success', 'Vendor created successfully.');

    }


    public function edit($id)
    {
        $company = Company::find($id);

        return view('Companies.edit', [
            'company' => $company
        ]);
    }




}
