<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use App\Models\Feedback;
use Illuminate\Support\Facades\Storage;
use Auth;

class FeedbackController extends Controller
{
    public function index()
    {
        $feedbacks = Feedback::latest()->paginate(10);
        return view('feedback.index', ['feedbacks' => $feedbacks]);

    }
    public function create()
    {
        return view('feedback.create');
    }


    public function store(Request $request)
    {


        $referenceData = [
            'title' => $request->title,
            'description' => $request->description,
            'company_id' => Auth::user()->company_id,
            'user_id' => Auth::user()->id,
            'status' => 0,
        ];



        Feedback::Insert(
            $referenceData
        );

        return redirect()->route('feebacks.index')->with('success', 'Feedback saved successfully.');
    }


    public function show($id)
    {
        $feedback = Feedback::findOrFail($id);

        return view('feedback.show', ['feedback' => $feedback]);
    }

    public function update(Request $request, $id)
    {

        $feedback = Feedback::findOrFail($id);
        $feedback->status = $request->status;
        $feedback->update();
        return redirect()->back()->with('success', 'Status updated successfully.');

    }

}
