<?php

namespace App\Http\Controllers;

use App\Http\Requests\StoreCustomerRequest;

use Illuminate\Http\Request;
use App\Models\Customer;
use App\Models\Order;
use App\Models\Quotation;
use App\Models\User;
use App\Models\UserInfo;
use App\Models\Company;
use App\Services\CountryService;
use App\Services\StateService;
use App\Services\CountyService;
use DB;

class GeneralController extends Controller
{

    protected $countryService;
    protected $stateService;
    protected $countyService;

    //use \App\Http\Controllers\Traits\Functions;
    use \App\Http\Controllers\Traits\Functions;
    public function __construct(CountryService $countryService, StateService $stateService, CountyService $countyService)
    {
        $this->countryService = $countryService;
        $this->stateService = $stateService;
        $this->countyService = $countyService;
    }


    public function create()
    {
        $countries = $this->countryService->getAllCountries();
        $states = $this->stateService->getStatesByCountryId(1);
        return response()->json($response);
    }



    public function countries()
    {
        $countries = $this->countryService->getAllCountries();
        // $states = $this->stateService->getStatesByCountryId(1);
        return response()->json($countries);
    }
    public function states()
    {
        $country = request()->input('country');
        $states = $this->stateService->getStatesByCountryId($country);
        return response()->json($states);
    }

    public function counties()
    {
        $state = request()->input('state');
        $counties = $this->countyService->getCountiesByStateId($state);
        return response()->json($counties);
    }
    public function quoteno($user_id)
    {

        $user = UserInfo::select('name', 'company_id')->where('user_id', $user_id)->first();
        $order = Quotation::select('quoteid', 'user_id')->where('user_id', $user_id)->latest()->first();



        if ($order) {
            $qid = substr($order->quoteid, 2);
        } else {
            $qid = 0;
        }

        $initials = $this->getInitials($user->name);
        $prefix = Company::select('companyPrefix')->where('id', $user->company_id)->first();

        if (request()->input('isEditForm') == 'yes') {

            if ($order->user_id == $user_id) {
                $quoteid = $order->quoteid;
            } else {
                $quoteid = $initials . '' . $qid + 1;
            }

        } else {

            $quoteid = $initials . '' . $qid + 1;

        }

        return response()->json($quoteid);
    }

    public function getInitials($name)
    {

        $words = explode(" ", $name);
        $initials = "";

        foreach ($words as $word) {
            if (!empty($word)) {
                $initials .= substr($word, 0, 1);
            }
        }

        return substr($initials, 0, 2);

    }


    public function orderShipping()
    {

        $companies = [auth()->user()->company_id, 0];
        $shippings = \App\Models\Shipping::whereIn('company_id', $companies)->get();
        return response()->json($shippings);
    }


    public function parts()
    {
        $partnum = request()->input('partnum');
        $items = \App\Models\QuotationItem::select('name', 'description', 'brand_id', 'price')->where('name', 'LIKE', "%{$partnum}%")->where('isActive', 1)->limit(5)->get();
        return response()->json($items);
    }


    public function brands()
    {

        $brands = \App\Models\Brand::select('name', 'id')->get();
        return response()->json($brands);
    }


}
