<?php

namespace App\Http\Controllers;

use App\Services\OrderService;
use App\Services\PurchaseService;
use App\Services\InvoiceService;
use App\Facades\Company;
use Illuminate\Http\Request;
use Dompdf\Dompdf;
use Dompdf\Options;
use PDF;

class PdfController extends Controller
{
    use \App\Http\Controllers\Traits\Functions;


    protected $orderService;
    protected $purchaseService;
    protected $invoiceService;

    public function __construct(OrderService $orderService, PurchaseService $purchaseService, InvoiceService $invoiceService)
    {
        $this->orderService = $orderService;
        $this->purchaseService = $purchaseService;
        $this->invoiceService = $invoiceService;
    }

    public function quote($id)
    {
        // Load data
        $data['order'] = \App\Models\Quotation::findOrFail($id);
        $data['company'] = Company::info();

        // Generate the PDF using the specified options
        $pdf = \PDF::loadView('pdf.quote', $data)->setOptions(['isHtml5ParserEnabled' => true, 'isPhpEnabled' => true, 'chroot' => public_path()]);

        return $pdf->stream();
    }


    public function order($id)
    {
        // Load data
        $data['order'] = $this->orderService->findOrder($id);
        $data['company'] = Company::info();

        // Generate the PDF using the specified options
        $pdf = \PDF::loadView('pdf.order', $data)->setOptions(['isHtml5ParserEnabled' => true, 'isPhpEnabled' => true, 'chroot' => public_path()]);

        return $pdf->stream();
    }

    public function invoice($id)
    {
        // Load data
        $data['order'] = $this->invoiceService->findOrder($id);
        $data['company'] = Company::info();

        $pdf = \PDF::loadView('pdf.invoice', $data)->setOptions(['isHtml5ParserEnabled' => true, 'isPhpEnabled' => true, 'chroot' => public_path()]);

        return $pdf->stream();
    }

    public function creditnote($id)
    {
        // Load data
        $data['order'] = $this->invoiceService->findOrder($id);
        $data['company'] = Company::info();

        $pdf = \PDF::loadView('pdf.credit-note', $data)->setOptions(['isHtml5ParserEnabled' => true, 'isPhpEnabled' => true, 'chroot' => public_path()]);

        return $pdf->stream();
    }

    public function purchase($id)
    {

        $data['order'] = $this->purchaseService->findPurchase($id);
        $data['company'] = Company::info();

        $pdf = \PDF::loadView('pdf.purchase', $data)->setOptions(['isHtml5ParserEnabled' => true, 'isPhpEnabled' => true, 'chroot' => public_path()]);

        return $pdf->stream();
        //return view('pdf.order');
    }


}
