<?php



namespace App\Http\Controllers\Purchase;



use App\Models\PayablePayment;

use Illuminate\Support\Facades\DB;

use Illuminate\Support\Facades\Log;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use App\Http\Requests\StoreQuoteRequest;



use App\Models\PurchaseInvoice;

use App\Facades\Company;

use App\Models\AllOption;







class PayablePaymentController extends Controller

{



    use \App\Http\Controllers\Traits\Functions;





    public function index()

    {

        $order = '';

        $company = Company::info();

        $payments = \App\Models\PaymentGateway::where(['company_id' => auth()->user()->id, 'gateway_type' => 'cash', 'isActive' => 1])->get();

        return view('purchase.payable-payment.index', ['payments' => $payments, 'company' => $company]);



    }









    public function store(Request $request)

    {



        // dd($request->all());

        try {



            DB::beginTransaction();



            foreach ($request->invoices as $key => $invoice) {



                if ($request->amount[$key] > 0) {

                    $payment = new PayablePayment();

                    $payment->payment_date = $request->payment_date;

                    $payment->purchase_invoice_id = $invoice;

                    $payment->payment_gateway_id = $request->payment_gateway_id;

                    $payment->payment_type = $request->payment_type;
                    $payment->company_id = auth()->user()->company_id;

                    $payment->amount = $request->amount[$key];

                    $payment->user_id = auth()->user()->id;

                    $payment->save();

                }

                $order = PurchaseInvoice::where('id', $invoice)->first();

            //    $orderTotal = $order->total_amount_sum + $order->total_charge_sum;

            $memos = PurchaseInvoice::where(['debit_note_invoice_id' => $invoice, 'company_id' => auth()->user()->company_id])->get();

            $memo_total_amount_sum = 0;
            $memo_total_charge_sum = 0;

            foreach ($memos as $memo) {
                $memo_total_amount_sum += $memo->total_amount_sum;
                $memo_total_charge_sum += $memo->total_charge_sum;
            }

       
            // $order->total_amount_sum = $order->total_amount_sum;
            // $order->total_payment_sum = $order->total_amount_sum;
            // $order->total_charge_sum = $order->total_amount_sum;
            $memo_amount_sum = $memo_total_amount_sum + $memo_total_charge_sum;

               // $orderTotal = $order->total_amount_sum + $order->total_charge_sum;
            $orderTotal = $order->total_amount_sum+$order->total_charge_sum-$memo_amount_sum;
             
                if ($orderTotal == $request->amount[$key]) {
                    $order->is_payable = 0;
                    $order->save();
                }

          

            }

            DB::commit();



            return redirect()->back()->with('success', ' Created successfully.');



        } catch (\Exception $e) {

            DB::rollback(); // Something went wrong, rollback the changes



            // Log the error

            Log::error('Transaction failed: ' . $e->getMessage());

            dd($e->getMessage());

            // Handle the exception or error message

        }







    }



}

