<?php



namespace App\Http\Controllers\Sales;



use App\Services\InvoiceService;

use App\Services\OrderService;

use Illuminate\Support\Facades\DB;

use Illuminate\Support\Facades\Log;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use App\Http\Requests\StoreQuoteRequest;



use App\Models\Invoice;

use App\Facades\Company;

use App\Models\AllOption;





use App\Models\InvoiceItem;

use App\Models\InvoiceCharge;

use App\Models\PaymentGateway;

use App\Models\Customer;



use App\DataTables\InvoiceDataTable;

use App\DataTables\CreditNoteDataTable;



class InvoiceController extends Controller

{



    use \App\Http\Controllers\Traits\Functions;





    protected $invoiceService;

    protected $orderService;



    public function __construct(InvoiceService $invoiceService, OrderService $orderService)

    {

        $this->invoiceService = $invoiceService;

        $this->orderService = $orderService;

    }





    public function index(InvoiceDataTable $dataTable)

    {

        return $dataTable->render('sales.invoices.index');

    }



    public function creditnotes(CreditNoteDataTable $dataTable)

    {

        return $dataTable->render('sales.invoices.index');

    }



    // private function allRequestInputs()

    // {

    //     $whereConditionArray = [];

    //     $parameters = request()->input();



    //     if ($parameters['type-data'] == 'quotes') {

    //         $whereConditionArray['orderType'] = 0;

    //     } else {

    //         $whereConditionArray['orderType'] = 1;

    //     }



    //     return $whereConditionArray;

    // }



    // public function create()

    // {



    //     $sources = $this->alloptions('source');

    //     //$payments = $this->alloptions('payment');

    //     $shippings = $this->alloptions('shipping');

    //     $charges = $this->alloptions('charges');

    //     $taxes = $this->alloptions('tax');

    //     // $countries = \App\Models\Country::all();

    //     $payments = \App\Models\PaymentGateway::all();



    //     return view('sales.invoices.create', [

    //         'customer' => [],

    //         'sources' => $sources,

    //         'payments' => $payments,

    //         'charges' => $charges,

    //         'shippings' => $shippings,

    //         'taxes' => $taxes,

    //         'quoteid' => 'NA',

    //         'order' => $order

    //     ]);

    // }





    public function store(Request $request, $id)

    {





        try {



            DB::beginTransaction();



            // Create a new sale invoice

            $exorder = $this->orderService->findOrder($id);



            $order_type = $request->order_type ? $request->order_type : 1;

            $name_type = $request->order_type ? 'Credit Note' : 'Invoice';

            $count_inv = Invoice::where(['order_id' => $exorder->id, 'order_type' => $order_type])->count();

            $inv_serial = $count_inv + 1;

            // $coa_account_head_id = PaymentGateway::where('id', $request->payment_id)->pluck('coa_account_head_id');

            $credit_note_invoice_id = $request->credit_note_invoice_id ? $request->credit_note_invoice_id : null;



            $order = new Invoice();



            //basic info

            $order->company_id = auth()->user()->company_id;

            $order->order_id = $id;

            $order->user_id = auth()->user()->id;

            $order->invoicedate = $request->invdate;

            $order->duedate = $request->duedate;

            $order->payment_gateway_id = $request->payment_gateway_id;

            $order->ref = $request->ref;

            $order->tracking_details = $request->tracking_details;

            //$order->payment_id = $request->payment_id;

            $order->customer_id = $exorder->customer_id;

            // $order->coa_account_head_id = $coa_account_head_id[0];

            $order->order_type = $order_type;

            $order->credit_note_invoice_id = $credit_note_invoice_id;

            //billing info



            $order->billingPerson = $request->billingPerson;

            $order->billingPhone = $request->billingPhone;

            $order->billingEmail = $request->billingEmail;

            $order->billingCountry_id = $request->billingCountry_id;

            $order->billingState_id = $request->billingState_id;

            $order->billingCity = $request->billingCity;

            $order->billingPostal = $request->billingPostal;

            $order->billingAddress = $request->billingAddress;



            //shiping info

            $order->shippingContact = $request->shippingContact;

            $order->shippingCompany = $request->shippingCompany;

            $order->shippingPhone = $request->shippingPhone;

            $order->shippingEmail = $request->shippingEmail;

            $order->shippingCountry_id = $request->shippingCountry_id;

            $order->shippingState_id = $request->shippingState_id;

            $order->shippingCity = $request->shippingCity;

            $order->shippingPostal = $request->shippingPostal;

            $order->shippingAddress = $request->shippingAddress;

            $order->saleorder_id = $exorder->saleorder_id;

            $order->invoice_serial = $inv_serial;



            $order->save();



            // Create order items

            foreach ($request->item as $key => $itemData) {



                $orderItem = new InvoiceItem();

                $orderItem->invoice_id = $order->id;

                //$orderItem->brand_id = $order->brand_id;

                $orderItem->item_id = $itemData;

                $orderItem->quantity = $request->quantity[$key];

                $orderItem->price = $request->price[$key];

                $orderItem->save();

            }



            // Create order charges

            foreach ($request->charge_id as $key => $chargeData) {



                if ($request->charge[$key] > 0) {

                    $orderCharge = new InvoiceCharge();

                    $orderCharge->invoice_id = $order->id;

                    $orderCharge->charge_id = $chargeData;

                    $orderCharge->amount = $request->charge[$key];

                    $orderCharge->save();

                }

            }





            DB::commit();



            //  return redirect()->back()->with('success', $name_type . ' Created successfully.');

            return redirect()->route('invoices.show', ['id' => $order->id])->with('success', $name_type . ' created successfully.');





        } catch (\Exception $e) {

            DB::rollback(); // Something went wrong, rollback the changes



            // Log the error

            Log::error('Transaction failed: ' . $e->getMessage());

            dd($e->getMessage());

            // Handle the exception or error message

        }







    }





    public function show($id)

    {



        $order = $this->invoiceService->findOrder($id);

        $company = Company::info();

        return view('sales.invoices.view', ['order' => $order, 'company' => $company]);

    }



    public function creditnote_show($id)

    {



        $order = $this->invoiceService->findOrder($id);

        $company = Company::info();

        return view('sales.creditnotes.view', ['order' => $order, 'company' => $company]);

    }





    public function orderInvoices()

    {



        $invoices = $this->invoiceService->allInvoices();

        $id = request()->get('ref_public_key');

        $order = $this->orderService->findOrder($id);

        $company = Company::info();

        $payments = PaymentGateway::where('company_id', $company->id)->where('isActive', 1)->get();





        return view('sales.invoices.order-invoices', ['invoices' => $invoices, 'company' => $company, 'order' => $order, 'payments' => $payments]);



    }



    public function receivableInvoices($id)

    {

        // Retrieve receivable invoices for the authenticated user's company

        $invoices = Invoice::where([

            'is_receivable' => 1,

            'company_id' => auth()->user()->company_id

        ])->whereNull('credit_note_invoice_id')->get();



        // Adjust invoice amounts considering associated credit note invoices

        $invoices->each(function ($invoice) {

            $memos = Invoice::where(['credit_note_invoice_id' => $invoice->id, 'company_id' => auth()->user()->company_id])->get();



            $memo_total_amount_sum = 0;



            $memo_total_charge_sum = 0;



            foreach ($memos as $memo) {

                $memo_total_amount_sum += $memo->total_amount_sum;

                $memo_total_charge_sum += $memo->total_charge_sum;

            }



            // $invoice->total_amount_sum -= $memo_total_amount_sum;

            // $invoice->total_payment_sum -= $memo_total_payment_sum;

            // $invoice->total_charge_sum -= $memo_total_charge_sum;

            $invoice->total_amount_sum = $invoice->total_amount_sum;

            $invoice->total_payment_sum = $invoice->total_amount_sum;

            $invoice->total_charge_sum = $invoice->total_amount_sum;

            $invoice->memo_amount_sum = $memo_total_amount_sum + $memo_total_charge_sum;

        });



        // Return the receivable invoices as a JSON response

        return response()->json($invoices);

    }











    public function invoiceCreditNotes()

    {





        $saleorder_id = request()->get('ref_public_key');

        $id = request()->get('ref_public_parent');



        $order = $this->invoiceService->findOrder($id);



        $invoices = $this->invoiceService->allInvoices();

        $company = Company::info();

        $payments = PaymentGateway::where('company_id', $company->id)->where('isActive', 1)->get();



        return view('sales.creditnotes.order-creditnotes', ['invoices' => $invoices, 'company' => $company, 'order' => $order, 'payments' => $payments]);



    }





    public function payment($id)

    {

        $order = $this->invoiceService->findOrder($id);

        $payments = $this->alloptions('payment');

        $charges = \App\Models\ThirdpartyCharges::where('invoice_id', $id)->latest()->paginate(100);

        return view('sales.invoices.payment-information', ['order' => $order, 'charges' => $charges, 'payments' => $payments]);

    }





    public function savePayment(Request $request, $id)

    {



        $request->validate([

            'amount' => 'required',

            'charge_id' => 'required',



        ]);



        $payment = new \App\Models\ThirdpartyCharges();

        $payment->amount = $request->amount;

        $payment->charge_id = $request->charge_id;

        $payment->invoice_id = $id;

        $payment->company_id = auth()->user()->company_id;

        $payment->user_id = auth()->user()->company_id;

        $payment->save();



        return redirect()->back()->with('success', 'Payment created successfully.');



    }



}

