<?php

namespace App\Http\Controllers\Sales;

use App\Services\OrderService;
use App\Facades\Company;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Requests\StoreQuoteRequest;

use App\Models\Order;

use App\Models\Alloption;

use App\Models\OrderItem;
use App\Models\OrderCharge;
use App\Models\Attachment;
use App\DataTables\OrderDataTable;

class OrderController extends Controller
{

    use \App\Http\Controllers\Traits\Functions;


    protected $orderService;

    public function __construct(OrderService $orderService)
    {
        $this->orderService = $orderService;
    }

    // public function index(Request $request)
    // {



    //     $orders = $this->orderService->allOrders();
    //     $company = Company::info();

    //     return view('sales.orders.index', ['orders' => $orders, 'company' => $company]);
    // }

    public function index(OrderDataTable $dataTable)
    {

        return $dataTable->render('sales.orders.index');
    }

    private function allRequestInputs()
    {
        $whereConditionArray = [];
        $parameters = request()->input();

        if ($parameters['type-data'] == 'quotes') {
            $whereConditionArray['orderType'] = 0;
        } else {
            $whereConditionArray['orderType'] = 1;
        }

        return $whereConditionArray;
    }

    public function create()
    {

        $sources = $this->alloptions('source');
        $payments = $this->alloptions('payment');
        $shippings = $this->alloptions('shipping');
        $charges = $this->alloptions('charges');
        $taxes = $this->alloptions('tax');
        $creditcards = $this->alloptions('cc');
        $countries = \App\Models\Country::all();



        return view('sales.orders.create', [
            'customer' => [],
            'order' => [],
            'sources' => $sources,
            'payments' => $payments,
            'charges' => $charges,
            'shippings' => $shippings,
            'taxes' => $taxes,
            'creditcards' => $creditcards,
            'quoteid' => 'NA'
        ]);
    }


    // public function store(StoreQuoteRequest $request)
// {

    //    // dd($request->all());
//     try {

    //         DB::beginTransaction();

    //         // Create a new order

    //         $order = new Order();

    //         //basic info
//         $order->company_id = auth()->user()->company_id;
//         $order->customer_id = $request->customer_id;
//         $order->ref = $request->ref;
//         $order->user_id = $request->user_id;
//         $order->department_id = $request->department_id;
//         $order->quoteid = $request->quoteid;
//         $order->quotedate = $request->quotedate;
//         $order->payment_id = $request->payment_id;

    //         //billing info

    //         $order->billingPerson = $request->billingPerson;
//         $order->billingPhone = $request->billingPhone;
//         $order->billingEmail = $request->billingEmail;
//         $order->billingCountry_id = $request->billingCountry_id;
//         $order->billingState_id = $request->billingState_id;
//         $order->billingCity = $request->billingCity;
//         $order->billingPostal = $request->billingPostal;
//         $order->billingAddress = $request->billingAddress;

    //         //shiping info
//         $order->shippingContact = $request->shippingContact;
//         $order->shippingCompany = $request->shippingCompany;
//         $order->shippingPhone = $request->shippingPhone;
//         $order->shippingEmail = $request->shippingEmail;
//         $order->shippingCountry_id = $request->shippingCountry_id;
//         $order->shippingState_id = $request->shippingState_id;
//         $order->shippingCity = $request->shippingCity;
//         $order->shippingPostal = $request->shippingPostal;
//         $order->shippingAddress = $request->shippingAddress;
//         $order->user_id = $request->user_id;
//         $order->createdUserId = auth()->user()->id;

    //         $order->save();

    //         // Create order items
//         foreach ($request->item as $key => $itemData) {

    //             $orderItem = new OrderItem();
//             $orderItem->order_id = $order->id;
//             $orderItem->name = $itemData;
//             $orderItem->description = $request->description[$key];
//             $orderItem->quantity =  $request->quantity[$key];
//             $orderItem->price =  $request->price[$key];
//             $orderItem->save();
//         }

    //         // Create order charges
//         foreach ($request->charge_id as $key => $chargeData) {
//             if($request->charge[$key] !== 0){
//             $orderCharge = new OrderCharge();
//             $orderCharge->order_id = $order->id;
//             $orderCharge->charge_id = $chargeData;
//             $orderCharge->amount = $request->charge[$key];
//             $orderCharge->save();

    //             }

    //         }

    //        DB::commit(); // Everything went well, commit the changes

    //        return redirect()->route('quotes')->with('success', 'Quote Created successfully.');

    //     } catch (\Exception $e) {
//         DB::rollback(); // Something went wrong, rollback the changes

    //         // Log the error
//         Log::error('Transaction failed: ' . $e->getMessage());
//         dd($e->getMessage());
//         // Handle the exception or error message
//     }



    // }


    public function edit($id)
    {

        $order = $this->orderService->findOrder($id);
        $sources = $this->alloptions('source');
        $payments = $this->alloptions('payment');
        $shippings = $this->alloptions('shipping');
        $charges = $this->alloptions('charges');
        $taxes = $this->alloptions('tax');
        $countries = \App\Models\Country::all();
        $acharges = Alloption::where(['optionModule' => 'sale', 'optionStatus' => 1, 'company_id' => auth()->user()->company_id])
            ->whereIn('optionType', ['shipping', 'tax', 'charges'])->orderBy('orderBy', 'asc')->get();
        return view('sales.orders.edit', [
            'order' => $order,
            'sources' => $sources,
            'payments' => $payments,
            'acharges' => $acharges,
            // 'shippings'  => $shippings,
            // 'taxes' => $taxes
        ]);
    }



    public function show($id)
    {

        $order = $this->orderService->findOrder($id);
        $company = Company::info();
        return view('sales.orders.view', ['order' => $order, 'company' => $company]);
    }

    // public function attachments($id)
    // {

    //     $attachments = Attachment::where('order_id', $id)->paginate(100);
    //     $order = $this->orderService->findOrder($id);
    //     return view('sales.orders.attachments', ['attachments' => $attachments, 'order' => $order]);

    // }

    // public function refrence($id)
    // {

    //     $attachments = [];
    //     $order = $this->orderService->findOrder($id);
    //     return view('sales.orders.refrence', ['attachments' => $attachments, 'order' => $order]);

    // }

    public function convertOrder($id)
    {
        $order = $this->orderService->findOrder($id);
        if ($order->saleorder_id) {
            abort(404);
        }
        return view('sales.orders.convert-form', ['order' => $order]);
    }

    public function saveRefrence(Request $request, $id)
    {
        $order = $this->orderService->findOrder($id);
        $order->order_desctiption = $request->order_desctiption;
        $order->update();
        return redirect()->back()->with('success', 'Order Updated successfully.');

    }



    // public function storeConvertOrder(Request $request, $id)
    // {


    //     try {

    //         DB::beginTransaction();

    //         $shipping = new \App\Models\OrderShipping();
    //         $shipping->order_id = $id;
    //         $shipping->shipping_id = $request->shipping_id;
    //         $shipping->message = $request->message;
    //         $shipping->account_no = $request->account_no;
    //         $shipping->user_id = auth()->user()->id;
    //         $shipping->save();

    //         // update order

    //         $order = Order::find($id);
    //         $order->orderdate = $request->orderdate;
    //         $order->orderType = 1;
    //         $order->saleorder_id = $shipping->id;
    //         $order->status_id = 2;
    //         // $order->quoteid = $request->quoteid;
    //         // $order->quotedate = $request->quotedate;
    //         // $order->payment_id = $request->payment_id;   
    //         // $order->user_id = auth()->user()->id;
    //         $order->save();

    //         DB::commit(); // Everything went well, commit the changes

    //         return redirect()->route('orders')->with('success', 'Order Created successfully.');

    //     } catch (\Exception $e) {
    //         DB::rollback(); // Something went wrong, rollback the changes

    //         // Log the error
    //         Log::error('Transaction failed: ' . $e->getMessage());
    //         dd($e->getMessage());
    //         // Handle the exception or error message
    //     }


    // }




    public function items(Request $request, $id)
    {

        try {

            DB::beginTransaction();



            // Fetch the existing records from the database
            $existingRecords = DB::table('order_items')->where('order_id', $id)->get();

            // Create an array to keep track of processed 'name' values
            $processedNames = [];

            foreach ($request->input('item') as $index => $name) {
                $description = $request->input('description')[$index];
                $quantity = $request->input('quantity')[$index];
                $price = $request->input('price')[$index];

                // Find the existing record with the same 'name' value, if it exists
                $existingRecord = $existingRecords->firstWhere('name', $name);

                if ($existingRecord) {
                    // Update the existing record
                    DB::table('order_items')
                        ->where('id', $existingRecord->id)
                        ->update([
                            'description' => $description,
                            'quantity' => $quantity,
                            'price' => $price,
                        ]);

                    // Mark this 'name' value as processed
                    $processedNames[] = $name;
                } else {
                    // Insert a new record for the 'name' value if it's not processed
                    if (!in_array($name, $processedNames)) {
                        DB::table('order_items')->insert([
                            'order_id' => $id,
                            'name' => $name,
                            'description' => $description,
                            'quantity' => $quantity,
                            'price' => $price,
                        ]);
                    }
                }
            }

            // Delete records with 'name' values that are not in the received data
            DB::table('order_items')
                ->where('order_id', $id)
                ->whereNotIn('name', $request->input('item'))
                ->delete();



            DB::commit(); // Everything went well, commit the changes

            return redirect()->back()->with('success', 'Order updated successfully.');

        } catch (\Exception $e) {
            DB::rollback(); // Something went wrong, rollback the changes

            // Log the error
            Log::error('Transaction failed: ' . $e->getMessage());
            dd($e->getMessage());
            // Handle the exception or error message
        }

    }

    public function charges(Request $request, $id)
    {
        //dd($request->all());

        $chargeIds = $request->input('charge_id');
        $charges = $request->input('charge');

        // Loop through the charges and update or delete as needed
        foreach ($chargeIds as $index => $chargeId) {
            $ifexists = DB::table('order_charges')->where('charge_id', $chargeId)->where('order_id', $id)->exists();
            $chargeValue = $charges[$index];
            // Check if the charge is zero
            if ($chargeValue == 0) {

                DB::table('order_charges')->where('charge_id', $chargeId)->where('order_id', $id)->delete();
            } else {
                if ($ifexists) {
                    // Update the charge amount if it's not zero
                    DB::table('order_charges')->where('charge_id', $chargeId)->where('order_id', $id)->update(['amount' => $chargeValue]);
                } else {
                    DB::table('order_charges')->insert([
                        'charge_id' => $chargeId,
                        'order_id' => $id,
                        'amount' => $chargeValue
                    ]);
                }
            }

        }

        return redirect()->back()->with('success', 'Order updated successfully.');

    }


    public function basic(Request $request, $id)
    {


        $data = $request->except('_token');
        DB::table('orders')->where('id', $id)->update($data);
        return redirect()->back()->with('success', 'Order updated successfully.');

    }

    public function address(Request $request, $id)
    {

        $data = $request->except(['_token', 'billingCompany']);
        DB::table('orders')->where('id', $id)->update($data);
        return redirect()->back()->with('success', 'Order updated successfully.');
    }

    public function changeOrderStatus(Request $request, $id)
    {
        DB::table('orders')->where('id', $id)->increment('status_id');
        return redirect()->back()->with('success', 'Order updated successfully.');
    }

}
