<?php

namespace App\Http\Controllers\Sales;

use App\Models\ReceivablePayment;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Requests\StoreQuoteRequest;

use App\Models\Invoice;
use App\Facades\Company;
use App\Models\AllOption;



class ReceivablePaymentController extends Controller
{

    use \App\Http\Controllers\Traits\Functions;


    public function index()
    {
        $order = '';
        $company = Company::info();
        $payments = \App\Models\PaymentGateway::where(['company_id' => auth()->user()->id, 'gateway_type' => 'cash', 'isActive' => 1])->get();
        return view('sales.receivable-payment.index', ['payments' => $payments, 'company' => $company]);

    }




    public function store(Request $request)
    {


        try {

            DB::beginTransaction();

            foreach ($request->invoices as $key => $invoice) {

                if ($request->amount[$key] > 0) {
                    $payment = new ReceivablePayment();
                    $payment->payment_date = $request->payment_date;
                    $payment->invoice_id = $invoice;
                    $payment->payment_gateway_id = $request->payment_gateway_id;
                    $payment->payment_type = $request->payment_type;
                    $payment->amount = $request->amount[$key];
                    $payment->user_id = auth()->user()->id;
                    $payment->company_id = auth()->user()->company_id;
                    $payment->save();
                }
                $order = Invoice::where('id', $invoice)->first();
                $orderTotal = $order->total_amount_sum + $order->total_charge_sum;
                if ($orderTotal == $request->amount[$key]) {
                    $order->is_receivable = 0;
                    $order->save();
                }
            }
            DB::commit();

            return redirect()->back()->with('success', ' Created successfully.');

        } catch (\Exception $e) {
            DB::rollback(); // Something went wrong, rollback the changes

            // Log the error
            Log::error('Transaction failed: ' . $e->getMessage());
            dd($e->getMessage());
            // Handle the exception or error message
        }



    }

}
