<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use App\Models\TextReference;
use Illuminate\Support\Facades\Storage;
use Auth;

class TextReferenceController extends Controller
{

    public function reference($id)
    {

        $ref = request()->input('ref');
        if (!$ref) {
            abort(404);
        }
        if ($ref == 'quote') {

            $reference = TextReference::where('quote_id', $id)->first();
            $order = \App\Models\Quotation::where('id', $id)->first();

        }
        if ($ref == 'order') {

            $reference = TextReference::where('order_id', $id)->first();
            $order = \App\Models\Order::where('id', $id)->first();

        }
        // return view('attachments.index', ['reference' => $reference]);
        return view('partials.refrence', ['reference' => $reference, 'order' => $order]);
    }


    public function saveOrUpdateReference(Request $request, $id)
    {
        $ref = $request->input('ref');
        if (!$ref) {
            abort(404);
        }

        $referenceData = [
            'description' => $request->description,
            'company_id' => Auth::user()->company_id,
        ];

        // Determine the identifier based on the reference type
        if ($ref == 'quote') {
            $identifierName = 'quote_id';
        } elseif ($ref == 'order') {
            $identifierName = 'order_id';
        } elseif ($ref == 'invoice') {
            $identifierName = 'invoice_id';
        } elseif ($ref == 'purchase') {
            $identifierName = 'purchase_id';
        } elseif ($ref == 'purchase_invoice') {
            $identifierName = 'purchase_invoice_id';
        } else {
            abort(404);
        }

        $referenceData[$identifierName] = $id;

        TextReference::updateOrInsert(
            [$identifierName => $id],
            $referenceData
        );

        return redirect()->back()->with('success', 'Reference updated successfully.');
    }





}
