<?php



namespace App\Http\Controllers;





use Illuminate\Http\Request;

use App\Models\User;

use App\Models\UserInfo;

use Illuminate\Support\Facades\Hash;





class UserController extends Controller

{





    

    public function index()

    {

        $users = User::latest()->paginate(100); 

        return view('users.index', ['users' => $users]);

    }

public function create()

{

    $user = [];

    return view('users.create', compact('user') );

}





public function store(Request $request)

{





    $request->validate([

        'name' => 'unique:users|required|string|max:255',

        'role_id' => 'required',

        'password' => 'required',

        'email' => 'required',

        'phone' => 'required',

    ]);



    $user = new User();

    $user->name = $request->name;

    $user->role_id = $request->role_id;

    $user->company_id = auth()->user()->company_id;

    

    $user->password = Hash::make($request->password);

    $user->save();

    



    $userinfo = new UserInfo();

    $userinfo->user_id = $user->id;    

    $userinfo->company_id = auth()->user()->company_id;

    $userinfo->name = $request->fullname;

    $userinfo->phone = $request->phone;

    $userinfo->email = $request->email;

    $userinfo->save();





    return redirect()->route('users')->with('success', 'User created successfully.');



}





public function edit($id)

{

    $user = UserInfo::where('id', $id)->where('company_id', auth()->user()->company_id)->first();

    

    return view('users.edit', [

        'user' => $user

    ]);

}



public function update(Request $request, $id)

{

    $user = UserInfo::findOrFail($id);

    

    $user->name = $request->fullname;

    $user->phone = $request->phone;

    $user->email = $request->email;

    $user->update();



    return redirect()->back()->with('success', 'User updated successfully.');



}







public function saleReps(){



    

$users = User::select('id', 'name')
    ->where('company_id', \Auth::user()->company_id)
    ->whereIn('role_id', [2, 3])
    ->whereHas('info')
    ->with('info')
    ->get();




    return response()->json($users);

}





}

