<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class UpdateCustomerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array|string>
     */
    public function rules(): array
    {
        $customerId = $this->route('id');
        
        return [
            'email' => 'required|email|max:255',
            'company' => [
                'required',
                'string',
                'max:255',
                Rule::unique('customers')->ignore($customerId),
            ],
           
            'firstName' => 'required|string|max:255',
            'lastName' => 'required|string|max:255',
            'phone' => 'required|string|max:255',
            'country_id' => 'required|numeric',
            'state_id' => 'required|numeric',
            'city' => 'required|string|max:255',
            'address' => 'required|string|max:255',
            'postalCode' => 'required|string|max:255',
        ];
    }
}
