<?php


namespace App\Services;

use Illuminate\Database\Query\Builder;

use App\Models\Invoice;
use Route;
use Auth;

class InvoiceService
{
    protected $invoice;

    public function __construct(Invoice $invoice)
    {
        $this->invoice = $invoice;
    }

    public function allInvoices()
    {


        //$routeName = Route::currentRouteName(); 
        //$routesArray = ['orders', 'reports.orders', 'reports.pending-orders'];

        //$orderType = (in_array($routeName,  $routesArray)) ? 1 : 0;

        $rawQuery = ' company_id = ' . Auth::user()->company_id;
        //year selection 
        $rawQuery .= $this->orderInvoicesSearch();

        //if($routeName == 'reports.pending-orders'){ $rawQuery .= ' AND status_id = 1';}


        return $this->invoice->whereRaw($rawQuery)->latest()->paginate(10);

    }


    protected function orderInvoicesSearch()
    {

        $rawQuery = ' ';



        if (request()->input('ref_public_key')) {
            $ref_public_key = request()->input('ref_public_key');
            $rawQuery .= ' AND order_id = "' . $ref_public_key . '"';
        }

        if (request()->input('ref_public_parent')) {
            $ref_public_parent = request()->input('ref_public_parent');
            $rawQuery .= ' AND credit_note_invoice_id = "' . $ref_public_parent . '"';
        }

        return $rawQuery;
    }


    public function findOrder($invoiceId)
    {
        return $this->invoice->where('company_id', Auth::user()->company_id)->find($invoiceId);
    }

    public function updateInvoice($invoiceId, $data)
    {
        $invoice = $this->order->findOrFail($invoiceId);
        $invoice->update($data);

        return $invoice;
    }



    // public function invoices(
    //     ?array $whereConditionArray = null
    // ): Builder {
    //     // $invoices = $this->invoice
    //     //     ->where('company_id', auth()?->user()?->company_id);

    //     // if ($whereConditionArray) {
    //     //     $invoices->where($whereConditionArray);
    //     // }

    //     // return $invoices;
    //     return \DB::table('invoices');
    // }

    public function buildQuery(Builder $query): Builder
    {
        return $query->where('order_type', 1)
            ->where('company_id', auth()?->user()?->company_id)
            ->latest();
    }


}
