<?php


namespace App\Services;

use App\Models\Order;
use Route;
use Auth;
class OrderService
{
    protected $order;

    public function __construct(Order $order)
    {
        $this->order = $order;
    }

    public function allOrders()
    {

       
        $routeName = Route::currentRouteName(); 
        $routesArray = ['orders', 'reports.orders', 'reports.pending-orders'];
        
        $orderType = (in_array($routeName,  $routesArray)) ? 1 : 0;

        $rawQuery = ' orderType = '.$orderType;
        //year selection 
        $rawQuery .= $this->quoteSaleSearch();
       
        if($routeName == 'reports.pending-orders'){ $rawQuery .= ' AND status_id = 1';}
       

        return $this->order->whereRaw($rawQuery)->where('company_id', Auth::user()->company_id)->latest()->paginate(10);
    }


    protected function quoteSaleSearch(){

        $rawQuery = ' ';

        if(request()->input('saleorder_id')){
            $rawQuery = ' AND saleorder_id = '.request()->input('saleorder_id');
        }

        if(request()->input('quoteid')){
            $quoteid = request()->input('quoteid');
            $rawQuery = ' AND quoteid = "'.$quoteid.'"';
        }

        if(request()->input('purchaseable_orders')){
            //$status_id = request()->input('purchaseable_orders');
            $rawQuery = ' AND status_id = 3 ';
        }
        if(request()->input('accounts_orders')){
            //$status_id = request()->input('purchaseable_orders');
            $rawQuery = ' AND status_id = 2 ';
        }
        
        

        return $rawQuery;
    }


    public function findOrder($orderId)
    {
        if(!$this->order->exists($orderId)) abort(404);
        return $this->order->where('company_id', Auth::user()->company_id)->find($orderId);
    }

    public function updateOrder($orderId, $data)
    {
        $order = $this->order->findOrFail($orderId);
        $order->update($data);

        return $order;
    }

    
}
