<?php


namespace App\Services;

use App\Models\Purchase;
use App\Models\PurchaseReceiving;
use Route;
use Auth;

class PurchaseService
{
    protected $purchase;
    protected $receiving;
    public function __construct(Purchase $purchase)
    {
        $this->purchase = $purchase;
    }

    public function allPurchases()
    {
        return $this->purchase->where('company_id', Auth::user()->company_id)->latest()->paginate(10);
    }

    public function findPurchase($purchaseId)
    {

        return $this->purchase->where('company_id', Auth::user()->company_id)->find($purchaseId);
    }
    public function allPurchaseReceivings($purchaseId)
    {
        return $this->receiving->where('company_id', Auth::user()->company_id)->latest()->paginate(10);
    }

    public function findPurchaseReceivings($purchaseId)
    {

        return PurchaseReceiving::where('company_id', Auth::user()->company_id)->where('purchase_id', $purchaseId)->latest()->paginate(200);
    }



    public function updateOrder($purchaseId, $data)
    {
        $purchase = $this->purchase->findOrFail($purchaseId);
        $purchase->update($data);

        return $purchase;
    }


}
