<x-datatable-layout>
    <style>
        table {
            text-align: center;

        }

        tbody tr {
            text-align: left;

        }
    </style>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">
                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">

                    </div>
                </div>
            </div>
        </nav>
    </x-slot>
    <div class="relative overflow-x-auto  sm:rounded-lg px-4" style="padding: 60px; display:none;">
        <div class="py-4 pb-4" class="shadow-md">
            <form method="post" action="{{ route('chartofaccounts.sub-accounts-store.store') }}" class="mt-6 space-y-6"
                style="padding-top: 15px;
            padding-bottom: 15px;">
                @csrf
                <div class="flex flex-wrap gap-6">
                    <div class="w-full md:w-1/3">
                        <x-input-label for="chartOfAccount" :value="__('Chart of Account')" />
                        <select class="mt-1 block w-full form-select" id="chartOfAccount">


                        </select>
                    </div>

                    <div class="w-full md:w-1/3">
                        <x-input-label for="mianCategory" :value="__('Mian Category')" />
                        <select class="mt-1 block w-full form-select" id="mianCategory">

                        </select>
                    </div>

                    <div class="w-full md:w-1/3">
                        <x-input-label for="accountHead" :value="__('Account Head')" />
                        <select name="coa_account_head_id" id="accountHead" class="mt-1 block w-full form-select">

                        </select>
                        <x-input-error class="mt-2" :messages="$errors->get('accountHead')" />
                    </div>
                </div>
                <div class="flex flex-wrap gap-6">
                    <div class="w-full md:w-1/3">
                        <x-input-label for="name" :value="__('Sub Account Name')" />
                        <input id="name" name="name" type="text" class="mt-1 block w-full" required
                            autocomplete="off" />
                        <x-input-error class="mt-2" :messages="$errors->get('name')" />
                    </div>
                    <div class="w-full md:w-1/3">
                        <x-input-label for="name" :value="__('Sub Account Code')" />

                        <input id="code" name="code" readonly type="text" class="mt-1 block w-full" required
                            autocomplete="off" />
                    </div>
                    <div class="w-full md:w-1/3">
                        <x-primary-button style="margin-top: 30px;">{{ __('Save') }}</x-primary-button>
                    </div>
                </div>

            </form>



        </div>
    </div>
    @include('partials.datatable')

    @push('scripts')
    <script>
        $(document).ready(function(){
            getChartOfAccount();
        });
        function getChartOfAccount(){
            $.ajaxSetup({
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    }
});



    $.ajax({
        type: "GET",
        url: "{{ route('accounts.chartofaccounts') }}",
        beforeSend: function () {
            $('#chartOfAccount').html('loading');
        },
        success: function (data) {
            $('#chartOfAccount').empty();
            let embedlist = '<option value="">Please Select</option>';
            Object.entries(data).forEach(([key, val]) => {
                embedlist +=`<option value="${val.id}">${val.name} (${val.code})</option>`;
            });
            $('#chartOfAccount').html(embedlist)
        }
    });
        }
        function getMainCategories(id){

            $.ajax({
        type: "GET",
        url: "/chartofaccounts/main-categories/"+id,
        beforeSend: function () {
          //  $('#mianCategory').html('loading');
        },
        success: function (data) {
            $('#mianCategory').empty();
            let embedlist = '<option value="">Please Select</option>';
            Object.entries(data).forEach(([key, val]) => {
                embedlist +=`<option value="${val.id}">${val.name} (${val.code})</option>`;
            });
            $('#mianCategory').html(embedlist)
        }
    });
        }
        function getAccountsHead(id){
            $.ajax({
        type: "GET",
        url: "/chartofaccounts/main-accounts/"+id,
        beforeSend: function () {
          //  $('#mianCategory').html('loading');
        },
        success: function (data) {
            $('#accountHead').empty();
            let embedlist = '<option value="">Please Select</option>';
            Object.entries(data).forEach(([key, val]) => {
                embedlist +=`<option value="${val.id}">${val.name} (${val.code})</option>`;
            });
            $('#accountHead').html(embedlist)
        }
    });
        }
        $('#chartOfAccount').on('change', function() {
           
            getMainCategories(this.value)
            });

            $('#mianCategory').on('change', function() {
               // alert(this.value);
                getAccountsHead(this.value)
                
           });

           $('#accountHead').on('change', function() {
               
               getAccountsCode(this.value)
            
           });


           function getAccountsCode(id){
            $.ajax({
        type: "GET",
        url: "/chartofaccounts/sub-account-code/"+id,
        beforeSend: function () {
         $('#code').val('loading...');
        },
        success: function (data) {
           
            
            $('#code').empty()
            $('#code').val(data)
        }
    });
        }

    </script>
    @endpush
    </x-app-layout>