<x-app-layout>
    @push('styles')

    @endpush
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Cash Receipt') }}
        </h2>
    </x-slot>
    <div class="container mx-auto px-4 mt-4" id="app" style="overflow: auto">
        <div class="relative overflow-x-auto  sm:rounded-lg px-4">


            <div class="py-4 pb-4">
                <form method="post" action="{{ route('finance.save-cash-receipt') }}" class="mt-6 space-y-6"
                    id="quoteForm">
                    @csrf
                    @include('partials.errors')


                    <div class="flex flex-wrap gap-6">

                        <div class="w-full md:w-1/3">
                            <x-input-label for="Date" :value="__('Date')" />

                            <input id="record-date" name="record_date" type="date" class="mt-1 block w-full" required
                                autocomplete="off" />
                            <x-input-error class="mt-2" :messages="$errors->get('record_date')" />
                        </div>


                        <div class="w-full md:w-1/3">
                            <x-input-label for="State" :value="__('Vendor')" />

                            <select label="vendor" name="vendor_id" id="vendor_id" class="mt-1 block w-full form-select"
                                required>
                                @foreach($vendors as $vendor)
                                <option value="{{ $vendor->id }}">{{ $vendor->company }}</option>
                                @endforeach

                            </select>
                            <x-input-error class="mt-2" :messages="$errors->get('vendor_id')" />
                        </div>

                        <div class="w-full md:w-1/3">

                        </div>
                    </div>

                    <table class="w-full border-collapse border border-gray-400 mb-4">
                        <thead>
                            <tr>
                                <th class="py-2 px-4 bg-gray-100 border border-gray-400">Date</th>
                                <th class="py-2 px-4 bg-gray-100 border border-gray-400">Description</th>

                                <th class="py-2 px-4 bg-gray-100 border border-gray-400">Credit</th>
                                {{-- <th class="py-2 px-4 bg-gray-100 border border-gray-400">Tax(%)</th> --}}
                                <th class="py-2 px-4 bg-gray-100 border border-gray-400"></th>
                                {{-- <th class="py-2 px-4 bg-gray-100 border border-gray-400"></th> --}}
                            </tr>
                        </thead>
                        <tbody>
                            <tr v-for="(item, index) in items" :key="index">
                                <td class="py-2 px-4 border border-gray-400">
                                    <input type="date" name="vdate[]" v-model="item.vdate"
                                        class="w-full px-2 py-1 border border-gray-300 rounded" autocomplete="off">

                                </td>
                                <td class="py-2 px-4 border border-gray-400">
                                    <input type="text" name="description[]" v-model="item.description"
                                        class="w-full px-2 py-1 border border-gray-300 rounded" autocomplete="off">
                                </td>

                                <td class="py-2 px-4 border border-gray-400">
                                    <input type="number" name="amount[]" v-model="item.amount"
                                        class="w-full px-2 py-1 border border-gray-300 rounded" step="0.01">
                                </td>
                                {{-- <td class="py-2 px-4 border border-gray-400">
                                    <input type="number" name="tax[]" v-model="item.tax"
                                        class="w-full px-2 py-1 border border-gray-300 rounded" step="0.01">
                                </td> --}}

                                {{-- <td class="py-2 px-4 border border-gray-400">
                                    <input type="text" v-model="calculatedTax[index]" readonly
                                        class="w-full px-2 py-1 border border-gray-300 rounded">
                                </td> --}}
                                <td class="py-2 px-4 border border-gray-400">
                                    <button type="button" class="  text-white font-bold py-1 px-4 "
                                        @click="deleteItem(item)" v-if="items.length > 1"
                                        style="background: #bb1c1c;border-radius: 10px;">
                                        x
                                    </button>
                                </td>
                            </tr>
                        </tbody>
                    </table>

                    <x-primary-button type="button" id="addRow" @click="createItem">{{ __('+') }}</x-primary-button>

                    <div class="flex items-center justify-end mt-4">
                        <x-primary-button>{{ __('Save') }}</x-primary-button>
                    </div>
                </form>



            </div>
        </div>

    </div>

    @push('scripts')
    @include('accounts.finance.scripts.index')
    @endpush

</x-app-layout>