@props(['options' => [], 'label' => '', 'name' => '', 'value' => '', 'default' => '', 'required' => false])

<div>
    <label for="{{ $name }}" class="block font-medium text-sm text-gray-700 dark:text-gray-300">{{ $label }}</label>
    <select {{ $attributes->merge(['class' => 'mt-1 block w-full form-select']) }} id="{{ $name }}" name="{{ $name }}" @if($required) required @endif>
        @if($default)
            <option value="">{{ $default }}</option>
        @endif

        @foreach($options as $optionValue => $optionLabel)
            <option value="{{ $optionValue }}" @if($value == $optionValue) selected @endif>{{ $optionLabel }}</option>
        @endforeach
    </select>

    @error($name)
        <p class="mt-2 text-sm text-red-600">{{ $message }}</p>
    @enderror
</div>
