<div class="flex flex-wrap gap-6">
    <div class="w-full md:w-1/3">
        <x-input-label for="company" :value="__('Company')" />
        <x-text-input id="company" name="company" type="text" class="mt-1 block w-full"
            :value="old('company', $customer?$customer->company:'')" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('company')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="firstName" :value="__('First Name')" />
        <x-text-input id="firstName" name="firstName" type="text"
            :value="old('firstName', $customer?$customer->firstName:'')" class="mt-1 block w-full" required autofocus
            autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('firstName')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="lastName" :value="__('Last Name')" />
        <x-text-input id="lastName" name="lastName" type="text"
            :value="old('lastName', $customer?$customer->lastName:'')" class="mt-1 block w-full" required autofocus
            autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('lastName')" />
    </div>


</div>
<div class="flex flex-wrap gap-6">


    <div class="w-full md:w-1/3">
        <x-input-label for="email1" :value="__('Email')" />
        <x-text-input id="email" name="email" type="email" :value="old('email', $customer?$customer->email:'')"
            class="mt-1 block w-full" required autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('email')" />
    </div>


    <div class="w-full md:w-1/3">
        <x-input-label for="phone" :value="__('Phone')" />
        <x-text-input id="phone" name="phone" type="text" class="mt-1 block w-full"
            :value="old('phone', $customer?$customer->phone:'')" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('phone')" />
    </div>
    <div class="w-full md:w-1/3">
        <x-input-label for="address" :value="__('Address')" />
        <x-text-input id="address" name="address" type="text" :value="old('address', $customer?$customer->address:'')"
            class="mt-1 block w-full" required autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('address')" />
    </div>


</div>
<div class="flex flex-wrap gap-6">
    <div class="w-full md:w-1/3">
        <x-input-label for="Country" :value="__('Country')" />

        <select label="Country" name="country_id" id="country" class="mt-1 block w-full form-select" required
            v-model="selectedCountry" @change="fetchCountries()">
            <option v-for="country in countries" :value="country.id" :key="country.id">@{{ country.name }}</option>
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('country')" />
    </div>
    <div class="w-full md:w-1/3">
        <x-input-label for="State" :value="__('State')" />

        <select label="State" name="state_id" id="state" class="mt-1 block w-full form-select" required
            v-model="selectedState">
            <option v-for="state in statesList" :value="state.id" :key="state.id">@{{ state.name }} - @{{ state.code }}
            </option>
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('state')" />
    </div>
    <div class="w-full md:w-1/3">
        <x-input-label for="city" :value="__('City')" />
        <x-text-input id="city" name="city" type="text" class="mt-1 block w-full"
            :value="old('city', $customer?$customer->city:'')" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('city')" />
    </div>




    <div class="w-full md:w-1/3">
        <x-input-label for="postalCode" :value="__('Postal/Zip Code')" />
        <x-text-input id="postalCode" name="postalCode" type="text" class="mt-1 block w-full"
            :value="old('postalCode', $customer?$customer->postalCode:'')" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('postalCode')" />
    </div>


</div>