<x-app-layout>
    @push('styles')
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/dropzone@5.9.2/dist/min/dropzone.min.css">
    @endpush

    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">
                    <h1 style="font-size: 20px; margin-bottom:20px;"><a href="{{ route('feedbacks.index') }}">All
                            Feedbacks</a></h1>
                </div>
            </div>


        </nav>

    </x-slot>
    <div class="container mx-auto px-4 mt-4 " id="app">
        <h1 style="font-size: 25px;
        font-weight: bold;
        margin-left: 15px;">Feedback</h1>
        <div class="text-center">
            <x-auth-session-status class="mb-4" :status="session('success')" />
        </div>

        <div class="relative overflow-x-auto  sm:rounded-lg px-4">


            <div class="py-4 pb-4">

                <form method="POST" action="{{ route('feedbacks.store') }}">
                    @csrf


                    <x-input-label for="orderdate" :value="__('Feedback Title')" />

                    <input id="title" name="title" type="text" class="mt-1 block w-full" value="" required autofocus
                        autocomplete="off" required />
                    <br><br>
                    <x-input-label for="orderdate" :value="__('Feedback Description')" />

                    <div id="editor"></div>

                    <div style="display: none">
                        <textarea v-model="editorData" name="description"></textarea>
                    </div>

                    <div class="flex items-center justify-end mt-4">



                        <x-primary-button>{{ __('Save') }}</x-primary-button>
                    </div>
                </form>



            </div>
        </div>

    </div>


    @push('scripts')
    <script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>

    <script>
        const { createApp, ref, onMounted } = Vue;

        const app = createApp({
            setup() {
                const editorData = ref(``);
                let editorInstance = null;

                onMounted(() => {
                    // Initialize CKEditor inside the "editor" element
                    editorInstance = CKEDITOR.replace('editor', {
                        height: '300px' // Customize the editor's height as needed
                    });

                    // Set the initial content of CKEditor
                    editorInstance.setData(editorData.value);

                    // Listen for changes in the editor content
                    editorInstance.on('change', () => {
                        editorData.value = editorInstance.getData();
                    });
                });

                const updateEditorData = () => {
                    // Update editor content programmatically
                    editorInstance.setData('<p>New content set programmatically.</p>');
                };

                return {
                    editorData,
                    updateEditorData
                };
            }
        });

        app.mount('#app');
    </script>
    @endpush
</x-app-layout>