<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">
                    <h1 style="font-size: 20px"><b>Feedbacks</b></h1>
                </div>
            </div>


        </nav>

    </x-slot>


    <div class="container mx-auto px-4 mt-4 ">
        <div class="text-center">
            <x-auth-session-status class="mb-4" :status="session('success')" />
        </div>

        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4">


            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <tr>
                        <th scope="col" class="px-6 py-6">
                            #
                        </th>

                        <th scope="col" class="px-6 py-6">
                            TITLE
                        </th>

                        <th scope="col" class="px-6 py-6">
                            STATUS
                        </th>

                        <th scope="col" class="px-6 py-6">
                            DATE
                        </th>

                        <th scope="col" class="px-6 py-6">

                        </th>
                    </tr>
                </thead>
                <tbody>

                    @forelse($feedbacks as $key => $feedback)
                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">
                        <th class=" px-6 py-4"> {{++$key}}</th>
                        <td class="px-6 py-4">{{ $feedback->title }}</td>
                        <td class="px-6 py-4">{{ $feedback->status == 0 ? 'pending' :
                            ($feedback->status == 1 ? 'in progress' : 'completed') }}</td>



                        <td class="px-6 py-4">{{ Carbon\Carbon::parse($feedback->created_at)->format('d M y') }}</td>
                        <td class="px-6 py-4">
                            <a href="{{ route('feedbacks.show', $feedback->id) }}"
                                class="font-medium text-blue-600 dark:text-blue-500 hover:underline">Detail</a>
                        </td>
                    </tr>
                    @empty
                    @endforelse


                </tbody>
            </table>

        </div>

    </div>


    @push('scripts')
    <script>

    </script>
    @endpush

</x-app-layout>