<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">



                    <b><a href="{{ route('feedbacks.index') }}">All Feedbacks</a></b>


                    <form method="post" action="{{ route('feedbacks.update', $feedback->id) }}" class="space-y-6">
                        @csrf
                        @method('PUT')
                        <div class="w-full" style="margin-top: -44px; display: inline-flex;">
                            @php
                            $all_status = ["0" => "pending", "1" => "in progress", "2" => "completed"]
                            @endphp
                            <select label="status" name="status" id="status" class="block w-full form-select" required>
                                @foreach($all_status as $key => $astatus)
                                <option value="{{ $key }}" @if($feedback->status == $key) selected @endif>{{ $astatus }}
                                </option>
                                @endforeach
                            </select>

                            <x-input-error class="mt-2" :messages="$errors->get('status')" />

                            <x-primary-button style="    margin-left: 10px;
                            ">{{ __('Update') }}</x-primary-button>
                        </div>



                </div>

            </div>

        </nav>

    </x-slot>


    <div class="container mx-auto px-4 mt-4 ">
        <div class="text-center">
            <x-auth-session-status class="mb-4" :status="session('success')" />
        </div>

        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4">

            <br>

            <b style="font-size: 30px;">{{ $feedback->title }}</b>
            <br>
            <br>
            <hr />
            <br>
            {!! $feedback->description !!}

        </div>

    </div>


    @push('scripts')
    <script>

    </script>
    @endpush

</x-app-layout>