<form method="post" action="{{ route('purchases-invoices.store', request()->get('ref_public_key')) }}"
    class="mt-6 space-y-6" id="invoiceForm">
    @csrf
    <input type="hidden" name="credit_note_invoice_id" value="{{ request()->get('ref_public_parent') }}">
    <input type="hidden" name="order_type" value="2">
    <input type="hidden" name="order_id" value="{{ request()->get('ref_saleref_key') }}" />

    @if ($errors->any())
    <div class="text-red-500">
        <ul>
            @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
    @endif
    <div class="shadow-md" style="padding: 40px;">
        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Basic
            Information</h2>
        @include('purchase.debitnotes.partials.basic')
    </div>
    <div class="shadow-md" style="padding: 40px;">
        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Billing &
            Shipping</h2>
        <div class="flex flex-wrap gap-6">
            <div class="w-full md:w-1/3">
                <h2 class="mt-2" style="margin-bottom: 15px;font-weight: 600;">
                    Billing Information</h2>
                @include('purchase.debitnotes.partials.billing')
            </div>

            <div class="w-full md:w-1/3">
                <h2 class="mt-2" style="margin-bottom: 15px;font-weight: 600;">
                    Shipping Information</h2>
                @include('purchase.debitnotes.partials.shipping')
            </div>
        </div>

    </div>
    <div class="shadow-md" style="padding: 40px;">
        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Line Items</h2>
        @include('purchase.debitnotes.partials.line-items')
    </div>
    <div class="flex flex-wrap gap-6">
        <div class="w-full md:w-1/3">
        </div>

        <div class="w-full md:w-1/3 sale-form-charges">
            <x-charges category="purchase" />
        </div>
    </div>
    <div class="flex items-center justify-end mt-4">
        <x-primary-button>{{ __('Save') }}</x-primary-button>
    </div>
</form>