<div class="flex flex-wrap gap-6">
    <div class="w-full md:w-1/3">
        <x-input-label for="State" :value="__('Vendors')" />

        <input type="hidden" name="vendor_id" v-model="vendor_id">
        <div class="py-1" v-if="selectedVendor == null">
            <input v-model="searchQuery" @input="fetchVendors" required="" class="w-full border  p-2"
                placeholder="type to search" />
            <ul v-if="vendors.length" class="mt-2" style="    position: absolute;
            background: #fdfdfd;
            padding: 5px 20px 5px 20px;
            cursor: pointer;">
                <li v-for="vendor in vendors" :key="vendor.id" @click="selectVendor(vendor)"
                    class="cursor-pointer p-2 hover:bg-gray-100">
                    @{{ vendor.company }}
                </li>
            </ul>

        </div>

        <div v-if="selectedVendor" class="mt-4">
            <!-- Display selected suggestion details here -->
            <div style="    display: inline-flex;
            ">
                <p>@{{selectedVendor.company}}</p>
                <p style="margin-left: 15px;
    cursor: pointer;
    color: blue;" @click="selectVendor(null)"> @include('icons.pencil')</p>
            </div>
        </div>

    </div>





    <div class="w-full md:w-1/3">
        <x-input-label for="purchasedate" :value="__('Date')" />
        <input id="purchasedate" name="purchasedate" type="date" class="mt-1 block w-full"
            value="{{ $order ? date('Y-m-d', strtotime($order->purchasedate)) : '' }}" required autofocus
            autocomplete="off" />



        <x-input-error class="mt-2" :messages="$errors->get('quotedate')" />
    </div>
    <div class="w-full md:w-1/3">
        <x-input-label for="Payment" :value="__('Payment Term')" />

        <select label="Payment" name="payment_id" id="payment" class="mt-1 block w-full form-select" required>
            @foreach($payments as $payment)
            <option value="{{ $payment['id'] }}" @if($order) @if($order->payment_id == $payment['id']) selected @endif
                @endif>{{ $payment['name'] }}</option>
            @endforeach
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('payment_id')" />
    </div>

</div>
<div class="flex flex-wrap gap-6 mt-6">


    <div class="w-full md:w-1/3">
        <x-input-label for="ref" :value="__('Ref #')" />
        <input id="ref" name="ref" required type="text" v-model="ref" class="mt-1 block w-full" required
            autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('ref')" />
    </div>


    <div class="w-full md:w-1/3">
    </div>
    <div class="w-full md:w-1/3">
    </div>

</div>