<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                        @include('purchase.orders.navigation')
                    </div>
                </div>
            </div>


        </nav>

    </x-slot>


    <div class="container mx-auto px-4 mt-4 " id="app">
        <div class="text-center">
            <x-auth-session-status class="mb-4" :status="session('success')" />
        </div>

        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4 bg-white mb-4">


            <h3 class="relative group mt-8" style="padding: 15px 15px 15px 25px;
            font-size: 20px;">Receiving Details
                <span id="striped-columns" class="absolute -top-[140px]"></span> <a
                    class="ml-2 text-blue-700 opacity-0 transition-opacity dark:text-blue-500 group-hover:opacity-100"
                    href="#striped-columns" aria-label="Link to this section: Striped columns">#</a>
            </h3>
            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <tr>
                        <th scope="col" class="px-6 py-6">
                            Invoice#
                        </th>
                        <th scope="col" class="px-6 py-6">
                            Tracking#
                        </th>
                        <th scope="col" class="px-6 py-6">
                            Date
                        </th>
                        <th scope="col" class="px-6 py-6">
                            Amount
                        </th>
                        <th scope="col" class="px-6 py-6">

                        </th>


                    </tr>
                </thead>
                <tbody>

                    @foreach($receivings as $reveiving)
                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">
                        <td class="px-6 py-4">{{ $reveiving->invoiceNumber }}</td>
                        <td class="px-6 py-4">{{ $reveiving->trackingNumber }}</td>
                        <td class="px-6 py-4">{{Carbon\Carbon::parse($reveiving->invoiceDate)->format('d M y')
                            }}</td>

                        <td class="px-6 py-4">{{ $company->companyCurrency }}{{
                            $reveiving->productCost+$reveiving->freight+$reveiving->tax+$reveiving->ecw }}</td>
                        <td class="px-6 py-4">

                            <div class="dropdown-content flex">
                                <a rel="noopener" target="_blank" href="https://blog.hubspot.com/"
                                    style="margin-left: 10px">@include('icons.view')</a>
                                <a rel="noopener" target="_blank" href="https://academy.hubspot.com/"
                                    style="margin-left: 10px">@include('icons.pencil')</a>
                                {{-- <a rel="noopener" target="_blank" href="https://www.youtube.com/user/hubspot"
                                    style="margin-left: 10px">@include('icons.bin')</a>
                            </div> --}}

                        </td>
                    </tr>

                    @endforeach

                </tbody>
            </table>
            <div class="py-4 pb-4">

            </div>
        </div>


        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4 bg-white mt-4 ">


            <h3 class="relative group mt-8 " style="padding: 15px 15px 15px 25px; font-size: 20px;">Purchase Receiving
                Form
                <span id="striped-columns" class="absolute -top-[140px]"></span> <a
                    class="ml-2 text-blue-700 opacity-0 transition-opacity dark:text-blue-500 group-hover:opacity-100"
                    href="#striped-columns" aria-label="Link to this section: Striped columns">#</a>
            </h3>
            <div style="padding: 10px 100px 100px 100px;">
                @include('purchase.orders.partials.r-form')
            </div>
        </div>



    </div>


    @push('scripts')
    @include('purchase.scripts.receivings')
    @endpush

</x-app-layout>