@php

$items = [["id" => 1, "item" => "", "description" => "", "quantity" => 0, "brand_id" => 16, "price" => 0]];

if ($order) {
$items = [];
foreach ($order->quotationItems as $key => $value) {
$id = $value->id;
$item = $value->name;
$description = $value->description;
$brand_id = $value->brand_id;
$quantity = $value->quantity;
$price = $value->price;

$singleItem = [
"id" => $id,
"item" => $item,
"description" => $description,
"quantity" => $quantity,
"brand_id" => $brand_id,
"price" => $price,
];

$items[] = $singleItem;
}
}


$jsonData = json_encode($items);

@endphp

<script>
  const app = Vue.createApp({
   data() {
     return {
       isEditForm: '{{ $order ? "yes" : "no" }}',
       itemName: '',
       searchQuery: '{{ $order ? $order->vendor->company : null }}',
       quoteNo: 'NA',
       items: @json($items),
       suggestionLists: [],
       selectedVendor: @json($order ? ['company' => $order->vendor->company] : null),
       selectedUser:'',
       vendors:[],

       users:[],
       charges:0,
       ref: '{{ $order ? $order->ref : "" }}',
       vendor_id: '{{ $order ? $order->vendor_id : "" }}',
       //billing address
       billingCompany: '{{ $order ? $order->vendor->company : "" }}',
       billingPerson: '{{ $order ? $order->billingPerson : "" }}',
       billingPhone: '{{ $order ? $order->billingPhone : "" }}',
       billingEmail: '{{ $order ? $order->billingEmail : "" }}',
       billingCity: '{{ $order ? $order->billingCity : "" }}',
       billingCountry_id : null,
       billingState_id : null,
       billingPostal: '{{ $order ? $order->billingPostal : "" }}',
       billingAddress: '{{ $order ? $order->billingAddress : "" }}',
       //shipping address

       shippingCompany: '{{ $order ? $order->shippingCompany : "" }}',
       shippingContact: '{{ $order ? $order->shippingContact : "" }}',
       shippingPhone: '{{ $order ? $order->shippingPhone : "" }}',
       shippingEmail: '{{ $order ? $order->shippingEmail : "" }}',
       shippingCity: '{{ $order ? $order->shippingCity : "" }}',
       shippingPostal: '{{ $order ? $order->shippingPostal : "" }}',
       shippingAddress: '{{ $order ? $order->shippingAddress : "" }}',
       shippingCountry_id : null,
       shippingState_id : null,


       //others
       sameBillingShipping : false,
       billingCountries: [],
       billingStates: [],
       shippingCountries: [],
       shippingStates: [],
       minusfromTotal:0,
       minusSelections : [],
       activeField: null,
     };
   },

   computed: {
    isReadOnly() {
      return this.sameBillingShipping;
    },
    calculatedValues() {
      return this.items.map(item => (item.quantity * item.price).toFixed(2));
    },
    subtotal() {
      return this.items.reduce((total, item) => total + item.price*item.quantity, 0);
    }

  },
   methods: {
    async fetchSuggestions(item, index, fieldType) {
      
      this.activeField = index;
      try {
       const response = await axios.get(`/api/partno-suggestions?partnum=${item.item}`);
       this.suggestionLists = response.data;
     
     } catch (error) {
       console.error('Error fetching data:', error);
     }


    },
    selectSuggestion(index, suggestion) {
      // Handle when a suggestion is clicked
      this.items[index].item = suggestion.name;
      this.items[index].description = suggestion.description;
      this.items[index].brand_id = suggestion.brand_id;
      this.items[index].quantity = 1;
      this.items[index].price = suggestion.price;
      this.items[index].total = suggestion.price*1;
      this.suggestionLists = [];
      // Optionally, you can clear the suggestion list or set suggestionLists[index].show to false
    },
    calculateChargesPercent(id, type){

let percentageInput = document.getElementById("charge-percentage-" + id);
let amountInput = document.getElementById("charge-amount-" + id);

let percentage = parseFloat(percentageInput.value) || 0;
let amount = parseFloat(amountInput.value) || 0;

if (type === 'percentage') {
  // Calculate charge amount based on percentage
  const chargeAmount = (percentage / 100) * this.subtotal;
  amountInput.value = chargeAmount.toFixed(2);
} else if (type === 'amount') {
  // Calculate percentage based on amount
  const calculatedPercentage = (amount / this.subtotal) * 100;
  percentageInput.value = calculatedPercentage.toFixed(2);
}

    },
    calculateCharges() {
        
       // this.sumofPercentage('percentage')
        const inputElements = document.querySelectorAll('.charges-amount');
            let sum = 0;
          inputElements.forEach((element) => {
            sum += parseFloat(element.value || 0);
          });
         this.charges = sum;
         
          },

      sumofPercentage(type){
          
        //calulate anout 
         
          let elements = document.getElementsByClassName("charges-percentage");
            for (let i = 0; i < elements.length; i++) {
              let element = elements[i];
              let headerChargeId = element.getAttribute("headerChargeId");
              this.calculateChargesPercent(headerChargeId, type)
            }

            
      },

    async fetchVendors() { 
      if(this.searchQuery.length > 2){
      try {
       const response = await axios.get(`/api/user/customers/1?searchQuery=${this.searchQuery}`);
       this.vendors = response.data;
       
     } catch (error) {
       console.error('Error fetching data:', error);
     }
    }

     },
     customerBillingAndShipping(){
     
      
      this.billingCompany= this.selectedVendor.company;
      this.billingPerson= this.selectedVendor.firstName+' '+this.selectedVendor.lastName;
      this.billingPhone= this.selectedVendor.phone;
      this.billingEmail= this.selectedVendor.email;
      this.billingCity= this.selectedVendor.city;
      this.billingCountry_id = this.selectedVendor.country_id;
      this.billingState_id = this.selectedVendor.state_id;
      this.billingAddress = this.selectedVendor.address;
      this.billingPostal = this.selectedVendor.postalCode;

      if(!this.sameBillingShipping){
      

      
      this.shippingCompany = this.billingCompany;
      this.shippingContact = this.billingPerson;
      this.shippingPhone = this.billingPhone;
      this.shippingEmail = this.billingEmail;
      this.shippingCity = this.billingCity;
      this.shippingCountry_id = this.billingCountry_id;
      this.shippingState_id = this.billingState_id;
      this.shippingAddress = this.billingAddress;
      this.shippingPostal = this.billingPostal;

      }else{
    
       
        
        // this.shippingCompany = '';
        // this.shippingContact = '';
        // this.shippingPhone = '';
        // this.shippingEmail = '';
        // this.shippingCity = '';
        // this.shippingCountry_id = '';
        // this.shippingState_id = '';
        // this.shippingAddress = '';
        // this.shippingPostal = '';
  
      }
      
      
     },
     selectVendor(vendor) {
      this.selectedVendor = vendor;

      




      this.vendor_id = vendor?vendor.id:null;
      this.vendors = [];
      this.searchQuery = '';
      this.customerBillingAndShipping()
    },
     async fetchUsers() { 
      try {
       const responseUsers = await axios.get('/api/orders/sale-reps');
       this.users = responseUsers.data;
       this.selectedUser ? this.selectedUser : this.selectedUser = responseUsers.data[0].id;
       this.fetchQuoteNo()
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
    
    async fetchBillingCountries() { 
      try {
       const responseCountries = await axios.get('/api/countries');
       this.billingCountries = responseCountries.data;
       if(this.isEditForm == 'no'){
       this.billingCountry_id ? this.billingCountry_id : this.billingCountry_id = responseCountries.data[0].id;
       }else{
        
        this.billingCountry_id  = "{{ $order ? $order->billingCountry_id : 0 }}";

        
       }
       await this.fetchBillingStates(); 
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
     async fetchBillingStates() { 
       try {
         const response = await axios.get(`/api/states?country=${this.billingCountry_id}`);
         this.billingStates = response.data;
         if(this.isEditForm == 'no'){
         this.billingState_id ? this.billingState_id : this.billingState_id = response.data[0].id;
         }else{
          this.billingState_id  = "{{ $order ? $order->billingState_id : 0 }}";
         }
         await this.fetchShippingCountries();
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },
     changeSelectOption(event){
      console.log(event);
      const selectedOption = event.target.selectedOptions[0];
      
      // Get the value of the data-name attribute
      const multiplyAmount = selectedOption.getAttribute('data-multiplyAmount');
      const headerchargeid = selectedOption.getAttribute('data-headerchargeid');
       //console.log("data-multiplyAmount value: " + multiplyAmount);
       var chargeAmount = document.getElementById('charge-amount-'+headerchargeid).value;
       this.minusfromTotal = 0;
       this.calculateCharges();
      if(multiplyAmount < 1){
       //this.minusfromTotal =  this.minusfromTotal+parseFloat(chargeAmount); 
       this.minusSelections.push(headerchargeid);
       
      }else{

      }

      console.log(this.minusSelections)

      console.log(this.minusSelections)
      
    
     },
     async fetchQuoteNo() { 
       try {
        
         const response = await axios.get(`/api/orders/get-quote-no/${this.selectedUser}?isEditForm=${this.isEditForm}`);
         this.quoteNo = response.data;
         
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },

     async fetchShippingCountries() { 
      try {
       const responseCountries = await axios.get('/api/countries');
       this.shippingCountries = responseCountries.data;
       if(this.isEditForm == 'no'){
       this.shippingCountry_id ? this.shippingCountry_id : this.shippingCountry_id = responseCountries.data[0].id;
       }else{
        this.shippingCountry_id  = "{{ $order ? $order->shippingCountry_id : 0 }}";
       }
       await this.fetchShippingStates(); 
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
     async fetchShippingStates() { 
       try {
         const response = await axios.get(`/api/states?country=${this.shippingCountry_id}`);
         this.shippingStates = response.data;
         if(this.isEditForm == 'no'){
         this.shippingState_id ? this.shippingState_id : this.shippingState_id = response.data[0].id;
         }else{
          this.shippingState_id  = "{{ $order ? $order->shippingState_id : 0 }}";
         }

        
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },

     async createItem() {
       
       this.items.push({ id: this.items.length + 1,  item: "", description: "", quantity: 0, price: 0  });
       //this.itemName = '';
     },

      deleteItem(item) {
        if (confirm(`Are you sure you want to delete? you cannot undo it`)) {
        const index = this.items.findIndex(selectedItem => selectedItem.id === item.id);
        if (index !== -1) {
          this.items.splice(index, 1);
        }

      }
       
     },

     showOptions() {
      this.optionsVisible = true;
    },
    hideOptions() {
      setTimeout(() => {
        this.optionsVisible = false;
      }, 200); // Delay to allow click on option
    },
    filterOptions() {
      this.hideOptions();
    },
    selectOption(option) {
      this.searchText = option.label;
      this.hideOptions();
      // Do something with the selected option.value
    }
   },
   async created() {
  
    await this.fetchUsers(); 
    await this.fetchBillingCountries(); 
    //await this.removeSingleQuotes();
   // await this.calculateCharges()
    
   },
 });

 app.mount('#app');


</script>