<x-app-layout>
    @push('styles')
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/dropzone@5.9.2/dist/min/dropzone.min.css">
    @endpush


    <div class="container mx-auto px-4 mt-4 " id="app">

        <div class="text-center">
            <x-auth-session-status class="mb-4" :status="session('success')" />
        </div>

        <div class="relative overflow-x-auto  sm:rounded-lg px-4">


            <div class="py-4 pb-4">

                <form method="POST" action="{{ route('reference.save-text', $order->id) }}">
                    @csrf
                    <input type="hidden" name="ref" value="{{ request()->input('ref') }}">
                    <div id="editor"></div>

                    <div style="display: none">
                        <textarea v-model="editorData" name="description"></textarea>
                    </div>

                    <div class="flex items-center justify-end mt-4">



                        <x-primary-button>{{ __('Save') }}</x-primary-button>
                    </div>
                </form>



            </div>
        </div>

    </div>


    @push('scripts')
    <script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>

    <script>
        const { createApp, ref, onMounted } = Vue;

        const app = createApp({
            setup() {
                const editorData = ref(`{!! $reference?$reference->description:'' !!}`);
                let editorInstance = null;

                onMounted(() => {
                    // Initialize CKEditor inside the "editor" element
                    editorInstance = CKEDITOR.replace('editor', {
                        height: '300px' // Customize the editor's height as needed
                    });

                    // Set the initial content of CKEditor
                    editorInstance.setData(editorData.value);

                    // Listen for changes in the editor content
                    editorInstance.on('change', () => {
                        editorData.value = editorInstance.getData();
                    });
                });

                const updateEditorData = () => {
                    // Update editor content programmatically
                    editorInstance.setData('<p>New content set programmatically.</p>');
                };

                return {
                    editorData,
                    updateEditorData
                };
            }
        });

        app.mount('#app');
    </script>
    @endpush
</x-app-layout>