<form method="post" action="{{ route('purchases-invoices.store', request()->get('ref_public_key')) }}"
    class="mt-6 space-y-6" id="invoiceForm">
    @csrf
    <input type="hidden" name="debit_note_invoice_id" value="{{ request()->get('ref_public_parent') }}">
    <input type="hidden" name="order_type" value="2">
    <input type="hidden" name="order_id" value="{{ request()->get('ref_saleref_key') }}" />

    @if ($errors->any())
    <div class="text-red-500">
        <ul>
            @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
    @endif
    <div class="shadow-md" style="padding: 40px;">
        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Basic
            Information</h2>
        @include('purchase.debitnotes.partials.basic')
    </div>
    <div class="shadow-md" style="padding: 40px;">
        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Billing &
            Shipping</h2>
        <div class="flex flex-wrap gap-6">
            <div class="w-full md:w-1/3">
                <h2 class="mt-2" style="margin-bottom: 15px;font-weight: 600;">
                    Billing Information</h2>
                @include('purchase.debitnotes.partials.billing')
            </div>

            <div class="w-full md:w-1/3">
                <h2 class="mt-2" style="margin-bottom: 15px;font-weight: 600;">
                    Shipping Information</h2>
                @include('purchase.debitnotes.partials.shipping')
            </div>
        </div>

    </div>
    <div class="shadow-md" style="padding: 40px;">
        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Line Items</h2>
        @include('purchase.debitnotes.partials.line-items')
    </div>
    <div class="flex flex-wrap gap-6">
        <div class="w-full md:w-1/3">
        </div>

        <div class="w-full md:w-1/3 sale-form-charges">
           <!--  <x-charges category="purchase" /> -->
           @php

                            $exsitingCharges = [];
                            foreach($order->invoiceCharges as $qc){

                            $charge_id = $qc->charge_id;
                            $amount = $qc->amount;
                            $exsitingCharges[$charge_id] = ['charge_id' => $charge_id, 'amount' => $amount];

                            }

                            $mainHeader = [];

                            foreach ($acharges as $charge) {
                            $optionTypeName = $charge->optionTypeName;
                            $isMultiple = $charge->isMultiple;

                            $headerExists = false;
                            foreach ($mainHeader as $header) {
                            if ($header['headerName'] === $optionTypeName) {
                            $headerExists = true;
                            break;
                            }
                            }

                            if (!$headerExists) {
                            $mainHeader[] = ['headerName' => $optionTypeName, 'isMultiple' => $isMultiple];
                            }
                            }

                            @endphp

                            @foreach ($mainHeader as $header)

                            <div class="mb-4">
                                <div class="flex flex-wrap gap-6">
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3">
                                        @if($header['isMultiple'] == 1)
                                        <label class="block font-bold" style="    margin-left: 10px;    "><b>{{
                                                $header['headerName'] }}</b></label>
                                        @endif
                                    </div>
                                    <div class="w-full md:w-1/3">
                                    </div>
                                </div>
                                @if ($header['isMultiple'] == 0)
                                @foreach ($acharges as $charge)
                                @if ($header['headerName'] == $charge->optionTypeName)
                                <div class="flex flex-wrap gap-6">
                                    <div class="w-full md:w-1/3">
                                    </div>
                                    <div class="w-full md:w-1/3">
                                        <input type="hidden" value="{{ $charge->id }}" name="charge_id[]">
                                        <label class="w-full" style="margin-top: 6px; margin-left: 5px;">{{
                                            $charge->name }}</label>
                                    </div>
                                    <div class=" md:w-1/3">

                                        <input type="number" @if(isset($exsitingCharges[$charge->id]))
                                        value="{{ $exsitingCharges[$charge->id]['amount'] }}"
                                        @else
                                        value ="0"
                                        @endif
                                        class="border rounded px-2 py-1 charges-amount" name="charge[]"
                                        @change="calculateCharges()" step="0.01">
                                    </div>
                                </div>
                                @endif
                                @endforeach
                                @else
                                @php $selectCharges = []; @endphp
                                @foreach ($acharges as $charge)
                                @if ($header['headerName'] == $charge->optionTypeName)
                                @php
                                $nname = $header['headerName'];
                                $selectCharges[$nname][] = ['id' => $charge->id, 'name' => $charge->name];
                                @endphp
                                @endif
                                @endforeach
                                <div class="flex flex-wrap gap-6 mt-4">
                                    <div class="w-full md:w-1/3">

                                    </div>
                                    <div class="w-full md:w-1/3">
                                        @php $selectChargeIdGlobal = 0; @endphp
                                        <select class="block  p-2 border rounded w-full px-2 py-1" name="charge_id[]">
                                            @foreach ($selectCharges[$header['headerName']] as $selectCharge)
                                            @php
                                            $selectChargeId = $selectCharge['id'];
                                            if(isset($exsitingCharges[$selectChargeId])){
                                            if($exsitingCharges[$selectChargeId]['charge_id']==$selectChargeId){

                                            $selectChargeIdGlobal = $selectCharge['id'];
                                            } }

                                            @endphp
                                            <option value="{{ $selectCharge['id'] }}"
                                                @if(isset($exsitingCharges[$selectChargeId]))
                                                @if($exsitingCharges[$selectChargeId]['charge_id']==$selectChargeId)
                                                selected @endif @endif>{{
                                                $selectCharge['name'] }}



                                            </option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class=" md:w-1/3">

                                        <input type="number" @if(isset($exsitingCharges[$selectChargeIdGlobal]))
                                            value="{{ $exsitingCharges[$selectChargeIdGlobal]['amount'] }}" @else
                                            value="0" @endif class="border rounded px-2 py-1 charges-amount"
                                            name="charge[]" @change="calculateCharges()" step="0.01">
                                    </div>
                                </div>
                                @endif
                            </div>
                            @endforeach

        </div>
    </div>
    <div class="flex items-center justify-end mt-4">
        <x-primary-button>{{ __('Save') }}</x-primary-button>
    </div>
</form>