<div class="flex flex-wrap gap-6">
    <div class="w-full md:w-1/3">
        <x-input-label for="Country" :value="__('Purchase Date*')" />

        <x-text-input type="date" name="purchasedate" class="mt-1 block w-full"
            value="{{ $purchase ? date('Y-m-d', strtotime($purchase->purchasedate)) : '' }}" required
            autocomplete="off" />

    </div>
    <div class="w-full md:w-1/3">
        <x-input-label for="Country" :value="__('Vendor*')" />

        <select label="Vendor" name="vendor_id" id="vendor" class="mt-1 block w-full form-select" required>
            <option v-for="vendor in vendors" :value="vendor.id" :key="vendor.id">@{{ vendor.company }}</option>
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('vendor_id')" />
    </div>
    <div class="w-full md:w-1/3">
        <x-input-label for="ref" :value="__('Supplier Ref No*')" />

        <x-text-input type="text" name="ref" class="mt-1 block w-full" value="{{ $purchase->ref }}" required
            autocomplete="off" />

    </div>
    <div class="w-full md:w-1/3">
        <x-input-label for="Payment Term" :value="__('Payment Term*')" />

        <select label="Payment Term" name="payment_id" id="payment-term" class="mt-1 block w-full form-select" required>
            @foreach($payments as $payment)
            <option value="{{ $payment['id'] }}" @if($purchase) @if($purchase->payment_id == $payment['id']) selected
                @endif
                @endif>{{ $payment['name'] }}</option>
            @endforeach
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('payment_id')" />
    </div>
    <input type="hidden" name="customer_id" value="{{ $purchase->customer_id }}" />

    <input type="hidden" name="saleorder_id" value="{{ $purchase->saleorder_id }}" />
</div>