

<form method="post" action="{{ route('purchases.store', $order->id) }}" class="mt-6 space-y-6" id="purchaseForm">
    @csrf
    @include('partials.errors')
    <div class="flex flex-wrap gap-6">
        <div class="w-full md:w-1/3">
            <x-input-label for="Country" :value="__('Purchase Date*')" />

            <x-text-input type="date" name="purchasedate" class="mt-1 block w-full" required autocomplete="off" />

        </div>
        <div class="w-full md:w-1/3">
            <x-input-label for="Country" :value="__('Vendor*')" />

            <select label="Vendor" name="vendor_id" id="vendor" class="mt-1 block w-full form-select" required>
                <option v-for="vendor in vendors" :value="vendor.id" :key="vendor.id">@{{ vendor.company }}</option>
            </select>
            <x-input-error class="mt-2" :messages="$errors->get('vendor_id')" />
        </div>
        <div class="w-full md:w-1/3">
            <x-input-label for="ref" :value="__('Supplier Ref No*')" />

            <x-text-input type="text" name="ref" class="mt-1 block w-full" required autocomplete="off" />

        </div>
        <div class="w-full md:w-1/3">
            <x-input-label for="Payment Term" :value="__('Payment Term*')" />

            <select label="Payment Term" name="payment_id" id="payment-term" class="mt-1 block w-full form-select"
                required>
                @foreach($payments as $payment)
                <option value="{{ $payment['id'] }}" @if($order) @if($order->payment_id == $payment['id']) selected
                    @endif
                    @endif>{{ $payment['name'] }}</option>
                @endforeach
            </select>
            <x-input-error class="mt-2" :messages="$errors->get('payment_id')" />
        </div>
        <input type="hidden" name="customer_id" value="{{ $order->customer_id }}" />

        <input type="hidden" name="saleorder_id" value="{{ $order->saleorder_id }}" />
    </div>
    <div class="" style="padding: 40px;">

        <div class="flex flex-wrap gap-6">
            <div class="w-full md:w-1/3">
                <h2 class="mt-2" style="margin-bottom: 15px;    font-weight: 600;                    ">
                    Billing Information</h2>
                @include('purchase.orders.partials.billing')
            </div>

            <div class="w-full md:w-1/3">
                <h2 class="mt-2" style="margin-bottom: 15px;    font-weight: 600;                    ">
                    Shipping Information</h2>
                @include('purchase.orders.partials.shipping')
            </div>
        </div>

    </div>
    <div class="" style="padding: 40px;">
        <div class="flex flex-wrap gap-6 mt-4">


            <div class="w-full md:w-1/3">
                <x-input-label for="Name" :value="__('Name')" />

            </div>

            <div class="w-full md:w-1/3">
                <x-input-label for="Price" :value="__('Price')" />

            </div>
            <div class="w-full md:w-1/3">
                <x-input-label for="Quantity" :value="__('Quantity')" />

            </div>
            <div class="w-full md:w-1/3">
                <x-input-label for="Total" :value="__('Total')" />

            </div>

        </div>
        <div class="flex flex-wrap gap-6 " v-for="(selectedItem, index) in selectedItems" :key="index">


            <div class="w-full md:w-1/3">

                <x-text-input type="text" v-model="selectedItem.name" class="mt-1 block w-full" required
                    autocomplete="off" readonly />
                <x-text-input type="hidden" v-model="selectedItem.id" name="item_id[]" />

            </div>

            <div class="w-full md:w-1/3">

                <x-text-input name="price[]" type="number" step="0.01" v-model="selectedItem.price"
                    class="mt-1 block w-full" required autocomplete="off" />
                <x-input-error class="mt-2" :messages="$errors->get('price')" />
            </div>
            <div class="w-full md:w-1/3">

                <x-text-input name="quantity[]" type="number" v-model="selectedItem.quantity" class="mt-1 block w-full"
                    required autofocus autocomplete="off" />
                <x-input-error class="mt-2" :messages="$errors->get('quantity')" />
            </div>
            <div class="w-full md:w-1/3">

                <x-text-input v-model="calculatedValues[index]" type="text" readonly class="mt-1 block w-full" required
                    autofocus autocomplete="off" />

            </div>

        </div>

    </div>
    <div class="flex flex-wrap gap-6 mt-3">
        <div class="w-full md:w-1/3">
        </div>
        <div class="w-full md:w-1/3">
        </div>
        <div class="w-full md:w-1/3">
        </div>
        <div class="w-full md:w-1/3">
        </div>
        <div class="w-full md:w-1/3">
        </div>

        <div class="w-full md:w-1/3">
            <b>Subtotal:</b> {{$company->companyCurrency}} <span>@{{ subtotal }}</span>
        </div>
    </div>
    <div class="flex flex-wrap gap-6">
        <div class="w-full md:w-1/3">
        </div>

        <div class="w-full md:w-1/3">

            <x-charges category="purchase" />

        </div>
    </div>
    <div class="flex flex-wrap gap-6">

        <div class="w-full md:w-1/3"></div>
        <div class="w-full md:w-1/3">

        </div>
        <div class="w-full md:w-1/3">

        </div>
        <div class="w-full md:w-1/3">

        </div>
        <div class="w-full md:w-1/3">

        </div>
        <div class="w-full md:w-1/3">

        </div>
        <div class="w-full md:w-1/3">
            <b>Total:</b> {{$company->companyCurrency}} <span>
                @{{(parseFloat(charges)+parseFloat(subtotal)).toFixed(2)}}
        </div>


    </div>
    <div class="flex items-center justify-end mt-4">
        <x-primary-button>{{ __('Save') }}</x-primary-button>
    </div>


</form>