<div class="flex flex-wrap gap-6">
    <div class="w-full md:w-1/3">
        <x-input-label for="shippingCompany" :value="__('Company')" />
        <x-text-input id="shippingCompany" name="shippingCompany" type="text" class="mt-1 block w-full"
            :value="old('shippingCompany', $order->shippingCompany)" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('shippingCompany')" />
    </div>



    <div class="w-full md:w-1/3">
        <x-input-label for="shippingContact" :value="__('Primary Contact')" />
        <x-text-input id="shippingContact" name="shippingContact" type="text"
            :value="old('shippingContact', $order->shippingContact)" class="mt-1 block w-full" required autofocus
            autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('shippingContact')" />
    </div>


</div>
<div class="flex flex-wrap mt-6 gap-6">


    <div class="w-full md:w-1/3">
        <x-input-label for="shippingPhone" :value="__('Phone')" />
        <x-text-input id="shippingPhone" name="shippingPhone" type="text"
            :value="old('shippingPhone', $order->shippingPhone)" class="mt-1 block w-full" required
            autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('shippingPhone')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="shippingEmail" :value="__('Email')" />
        <x-text-input id="shippingEmail" name="shippingEmail" type="text"
            :value="old('shippingEmail', $order->shippingEmail)" class="mt-1 block w-full" required
            autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('shippingEmail')" />
    </div>


</div>
<div class="flex flex-wrap gap-6 mt-6">
    <div class="w-full md:w-1/3">
        <x-input-label for="Country" :value="__('Country')" />

        <select label="Country" name="shippingCountry_id" id="shippingCountry_id" class="mt-1 block w-full form-select"
            required v-model="shippingCountry_id" @change="fetchShippingCountries()">
            <option v-for="country in shippingCountries" :value="country.id" :key="country.id">@{{ country.name }}
            </option>
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('country')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="State" :value="__('State')" />

        <select label="State" name="shippingState_id" id="shippingState_id" class="mt-1 block w-full form-select"
            required v-model="shippingState_id">
            <option v-for="state in shippingStates" :value="state.id" :key="state.id">@{{ state.name }} - @{{ state.code
                }}</option>
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('shippingState_id')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="shippingCity" :value="__('City')" />
        <x-text-input id="shippingCity" name="shippingCity" type="text" class="mt-1 block w-full"
            :value="old('shippingCity', $order->shippingCity)" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('shippingCity')" />
    </div>


</div>
<div class="flex flex-wrap gap-6 mt-6" style="width: 100%">


    <div class="w-full" style="width: 70%">
        <x-input-label for="shippingAddress" :value="__('Address')" />
        <x-text-input id="shippingAddress" name="shippingAddress" type="text" class="mt-1 block w-full"
            :value="old('shippingAddress', $order->shippingAddress)" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('shippingAddress')" />
    </div>
    <div class="w-full " style="width: 30%">
        <x-input-label for="shippingPostal" :value="__('Zip/Postal')" />
        <x-text-input id="shippingPostal" name="shippingPostal" type="text" class="mt-1 block w-full"
            :value="old('shippingPostal' , $order->shippingPostal)" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('shippingPostal')" />
    </div>

</div>