<div class="flex flex-wrap gap-6">

    <div class="w-full md:w-1/3">
        <x-input-label for="company" :value="__('Company')" />
        <x-text-input id="billingCompany" readonly type="text" class="mt-1 block w-full"
            :value="$order->customer->company" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('billingCompany')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="billingPerson" :value="__('Primary Contact')" />
        <x-text-input id="billingPerson" name="billingPerson" type="text" :value="$order->billingPerson"
            class="mt-1 block w-full" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('billingPerson')" />
    </div>


</div>
<div class="flex flex-wrap mt-6 gap-6">




    <div class="w-full md:w-1/3">
        <x-input-label for="billingPhone" :value="__('Phone')" />
        <x-text-input id="billingPhone" name="billingPhone" type="text" :value="$order->billingPhone"
            class="mt-1 block w-full" required autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('billingPhone')" />
    </div>
    <div class="w-full md:w-1/3">
        <x-input-label for="billingEmail" :value="__('Email')" />
        <x-text-input id="billingEmail" name="billingEmail" type="text" :value="$order->billingEmail"
            class="mt-1 block w-full" required autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('billingEmail')" />
    </div>

</div>
<div class="flex flex-wrap gap-6 mt-6">
    <div class="w-full md:w-1/3">
        <x-input-label for="Country" :value="__('Country')" />

        <select label="billingCountry_id" name="billingCountry_id" id="billingCountry_id"
            class="mt-1 block w-full form-select" required v-model="billingCountry_id"
            @change="fetchBillingCountries()">
            <option v-for="country in billingCountries" :value="country.id" :key="country.id">@{{ country.name }}
            </option>
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('billingCountry_id')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="State" :value="__('State')" />

        <select label="State" name="billingState_id" id="billingState_id" class="mt-1 block w-full form-select" required
            v-model="billingState_id">
            <option v-for="state in billingStates" :value="state.id" :key="state.id">@{{ state.name }} - @{{ state.code
                }}</option>
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('billingState_id')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="billingCity" :value="__('City')" />
        <x-text-input id="billingCity" name="billingCity" type="text" class="mt-1 block w-full"
            :value="$order->billingCity" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('billingCity')" />
    </div>


</div>
<div class="flex flex-wrap gap-6 mt-6" style="width: 100%">


    <div class="w-full" style="width: 70%">
        <x-input-label for="billingAddress" :value="__('Address')" />
        <x-text-input id="billingAddress" name="billingAddress" type="text" :value="$order->billingAddress"
            class="mt-1 block w-full" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('billingAddress')" />
    </div>
    <div class="w-full " style="width: 30%">
        <x-input-label for="billingPostal" :value="__('Zip/Postal')" />
        <x-text-input id="billingPostal" name="billingPostal" type="text" :value="$order->billingPostal"
            class="mt-1 block w-full" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('billingPostal')" />
    </div>

</div>