<x-app-layout>

    <x-slot name="header">

        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">

            <!-- Primary Navigation Menu -->

            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">

                <div class="flex justify-between h-8">





                    <!-- Navigation Links -->

                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">





                    </div>

                </div>

            </div>





        </nav>



    </x-slot>



    <div class="container mx-auto px-4 mt-4" id="app" style="overflow: auto">

        <div class="text-center">

            <x-auth-session-status class="mb-4" :status="session('success')" />

        </div>

        <div class="relative overflow-x-auto  sm:rounded-lg px-4">





            <div class="py-4 pb-4">

                <form method="post" action="{{ route('invoices.save-payment', $order->id) }}" class="mt-6 space-y-6">

                    @csrf

                    @if ($errors->any())

                    <div class="text-red-500">

                        <ul>

                            @foreach ($errors->all() as $error)

                            <li>{{ $error }}</li>

                            @endforeach

                        </ul>

                    </div>

                    @endif

                    <div class="shadow-md" style="padding: 40px;padding-top: 20px;">

                        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Payment

                            Information</h2>



                        <div class="flex flex-wrap gap-6 mt-6">







                            <div class="w-full md:w-1/3">

                                <x-input-label for="charge_id" :value="__('Method*')" />

                                <select id="charge_id" name="charge_id" class="mt-1 block w-full" required autofocus

                                    autocomplete="off">

                                    @foreach($payments as $payment)

                                    <option value="{{ $payment['id'] }}">{{ $payment['name'] }}</option>

                                    @endforeach

                                </select>

                                <x-input-error class="mt-2" :messages="$errors->get('charge_id')" />

                            </div>

                            <div class="w-full md:w-1/3">

                                <x-input-label for="amount" :value="__('Amount*')" />

                                <x-text-input id="amount" name="amount" type="number" class="mt-1 block w-full" required

                                    autofocus autocomplete="off" step="0.01"  />

                                <x-input-error class="mt-2" :messages="$errors->get('amount')" />

                            </div>

                            <div class="w-full md:w-1/3">

                                <x-input-label for="description" :value="__('Description')" />

                                <x-text-input id="description" name="description" type="text" class="mt-1 block w-full"

                                    autofocus autocomplete="off" />

                                <x-input-error class="mt-2" :messages="$errors->get('description')" />

                            </div>



                        </div>





                        <div class="flex flex-wrap gap-6 mt-6">



                            <div class="w-full md:w-1/3">



                            </div>

                            <div class="w-full md:w-1/3">

                            </div>

                            <div class="w-full md:w-1/3">

                                <div class="flex items-center justify-end mt-6">

                                    <x-primary-button>{{ __('Save') }}</x-primary-button>

                                </div>

                            </div>

                        </div>







                    </div>



                </form>

            </div>

        </div>

        @php

        $companyPrefix = auth()->user()->company->companyPrefix;

        $companyCurrency = auth()->user()->company->companyCurrency;

        @endphp



        <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">

            <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">

                <tr>

                    <th scope="col" class="px-6 py-6">

                        #

                    </th>



                    <th scope="col" class="px-6 py-6">

                        INVOICE#

                    </th>

                    <th scope="col" class="px-6 py-6">

                        TYPE

                    </th>



                    <th scope="col" class="px-6 py-6">

                        DATE

                    </th>



                    <th scope="col" class="px-6 py-6">

                        Amount

                    </th>





                </tr>

            </thead>

            <tbody>



                @forelse($charges as $key => $invoice)

                <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">

                    <th class=" px-6 py-4"> {{++$key}}</th>

                    <td class="px-6 py-4">{{ $companyPrefix }}{{ $invoice->invoice->saleorder_id }}-{{

                        $invoice->invoice->invoice_serial }}</td>

                    <td class="px-6 py-4">{{ $invoice->chargeName->name }}</td>

                    <td class="px-6 py-4">{{ Carbon\Carbon::parse($invoice->created_at)->format('d M y') }}</td>

                    <td class="px-6 py-4">{{ $companyCurrency }}{{ $invoice->amount }}</td>

                    <td class="px-6 py-4">

                    </td>

                </tr>

                @empty

                @endforelse





            </tbody>

        </table>

        <div class="py-4 pb-4">

            {{ $charges->links() }}

        </div>







    </div>





</x-app-layout>