<x-app-layout>
    @push('styles')
    <style>

    </style>
    @endpush
    <x-slot name="header">
        @if(request()->get('purchaseable_orders'))
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">

            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">

                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                        @include('purchase.navigation')
                    </div>
                </div>
            </div>


        </nav>
        @else


        @endif
    </x-slot>

    <div class="container mx-auto px-4 mt-4" id="app" style="overflow: auto">
        <div class="relative overflow-x-auto  sm:rounded-lg px-4">
            <div class="py-4 pb-4">
                <form method="post" action="{{ route('quotes.store') }}" class="mt-6 space-y-6" id="quoteForm">
                    @csrf
                    @include('partials.errors')
                    <div class="shadow-md" style="padding: 40px;">
                        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Basic
                            Information</h2>
                        @include('sales.quotes.partials.basic')
                    </div>
                    <div class="shadow-md" style="padding: 40px;">
                        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Billing &
                            Shipping</h2>
                        <div class="flex flex-wrap gap-6">
                            <div class="w-full md:w-1/3">
                                <h2 class="mt-2" style="margin-bottom: 15px;font-weight: 600;">
                                    Billing Information</h2>
                                @include('sales.quotes.partials.billing')
                            </div>

                            <div class="w-full md:w-1/3">
                                <h2 class="mt-2" style="margin-bottom: 15px; font-weight: 600;">
                                    Shipping Information</h2>
                                @include('sales.quotes.partials.shipping')
                            </div>
                        </div>

                    </div>
                    <div class="shadow-md" style="padding: 40px;">
                        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Line Items</h2>
                        @include('sales.quotes.partials.line-items')
                    </div>
                    <div class="flex flex-wrap gap-6">
                        <div class="w-full md:w-1/3">
                        </div>

                        <div class="w-full md:w-1/3 sale-form-charges">

                            <div class="mb-4">
                                <div class="flex flex-wrap gap-6">
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3"></div>
                                </div>
                                <div class="flex flex-wrap gap-6">
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3" style="    margin-left: 40px;
                                    font-weight: bold;">
                                        Subtotal
                                    </div>
                                    <div class="w-full md:w-1/3" style="text-align: center;">@{{subtotal.toFixed(2)}}
                                    </div>
                                </div>
                            </div>
                            <div v-if="subtotal > 0">
                                <x-charges category="sale" />
                            </div>
                            <div class="mb-4">
                                <div class="flex flex-wrap gap-6">
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3"></div>
                                </div>
                                <div class="flex flex-wrap gap-6" v-if="subtotal > 0">
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3" style="    margin-left: 40px;
                                    font-weight: bold;">
                                        Total
                                    </div>
                                    <div class="w-full md:w-1/3" style="text-align: center;">
                                        @{{(parseFloat(charges)+parseFloat(subtotal)-parseFloat(minusfromTotal)).toFixed(2)}}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="flex items-center justify-end mt-4" v-if="subtotal > 0">
                        <x-primary-button>{{ __('Save') }}</x-primary-button>
                    </div>
                </form>



            </div>
        </div>

    </div>


    @push('scripts')
    @include('sales.scripts.quote')
    @endpush

</x-app-layout>