<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                        @if(request()->get('purchaseable_orders'))
                        @include('purchase.navigation')
                        @else
                        @include('sales.navigation')

                        @endif

                    </div>




                </div>
            </div>


        </nav>

    </x-slot>


    <div class="container mx-auto px-4 mt-4 ">
        <div class="text-center">
            <x-auth-session-status class="mb-4" :status="session('success')" />
        </div>

        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4">

            @php
            $routename = \Route::currentRouteName();
            $companyPrefix = $company->companyPrefix;
            coa.tax-ledger
            @endphp
            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <tr>
                        <th scope="col" class="px-6 py-6">
                            #
                        </th>
                        <th scope="col" class="px-6 py-6">
                            BILLING
                        </th>
                        <th scope="col" class="px-6 py-6">
                            CUSTOMER REF#
                        </th>
                        @if($routename == 'orders')
                        <th scope="col" class="px-6 py-6">
                            SO#
                        </th>
                        <th scope="col" class="px-6 py-6">
                            STATUS
                        </th>
                        @endif
                        <th scope="col" class="px-6 py-6">
                            DATE
                        </th>

                        <th scope="col" class="px-6 py-6">

                        </th>
                    </tr>
                </thead>
                <tbody>

                    @forelse($orders as $key => $order)
                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">
                        <th class=" px-6 py-4"> {{++$key}}</th>
                        <td class="px-6 py-4">{{ $order->customer ? $order->customer->company : '' }}</td>
                        <td class="px-6 py-4">{{ $order->ref }}</td>
                        @if($routename == 'orders')
                        <td class="px-6 py-4">{{ $companyPrefix }}{{ $order->saleorder_id }}</td>


                        <td class="px-6 py-4">@include('icons.status')</td>
                        @endif
                        <td class="px-6 py-4">{{ Carbon\Carbon::parse($order->orderdate)->format('d M y') }}</td>
                        <td class="px-6 py-4">
                            <a href="{{ route('orders.show', $order->id) }}"
                                class="font-medium text-blue-600 dark:text-blue-500 hover:underline">Detail</a>
                        </td>
                    </tr>
                    @empty
                    @endforelse


                </tbody>
            </table>

        </div>

    </div>


    @push('scripts')
    <script>

    </script>
    @endpush

</x-app-layout>