<div class="flex flex-wrap gap-6">

    <div class="w-full md:w-1/3">

        <x-input-label for="State" :value="__('Existing Customers')" />



        <input type="hidden" name="customer_id" v-model="customer_id">

        <div class="py-1" v-if="selectedCustomer == null">

            <input v-model="searchQuery" @input="fetchCustomers" class="w-full border  p-2"

                placeholder="type to search for customers" required />

            <ul v-if="customers.length" class="mt-2" style="    position: absolute;

            background: #fdfdfd;

            padding: 5px 20px 5px 20px;

            cursor: pointer;">

                <li v-for="customer in customers" :key="customer.id" @click="selectCustomer(customer)"

                    class="cursor-pointer p-2 hover:bg-gray-100">

                    @{{ customer.company }}

                </li>

            </ul>



        </div>



        <div v-if="selectedCustomer" class="mt-4">

            <!-- Display selected suggestion details here -->

            <div style="    display: inline-flex;

            ">

                <p>@{{selectedCustomer.company}}</p>

                <p style="margin-left: 15px;

    cursor: pointer;

    color: blue;" @click="selectCustomer(null)"> @include('icons.pencil')</p>

            </div>

        </div>



    </div>







    <div class="w-full md:w-1/3">

        <x-input-label for="State" :value="__('Department')" />



        <select label="Department" name="department_id" id="department_id" class="mt-1 block w-full form-select"

            required>

            @foreach($sources as $source)

            <option value="{{ $source['id'] }}" @if($order) @if($order->department_id == $source['id']) selected @endif

                @endif>{{

                $source['name'] }}</option>

            @endforeach

        </select>

        <x-input-error class="mt-2" :messages="$errors->get('department_id')" />

    </div>

    <div class="w-full md:w-1/3">

        <x-input-label for="orderdate" :value="__('Order Date')" />

        <input id="orderdate" name="orderdate" type="date" class="mt-1 block w-full"

            value="{{ $order ? date('Y-m-d', strtotime($order->orderdate)) : '' }}" required autofocus

            autocomplete="off" />







        <x-input-error class="mt-2" :messages="$errors->get('orderdate')" />

    </div>



</div>

<div class="flex flex-wrap gap-6 mt-6">













    <div class="w-full md:w-1/3">

        <x-input-label for="Payment" :value="__('Payment Term')" />



        <select label="Payment" name="payment_id" id="payment" class="mt-1 block w-full form-select" required>

            @foreach($payments as $payment)

            <option value="{{ $payment['id'] }}" @if($order) @if($order->payment_id == $payment['id']) selected @endif

                @endif>{{ $payment['name'] }}</option>

            @endforeach

        </select>

        <x-input-error class="mt-2" :messages="$errors->get('payment_id')" />

    </div>

@php 

$gateways = \App\Models\PaymentGateway::where('company_id', auth()->user()->company_id)->get();



@endphp
    <div class="w-full md:w-1/3">

        <x-input-label for="gateway" :value="__('Payment Term (Accounts)')" />



        <select label="gateway" name="gateway_id" id="gateway" class="mt-1 block w-full form-select" required>

            @foreach($gateways as $gateway)

            <option value="{{ $gateway->id }}" @if($order) @if($order->gateway_id == $gateway->id) selected @endif

                @endif>{{ $gateway->name  }}</option>

            @endforeach

        </select>

        <x-input-error class="mt-2" :messages="$errors->get('gateway_id')" />

    </div>



    <div class="w-full md:w-1/3">

        <x-input-label for="ref" :value="__('Customer Ref #')" />

        <input id="ref" name="ref" required type="text" v-model="ref" class="mt-1 block w-full" required

            autocomplete="off" />

        <x-input-error class="mt-2" :messages="$errors->get('ref')" />

    </div>

    <div class="w-full md:w-1/3">

    </div>

</div>