<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create Invoice</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100">
    <div class="mx-auto max-w-lg p-6 bg-white rounded shadow">
        <h1 class="text-2xl font-semibold mb-6">Create Invoice</h1>
        <form>
            <div class="mb-4">
                <label for="invoiceNumber" class="block text-gray-600">Invoice Number</label>
                <input type="text" id="invoiceNumber" name="invoiceNumber" class="w-full px-4 py-2 border border-gray-300 rounded">
            </div>
            <div class="mb-4">
                <label for="from" class="block text-gray-600">From</label>
                <textarea id="from" name="from" rows="4" class="w-full px-4 py-2 border border-gray-300 rounded"></textarea>
            </div>
            <div class="mb-4">
                <label for="billTo" class="block text-gray-600">Bill To</label>
                <textarea id="billTo" name="billTo" rows="4" class="w-full px-4 py-2 border border-gray-300 rounded"></textarea>
            </div>
            <table class="w-full border-collapse border border-gray-400 mb-4">
                <thead>
                    <tr>
                        <th class="py-2 px-4 bg-gray-100 border border-gray-400">Item</th>
                        <th class="py-2 px-4 bg-gray-100 border border-gray-400">Description</th>
                        <th class="py-2 px-4 bg-gray-100 border border-gray-400">Quantity</th>
                        <th class="py-2 px-4 bg-gray-100 border border-gray-400">Price</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="py-2 px-4 border border-gray-400">
                            <input type="text" name="item[]" class="w-full px-2 py-1 border border-gray-300 rounded">
                        </td>
                        <td class="py-2 px-4 border border-gray-400">
                            <input type="text" name="description[]" class="w-full px-2 py-1 border border-gray-300 rounded">
                        </td>
                        <td class="py-2 px-4 border border-gray-400">
                            <input type="number" name="quantity[]" class="w-full px-2 py-1 border border-gray-300 rounded">
                        </td>
                        <td class="py-2 px-4 border border-gray-400">
                            <input type="number" name="price[]" class="w-full px-2 py-1 border border-gray-300 rounded">
                        </td>
                    </tr>
                </tbody>
            </table>
            <button type="button" id="addRow" class="bg-blue-500 text-white px-4 py-2 rounded hover:bg-blue-600">Add Row</button>
            <div class="mt-4">
                <button type="submit" class="bg-green-500 text-white px-4 py-2 rounded hover:bg-green-600">Create Invoice</button>
            </div>
        </form>
    </div>

    <script>
        const addButton = document.getElementById("addRow");
        addButton.addEventListener("click", () => {
            const tbody = document.querySelector("tbody");
            const newRow = document.createElement("tr");
            newRow.innerHTML = `
                <td class="py-2 px-4 border border-gray-400">
                    <input type="text" name="item[]" class="w-full px-2 py-1 border border-gray-300 rounded">
                </td>
                <td class="py-2 px-4 border border-gray-400">
                    <input type="text" name="description[]" class="w-full px-2 py-1 border border-gray-300 rounded">
                </td>
                <td class="py-2 px-4 border border-gray-400">
                    <input type="number" name="quantity[]" class="w-full px-2 py-1 border border-gray-300 rounded">
                </td>
                <td class="py-2 px-4 border border-gray-400">
                    <input type="number" name="price[]" class="w-full px-2 py-1 border border-gray-300 rounded">
                </td>
            `;
            tbody.appendChild(newRow);
        });
    </script>
</body>
</html>
