<x-app-layout>
    @push('styles')
    <style>
        .sale-form-charges label {
            margin-left: 25px !important;

        }
    </style>
    @endpush

    <div class="container mx-auto px-4 mt-4" id="app" style="overflow: auto">
        <div class="relative overflow-x-auto  sm:rounded-lg px-4">

            @include('partials.errors')
            <div class="text-center">
                <x-auth-session-status class="mb-4" :status="session('success')" />
            </div>
            <div class="py-4 pb-4">
                <form method="post" action="{{ route('quotes.update-basic', $order->id) }}" class="mt-6 space-y-6">
                    @csrf

                    <div class="shadow-md" style="padding: 40px;">
                        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Basic
                            Information</h2>
                        @include('sales.quotes.partials.basic')
                        <div class="flex items-center justify-end mt-4">
                            <x-primary-button>{{ __('Save') }}</x-primary-button>
                        </div>
                    </div>

                </form>
                <form method="post" action="{{ route('quotes.update-address', $order->id) }}" class="mt-6 space-y-6">
                    @csrf
                    <div class="shadow-md" style="padding: 40px;">
                        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Billing &
                            Shipping</h2>
                        <div class="flex flex-wrap gap-6">
                            <div class="w-full md:w-1/3">
                                <h2 class="mt-2" style="margin-bottom: 15px;font-weight: 600;">Billing Information</h2>
                                @include('sales.quotes.partials.billing')
                            </div>

                            <div class="w-full md:w-1/3">
                                <h2 class="mt-2" style="margin-bottom: 15px; font-weight: 600;">Shipping Information
                                </h2>
                                @include('sales.quotes.partials.shipping')
                            </div>
                        </div>
                        <div class="flex items-center justify-end mt-4">
                            <x-primary-button>{{ __('Save') }}</x-primary-button>
                        </div>
                    </div>
                </form>
                <form method="post" action="{{ route('quotes.update-items', $order->id) }}" class="mt-6 space-y-6">
                    @csrf
                    <div class="shadow-md" style="padding: 40px;">
                        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Line Items</h2>
                        @include('sales.quotes.partials.line-items')
                        <div class="flex items-center justify-end mt-4">
                            <x-primary-button>{{ __('Save') }}</x-primary-button>
                        </div>
                    </div>

                </form>
                <form method="post" action="{{ route('quotes.update-charges', $order->id) }}" class="mt-6 space-y-6">
                    @csrf
                    <div class="flex flex-wrap gap-6">
                        <div class="w-full md:w-1/3">
                        </div>

                        <div class="w-full md:w-1/3 sale-form-charges">

                            <div class="mb-4">
                                <div class="flex flex-wrap gap-6">
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3"></div>
                                </div>
                                <div class="flex flex-wrap gap-6">
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3" style="    margin-left: 40px;
                                    font-weight: bold;">
                                        Subtotal
                                    </div>
                                    <div class="w-full md:w-1/3" style="text-align: center;">@{{subtotal.toFixed(2)}}
                                    </div>
                                </div>
                            </div>

                            @php

                            $exsitingCharges = [];
                            foreach($order->quotationCharges as $qc){

                            $charge_id = $qc->charge_id;
                            $amount = $qc->amount;
                            $exsitingCharges[$charge_id] = ['charge_id' => $charge_id, 'amount' => $amount];

                            }

                            $mainHeader = [];

                            foreach ($acharges as $charge) {
                            $optionTypeName = $charge->optionTypeName;
                            $isMultiple = $charge->isMultiple;

                            $headerExists = false;
                            foreach ($mainHeader as $header) {
                            if ($header['headerName'] === $optionTypeName) {
                            $headerExists = true;
                            break;
                            }
                            }

                            if (!$headerExists) {
                            $mainHeader[] = ['headerName' => $optionTypeName, 'isMultiple' => $isMultiple];
                            }
                            }

                            @endphp

                            @foreach ($mainHeader as $header)

                            <div class="mb-4">
                                <div class="flex flex-wrap gap-6">
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3">
                                        @if($header['isMultiple'] == 1)
                                        <label class="block font-bold" style="    margin-left: 10px;    "><b>{{
                                                $header['headerName'] }}</b></label>
                                        @endif
                                    </div>
                                    <div class="w-full md:w-1/3">
                                    </div>
                                </div>
                                @if ($header['isMultiple'] == 0)
                                @foreach ($acharges as $charge)
                                @if ($header['headerName'] == $charge->optionTypeName)
                                <div class="flex flex-wrap gap-6">
                                    <div class="w-full md:w-1/3">
                                    </div>
                                    <div class="w-full md:w-1/3">
                                        <input type="hidden" value="{{ $charge->id }}" name="charge_id[]">
                                        <label class="w-full" style="margin-top: 6px; margin-left: 5px;">{{
                                            $charge->name }}</label>
                                    </div>
                                    <div class=" md:w-1/3">

                                        <input type="number" @if(isset($exsitingCharges[$charge->id]))
                                        value="{{ $exsitingCharges[$charge->id]['amount'] }}"
                                        @else
                                        value ="0"
                                        @endif
                                        class="border rounded px-2 py-1 charges-amount" name="charge[]"
                                        @change="calculateCharges()" step="0.01">
                                    </div>
                                </div>
                                @endif
                                @endforeach
                                @else
                                @php $selectCharges = []; @endphp
                                @foreach ($acharges as $charge)
                                @if ($header['headerName'] == $charge->optionTypeName)
                                @php
                                $nname = $header['headerName'];
                                $selectCharges[$nname][] = ['id' => $charge->id, 'name' => $charge->name];
                                @endphp
                                @endif
                                @endforeach
                                <div class="flex flex-wrap gap-6 mt-4">
                                    <div class="w-full md:w-1/3">

                                    </div>
                                    <div class="w-full md:w-1/3">
                                        @php $selectChargeIdGlobal = 0; @endphp
                                        <select class="block  p-2 border rounded w-full px-2 py-1" name="charge_id[]">
                                            @foreach ($selectCharges[$header['headerName']] as $selectCharge)
                                            @php
                                            $selectChargeId = $selectCharge['id'];
                                            if(isset($exsitingCharges[$selectChargeId])){
                                            if($exsitingCharges[$selectChargeId]['charge_id']==$selectChargeId){

                                            $selectChargeIdGlobal = $selectCharge['id'];
                                            } }

                                            @endphp
                                            <option value="{{ $selectCharge['id'] }}"
                                                @if(isset($exsitingCharges[$selectChargeId]))
                                                @if($exsitingCharges[$selectChargeId]['charge_id']==$selectChargeId)
                                                selected @endif @endif>{{
                                                $selectCharge['name'] }}



                                            </option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class=" md:w-1/3">

                                        <input type="number" @if(isset($exsitingCharges[$selectChargeIdGlobal]))
                                            value="{{ $exsitingCharges[$selectChargeIdGlobal]['amount'] }}" @else
                                            value="0" @endif class="border rounded px-2 py-1 charges-amount"
                                            name="charge[]" @change="calculateCharges()" step="0.01">
                                    </div>
                                </div>
                                @endif
                            </div>
                            @endforeach


                            <div class="mb-4">
                                <div class="flex flex-wrap gap-6">
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3"></div>
                                </div>
                                <div class="flex flex-wrap gap-6">
                                    <div class="w-full md:w-1/3"></div>
                                    <div class="w-full md:w-1/3" style="    margin-left: 40px;
                                    font-weight: bold;">
                                        Total
                                    </div>
                                    <div class="w-full md:w-1/3" style="text-align: center;">
                                        @{{(parseFloat(charges)+parseFloat(subtotal)).toFixed(2)}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="flex items-center justify-end mt-4" v-if="customer_id">
                        <x-primary-button>{{ __('Save') }}</x-primary-button>
                    </div>
                </form>



            </div>
        </div>

    </div>


    @push('scripts')
    @include('sales.scripts.quote')
    @endpush

</x-app-layout>