<div class="flex flex-wrap gap-6 mt-6" style="    background: #fff;
padding: 30px 20px 30px 20px;">


    <div class="w-full md:w-1/3">
        <x-input-label for="Customers" class="uppercase" :value="__('Customers')" />

        <input type="hidden" name="customer_id" v-model="customer_id">
        <div class="py-1" v-if="selectedCustomer == null">
            <input v-model="searchQuery" @input="fetchCustomers" class="w-full border  p-2"
                placeholder="type to search for customers" />
            <ul v-if="customers.length" class="mt-2" style="    position: absolute;
            background: #fdfdfd;
            padding: 5px 20px 5px 20px;
            cursor: pointer;">
                <li v-for="customer in customers" :key="customer.related_id" @click="selectCustomer(customer)"
                    class="cursor-pointer p-2 hover:bg-gray-100">
                    @{{ customer.name }} ~ @{{customer.code}}
                </li>
            </ul>

        </div>

        <div v-if="selectedCustomer" class="mt-4">
            <!-- Display selected suggestion details here -->
            <div style="    display: inline-flex;
            ">
                <p>@{{selectedCustomer.name}} ~ @{{selectedCustomer.code}}</p>
                <p style="margin-left: 15px;
    cursor: pointer;
    color: blue;" @click="selectCustomer(null)"> @include('icons.pencil')</p>
            </div>
        </div>

    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="payment_date" class="uppercase" :value="__('Payment Date')" />
        <x-text-input id="payment_date" name="payment_date" type="date" class="mt-1 block w-full"
            :value="old('payment_date')" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('payment_date')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="Payment" :value="__('Payment Mode')" />

        <select label="payment" name="payment_type" id="payment_type" class="mt-1 block w-full form-select" required>
            <option value="1"> Bank </option>
            <option value="2"> Cash </option>
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('payment_type')" />
    </div>
    <div class="w-full md:w-1/3">
        <x-input-label for="Payment" class="uppercase" :value="__('Deposit To')" />

        <select label="payment" name="payment_gateway_id" id="payment_gateway_id" class="mt-1 block w-full form-select"
            required>
            @foreach($payments as $payment)
            <option value="{{ $payment->id }}"> {{ $payment->name }} </option>
            @endforeach
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('payment_gateway_id')" />
    </div>

</div>