<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                        @include('sales.invoice-navigation')

                    </div>
                </div>
            </div>


        </nav>

    </x-slot>

    <div class="container mx-auto px-4 mt-4 " id="app" v-cloak>
        <div class="text-center">
            <x-auth-session-status class="mb-4" :status="session('success')" />
        </div>
        <div class="bg-white p-6 mb-6 shadow-md" style="    padding: 50px 100px 50px 100px;
        ">
            <h1 style="font-weight: bold; font-size: 20px;">Sales Register</h1>
        </div>
        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4">

            @php


            $companyCurrency = $company->companyCurrency;
            $companyPrefix = $company->companyPrefix;
            @endphp



            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <tr>
                        <th scope="col" class="px-6 py-6">
                            #
                        </th>
                        <th scope="col" class="px-6 py-6">
                            CUSTOMER NAME
                        </th>

                        <th scope="col" class="px-6 py-6">
                            PAYMENT TERM
                        </th>
                        <th scope="col" class="px-6 py-6">
                            TOTAL AMOUNT DUE
                        </th>
                        <th scope="col" class="px-6 py-6">
                            1 - 15 DAYS DUE
                        </th>
                        <th scope="col" class="px-6 py-6">
                            16 - 30 DAYS DUE
                        </th>
                        <th scope="col" class="px-6 py-6">
                            31 - 45 DAYS DUE
                        </th>
                        <th scope="col" class="px-6 py-6">
                            46 - 60 DAYS DUE
                        </th>
                        <th scope="col" class="px-6 py-6">
                            61 - 75 DAYS DUE
                        </th>
                        <th scope="col" class="px-6 py-6">
                            76 - 90 DAYS DUE
                        </th>
                        <th scope="col" class="px-6 py-6">
                            91 - 105 DAYS DUE
                        </th>
                        <th scope="col" class="px-6 py-6">
                            106 - 120 DAYS DUE
                        </th>




                    </tr>
                </thead>
                <tbody>

                    @forelse($invoices as $key => $order)
                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">
                        <th class=" px-6 py-4"> {{++$key}}</th>


                        <td class="px-6 py-4">{{ $order->customer ? $order->customer->company : '' }}</td>
                        <td class="px-6 py-4">Net Term 30</td>
                        <td class="px-6 py-4">
                            {{ $companyCurrency }}0
                        </td>
                        <td class="px-6 py-4">
                            {{ $companyCurrency }}0
                        </td>
                        <td class="px-6 py-4">
                            {{ $companyCurrency }}0
                        </td>
                        <td class="px-6 py-4">
                            {{ $companyCurrency }}0
                        </td>
                        <td class="px-6 py-4">
                            {{ $companyCurrency }}0
                        </td>

                        <td class="px-6 py-4">
                            {{ $companyCurrency }}0
                        </td>
                        <td class="px-6 py-4">
                            {{ $companyCurrency }}0
                        </td>
                        <td class="px-6 py-4">
                            {{ $companyCurrency }}0
                        </td>
                        <td class="px-6 py-4">
                            {{ $companyCurrency }}0
                        </td>



                    </tr>
                    @empty
                    @endforelse


                </tbody>
            </table>
            <div class="py-4 pb-4">
                {{ $invoices->links() }}
            </div>
        </div>

    </div>


    @push('scripts')
    @include('sales.scripts.report')
    @endpush

</x-app-layout>