<script>
  document.addEventListener('DOMContentLoaded', function () {
  const dropzoneElement = document.querySelector('#my-dropzone');

  if (dropzoneElement && !dropzoneElement.classList.contains('dz-clickable')) {
    // Set up Dropzone
    const csrfToken = document.querySelector('meta[name="csrf-token"]').getAttribute('content');

    const myDropzone = new Dropzone(dropzoneElement, {
      url: '{{ route("order-upload", $order->id) }}?ref={{ $attachment_ref }}', 
      headers: {
        'X-CSRF-TOKEN': csrfToken
      },
      paramName: 'file', 
      maxFilesize: 5, 
      acceptedFiles: 'image/*', 
      addRemoveLinks: true, 
      dictDefaultMessage: 'Drop files here or click to upload', 
      init: function () {
        this.on('success', function (file, response) {
          // File uploaded successfully
          console.log('Uploaded:', response);
        });

        this.on('removedfile', function (file) {
          // File removed from Dropzone
          console.log('Removed:', file);
        });
      }
    });
  }
});
   
  

    
    const app = Vue.createApp({
        
   data() {
     return {
   
       selectedCustomer:'',
  
       customers:[],
       fileList: [],

     };
   },
   methods: {
    async fetchCustomers() { 
      try {
       const responseCustomers = await axios.get('/api/user/customers/1');
       this.customers = responseCustomers.data;
       this.selectedCustomer ? this.selectedCustomer : this.selectedCustomer = responseCustomers.data[0].id;
       
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },

     handleDrop(event) {
      event.preventDefault();
      const files = event.dataTransfer.files;

      const formData = new FormData();
      for (let i = 0; i < files.length; i++) {
        formData.append('files[]', files[i]);
      }

      const csrfToken = document.querySelector('meta[name="csrf-token"]').getAttribute('content');
      axios.defaults.headers.common['X-CSRF-TOKEN'] = csrfToken; // Set the CSRF token header

      axios.post('/upload', formData)
        .then(response => {
          // Handle response if needed
        })
        .catch(error => {
          // Handle error if needed
        });
    }
 


   },
   async created() {
    await this.fetchCustomers();

    
   },
 });

 app.mount('#app');




</script>