@php

$items = [["id" => 1, "item" => "", "description" => "", "quantity" => 0, "brandid" => 16, "price" => 0]];

if ($order) {
$items = [];
foreach ($order->orderItems as $key => $value) {
$id = $value->id;
$item = $value->name;
$description = $value->description;
$quantity = $value->quantity;
$price = $value->price;

$singleItem = [
"id" => $id,
"item" => $item,
"description" => $description,
"quantity" => $quantity,
"price" => $price,
];

$items[] = $singleItem;
}
}


$jsonData = json_encode($items);

@endphp

<script>
  var jsonData = <?= $jsonData ?>;

  const app = Vue.createApp({
   data() {
     return {
       isEditForm: '{{ $order ? "yes" : "no" }}',
       itemName: '',
       searchQuery: '{{ $order ? $order->customer->company : "" }}',
       quoteNo: 'NA',
       items: jsonData,
       selectedCustomer: @json($order ? ['company' => $order->customer->company] : null),
       selectedUser:'',
       customers:[],
       users:[],
       charges:0,
       ref: '{{ $order ? $order->ref : "" }}',
       customer_id: '{{ $order ? $order->customer_id : "" }}',
       //billing address
       billingCompany: '{{ $order ? $order->customer->company : "" }}',
       billingPerson: '{{ $order ? $order->billingPerson : "" }}',
       billingPhone: '{{ $order ? $order->billingPhone : "" }}',
       billingEmail: '{{ $order ? $order->billingEmail : "" }}',
       billingCity: '{{ $order ? $order->billingCity : "" }}',
       billingCountry_id : null,
       billingState_id : null,
       billingPostal: '{{ $order ? $order->billingPostal : "" }}',
       billingAddress: '{{ $order ? $order->billingAddress : "" }}',
       //shipping address

       shippingCompany: '{{ $order ? $order->shippingCompany : "" }}',
       shippingContact: '{{ $order ? $order->shippingContact : "" }}',
       shippingPhone: '{{ $order ? $order->shippingPhone : "" }}',
       shippingEmail: '{{ $order ? $order->shippingEmail : "" }}',
       shippingCity: '{{ $order ? $order->shippingCity : "" }}',
       shippingPostal: '{{ $order ? $order->shippingPostal : "" }}',
       shippingAddress: '{{ $order ? $order->shippingAddress : "" }}',
       shippingCountry_id : null,
       shippingState_id : null,


       //others
       sameBillingShipping : false,
       billingCountries: [],
       billingStates: [],
       shippingCountries: [],
       shippingStates: [],
     };
   },

   computed: {
    isReadOnly() {
      return this.sameBillingShipping;
    },
    calculatedValues() {
      return this.items.map(item => (item.quantity * item.price).toFixed(2));
    },
    subtotal() {
      return this.items.reduce((total, item) => total + item.price*item.quantity, 0);
    }

  },
   methods: {
    calculateCharges() {
          const inputElements = document.querySelectorAll('.charges-amount');
            let sum = 0;
          inputElements.forEach((element) => {
            sum += parseFloat(element.value || 0);
          });
          this.charges = sum;
          
          },

    async fetchCustomers() { 
      if(this.searchQuery.length > 2){
      try {
       const responseCustomers = await axios.get(`/api/user/customers/1?searchQuery=${this.searchQuery}`);
       this.customers = responseCustomers.data;
      // this.selectedCustomer ? this.selectedCustomer : this.selectedCustomer = responseCustomers.data[0].id;
       
     } catch (error) {
       console.error('Error fetching data:', error);
     }
    }

     },
     customerBillingAndShipping(){
     
      
      this.billingCompany= this.selectedCustomer.company;
      this.billingPerson= this.selectedCustomer.firstName+' '+this.selectedCustomer.lastName;
      this.billingPhone= this.selectedCustomer.phone;
      this.billingEmail= this.selectedCustomer.email;
      this.billingCity= this.selectedCustomer.city;
      this.billingCountry_id = this.selectedCustomer.country_id;
      this.billingState_id = this.selectedCustomer.state_id;
      this.billingAddress = this.selectedCustomer.address;
      this.billingPostal = this.selectedCustomer.postalCode;

      if(!this.sameBillingShipping){
      

      
      this.shippingCompany = this.billingCompany;
      this.shippingContact = this.billingPerson;
      this.shippingPhone = this.billingPhone;
      this.shippingEmail = this.billingEmail;
      this.shippingCity = this.billingCity;
      this.shippingCountry_id = this.billingCountry_id;
      this.shippingState_id = this.billingState_id;
      this.shippingAddress = this.billingAddress;
      this.shippingPostal = this.billingPostal;

      }else{
    
       
        
        // this.shippingCompany = '';
        // this.shippingContact = '';
        // this.shippingPhone = '';
        // this.shippingEmail = '';
        // this.shippingCity = '';
        // this.shippingCountry_id = '';
        // this.shippingState_id = '';
        // this.shippingAddress = '';
        // this.shippingPostal = '';
  
      }
      
      
     },
     selectCustomer(customer) {
      this.selectedCustomer = customer;

      




      this.customer_id = customer?customer.id:null;
      this.customers = [];
      this.searchQuery = '';
      this.customerBillingAndShipping()
    },
     async fetchUsers() { 
      try {
       const responseUsers = await axios.get('/api/orders/sale-reps');
       this.users = responseUsers.data;
       this.selectedUser ? this.selectedUser : this.selectedUser = responseUsers.data[0].id;
       this.fetchQuoteNo()
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
    async fetchBillingCountries() { 
      try {
       const responseCountries = await axios.get('/api/countries');
       this.billingCountries = responseCountries.data;
       if(this.isEditForm == 'no'){
       this.billingCountry_id ? this.billingCountry_id : this.billingCountry_id = responseCountries.data[0].id;
       }else{
        
        this.billingCountry_id  = "{{ $order ? $order->billingCountry_id : 0 }}";






        
       }
       await this.fetchBillingStates(); 
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
     async fetchBillingStates() { 
       try {
         const response = await axios.get(`/api/states?country=${this.billingCountry_id}`);
         this.billingStates = response.data;
         if(this.isEditForm == 'no'){
         this.billingState_id ? this.billingState_id : this.billingState_id = response.data[0].id;
         }else{
          this.billingState_id  = "{{ $order ? $order->billingState_id : 0 }}";
         }
         await this.fetchShippingCountries();
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },

     async fetchQuoteNo() { 
       try {
        
         const response = await axios.get(`/api/orders/get-quote-no/${this.selectedUser}?isEditForm=${this.isEditForm}`);
         this.quoteNo = response.data;
         
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },

     async fetchShippingCountries() { 
      try {
       const responseCountries = await axios.get('/api/countries');
       this.shippingCountries = responseCountries.data;
       if(this.isEditForm == 'no'){
       this.shippingCountry_id ? this.shippingCountry_id : this.shippingCountry_id = responseCountries.data[0].id;
       }else{
        this.shippingCountry_id  = "{{ $order ? $order->shippingCountry_id : 0 }}";
       }
       await this.fetchShippingStates(); 
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
     async fetchShippingStates() { 
       try {
         const response = await axios.get(`/api/states?country=${this.shippingCountry_id}`);
         this.shippingStates = response.data;
         if(this.isEditForm == 'no'){
         this.shippingState_id ? this.shippingState_id : this.shippingState_id = response.data[0].id;
         }else{
          this.shippingState_id  = "{{ $order ? $order->shippingState_id : 0 }}";
         }
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },

     async createItem() {
       
       this.items.push({ id: this.items.length + 1,  item: "", description: "", quantity: 0, price: 0  });
       //this.itemName = '';
     },

      deleteItem(item) {
        if (confirm(`Are you sure you want to delete? you cannot undo it`)) {
        const index = this.items.findIndex(selectedItem => selectedItem.id === item.id);
        if (index !== -1) {
          this.items.splice(index, 1);
        }

      }
       
     },

     showOptions() {
      this.optionsVisible = true;
    },
    hideOptions() {
      setTimeout(() => {
        this.optionsVisible = false;
      }, 200); // Delay to allow click on option
    },
    filterOptions() {
      this.hideOptions();
    },
    selectOption(option) {
      this.searchText = option.label;
      this.hideOptions();
      // Do something with the selected option.value
    }
   },
   async created() {
   // await this.fetchCustomers();
    await this.fetchUsers(); 
    await this.fetchBillingCountries(); 
    //await this.removeSingleQuotes();
    await this.calculateCharges()
    
   },
 });

 app.mount('#app');


 
</script>