<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">

                        @include('settings.navigation')
                    </div>




                </div>
            </div>


        </nav>

    </x-slot>

    <div class="container mx-auto px-4 mt-4 " id="app">



        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4">


            <div class="py-4 pb-4">
                <form method="post" action="{{ route('users.store') }}" class="mt-6 space-y-6">
                    @csrf
                    <div class="flex flex-wrap gap-6">




                        <div class="w-full md:w-1/3">
                            <x-input-label for="name" :value="__('Username')" />
                            <x-text-input id="name" name="name" type="text" class="mt-1 block w-full" required autofocus
                                autocomplete="off" />
                            <x-input-error class="mt-2" :messages="$errors->get('name')" />
                        </div>

                        <div class="w-full md:w-1/3">
                            <x-input-label for="role" :value="__('Role')" />
                            <select name="role_id" class="mt-1 block w-full">
                                <option value="1">
                                    Admin
                                </option>
                                <option value="2">
                                    Sales Head
                                </option>
                                <option value="3">
                                    Sales Rep
                                </option>
                                <option value="4">
                                    Purchase Head
                                </option>
                                <option value="5">
                                    Purchase Rep
                                </option>
                                <option value="6">
                                    Accounts Head
                                </option>
                                <option value="7">
                                    Accounts Rep
                                </option>

                            </select>
                        </div>


                        <div class="w-full md:w-1/3">
                            <x-input-label for="password" :value="__('Password')" />
                            <x-text-input id="password" name="password" type="text" class="mt-1 block w-full" required
                                autofocus autocomplete="off" />
                            <x-input-error class="mt-2" :messages="$errors->get('password')" />
                        </div>
                    </div>
                    @include('users.partials.form')

                    <div class="flex items-center justify-end mt-4">
                        <x-primary-button>{{ __('Save') }}</x-primary-button>
                    </div>
                </form>



            </div>
        </div>

    </div>




</x-app-layout>