<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                        @include('settings.navigation')

                    </div>




                </div>
            </div>


        </nav>

    </x-slot>

    <div class="container mx-auto px-4 mt-4 " id="app">
        <div class="text-center">
            <x-auth-session-status class="mb-4" :status="session('success')" />
        </div>

        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4 ">
            <a href="{{ route('users.create') }}"
                class="bg-green hover:bg-green-700 text-white font-bold py-2 px-4 rounded"
                style="float: right; background:green; color:#fff;">
                Create
            </a>
            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <tr>

                        <th scope="col" class="px-6 py-6">
                            User
                        </th>
                        <th scope="col" class="px-6 py-6">
                            Email
                        </th>
                        <th scope="col" class="px-6 py-6">
                            Phone
                        </th>
                        <th scope="col" class="px-6 py-6">
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>

                    @forelse($users as $user)
                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">

                        <td class="px-6 py-4">
                            {{ $user->info->name }}
                        </td>
                        <td class="px-6 py-4">
                            {{ $user->info->email }}
                        </td>
                        <td class="px-6 py-4">
                            {{ $user->info->phone }}
                        </td>
                        <td class="px-6 py-4">
                            <a href="{{ route('users.edit', $user->info->id) }}"
                                class="font-medium text-blue-600 dark:text-blue-500 hover:underline">Edit</a>
                        </td>
                    </tr>
                    @empty
                    @endforelse


                </tbody>
            </table>
            <div class="py-4 pb-4">
                {{ $users->links() }}
            </div>
        </div>

    </div>




</x-app-layout>