<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                        @include('vendors.navigation')

                    </div>




                </div>
            </div>


        </nav>

    </x-slot>

    <div class="container mx-auto px-4 mt-4 " id="app">
        <div class="text-center">
            <x-auth-session-status class="mb-4" :status="session('success')" />
        </div>

        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4 ">
            <div class="relative max-w-sm mx-auto mt-20 mb-4">
                <input class="w-full 
            py-2 px-4 border
             border-gray-300 
             rounded-md shadow-sm 
             focus:outline-none focus:ring-2
              focus:ring-blue-500
               focus:border-blue-500" v-model="searchText" @keydown.enter="handleSearchKey" type="search"
                    placeholder="Search">

            </div>
            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <tr>
                        <th scope="col" class="px-6 py-6">
                            Company
                        </th>

                        <th scope="col" class="px-6 py-6">
                            Email
                        </th>
                        <th scope="col" class="px-6 py-6">
                            Phone
                        </th>
                        <th scope="col" class="px-6 py-6">
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>

                    @forelse($vendors as $customer)
                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">
                        <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                            {{ $customer->company }}
                        </th>

                        <td class="px-6 py-4">
                            {{ $customer->email }}
                        </td>
                        <td class="px-6 py-4">
                            {{ $customer->phone }}
                        </td>
                        <td class="px-6 py-4">
                            <a href="{{ route('vendors.edit', $customer->id) }}"
                                class="font-medium text-blue-600 dark:text-blue-500 hover:underline">Edit</a>
                        </td>
                    </tr>
                    @empty
                    @endforelse


                </tbody>
            </table>
            <div class="py-4 pb-4">
                {{ $vendors->links() }}
            </div>
        </div>

    </div>


    @push('scripts')
    <script>
        const app = Vue.createApp({
       data() {
         return {
            searchText:''
    
         };
       },
       methods: {
        
        async handleSearchKey() { 
            alert('workin on search')
        },
       },
       async created() {
       
       },
     });
    
     app.mount('#app');
    </script>
    @endpush

</x-app-layout>