<div class="flex flex-wrap gap-6">
    <div class="w-full md:w-1/3">
        <x-input-label for="company" :value="__('Company')" />
        <x-text-input id="company" name="company" type="text" class="mt-1 block w-full"
            :value="old('company', $vendor?$vendor->company:'')" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('company')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="name" :value="__('Name')" />
        <x-text-input id="name" name="name" type="text" :value="old('name', $vendor?$vendor->name:'')"
            class="mt-1 block w-full" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('name')" />
    </div>



</div>
<div class="flex flex-wrap gap-6">


    <div class="w-full md:w-1/3">
        <x-input-label for="email1" :value="__('Email')" />
        <x-text-input id="email" name="email" type="email" :value="old('email', $vendor?$vendor->email:'')"
            class="mt-1 block w-full" required autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('email')" />
    </div>


    <div class="w-full md:w-1/3">
        <x-input-label for="phone" :value="__('Phone')" />
        <x-text-input id="phone" name="phone" type="text" class="mt-1 block w-full"
            :value="old('phone', $vendor?$vendor->phone:'')" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('phone')" />
    </div>
    <div class="w-full md:w-1/3">
        <x-input-label for="Country" :value="__('Country')" />

        <select label="Country" name="country_id" id="country" class="mt-1 block w-full form-select" required
            v-model="selectedCountry" @change="fetchCountries()">
            <option v-for="country in countries" :value="country.id" :key="country.id">@{{ country.name }}</option>
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('country')" />
    </div>

</div>
<div class="flex flex-wrap gap-6">
    <div class="w-full md:w-1/3">
        <x-input-label for="State" :value="__('State')" />

        <select label="State" name="state_id" id="state" class="mt-1 block w-full form-select" required
            v-model="selectedState">
            <option v-for="state in statesList" :value="state.id" :key="state.id">@{{ state.name }} - @{{ state.code }}
            </option>
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('state')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="city" :value="__('City')" />
        <x-text-input id="city" name="city" type="text" class="mt-1 block w-full"
            :value="old('city', $vendor?$vendor->city:'')" required autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('city')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="address" :value="__('Address')" />
        <x-text-input id="address" name="address" type="text" :value="old('address', $vendor?$vendor->address:'')"
            class="mt-1 block w-full" required autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('address')" />
    </div>
</div>