<?php
use App\Http\Controllers\Accounts\CoaController;

use App\Http\Controllers\Accounts\BankController;

use App\Http\Controllers\Accounts\ReportController;
use App\Http\Controllers\Accounts\PaymentGatewayController;
use App\Http\Controllers\Accounts\FinanceController;
use App\Http\Controllers\Accounts\GrossProfitController;
use App\Http\Controllers\Accounts\CashAnalysisController;

Route::middleware('auth')->group(function () {

    // coa sales

    Route::get('coa/sales/tax', [ReportController::class, 'taxLedger'])
        ->name('coa.tax-sales');
    Route::get('coa/sales', [ReportController::class, 'saleLedger'])
        ->name('coa.sale-ledger');
    Route::get('coa/sales/shipping', [ReportController::class, 'freightLedger'])
        ->name('coa.freight-sales');
    Route::get('coa/sales/credit-card', [ReportController::class, 'ccLedger'])
        ->name('coa.cc-sales');
    Route::get('coa/customer/{id}', [ReportController::class, 'customerLedger'])
        ->name('coa.customer-sales');



    // coa purchase

    Route::get('coa/purchase/tax', [ReportController::class, 'taxPurchase'])
        ->name('coa.tax-purchase');
    Route::get('coa/purchase', [ReportController::class, 'purchaseLedger'])
        ->name('coa.purchase-ledger');
    Route::get('coa/purchase/shipping', [ReportController::class, 'freightPurchase'])
        ->name('coa.freight-purchase');
    Route::get('coa/purchase/credit-card', [ReportController::class, 'ccPurchase'])
        ->name('coa.cc-purchase');
    Route::get('coa/purchase/carriage-inward', [ReportController::class, 'carriageInward'])
        ->name('coa.carriage-inward');
    Route::get('coa/vendor/{id}', [ReportController::class, 'vendorLedger'])
        ->name('coa.vendor-purchase');

 



    //payment gateways    
    Route::get('payment-gateways', [PaymentGatewayController::class, 'index'])
        ->name('payment-gateways');
    Route::get('payment-gateways/create', [PaymentGatewayController::class, 'create'])
        ->name('payment-gateways.create');
    Route::post('payment-gateways/store', [PaymentGatewayController::class, 'store'])
        ->name('payment-gateways.store');

    //chart of accounts
    Route::get('accounts/company-coa', [CoaController::class, 'companycoa'])
        ->name('accounts.company-coa');
    Route::get('accounts/coa', [CoaController::class, 'index'])
        ->name('accounts.coa');
    Route::get('accounts/chartofaccounts', [CoaController::class, 'chartofaccounts'])
        ->name('accounts.chartofaccounts');
    Route::get('chartofaccounts/main-categories/{id}', [CoaController::class, 'maincategories'])
        ->name('chartofaccounts.maincategories');
    Route::get('chartofaccounts/main-accounts/{id}', [CoaController::class, 'mainaccounts'])
        ->name('chartofaccounts.mainaccounts');

    Route::get('chartofaccounts/sub-account-code/{id}', [CoaController::class, 'sub_account_code'])
        ->name('chartofaccounts.subaccountcode');



    Route::post('chartofaccounts/sub-accounts-store', [CoaController::class, 'store_sub_accounts'])
        ->name('chartofaccounts.sub-accounts-store.store');




    //reports sales


    Route::get('reports/trail-balance', [ReportController::class, 'trailBalance'])
        ->name('reports.trail-balance');
    Route::get('reports/cash-analysis', [CashAnalysisController::class, 'index'])
        ->name('reports.cash-analysis');


    Route::get('reports/pending-quotations', [ReportController::class, 'pendingQuotations'])
        ->name('reports.pending-quotations');
    Route::get('reports/quotations', [ReportController::class, 'quotations'])
        ->name('reports.quotations');
    Route::get('reports/orders', [ReportController::class, 'orders'])
        ->name('reports.orders');
    Route::get('reports/pending-orders', [ReportController::class, 'pendingorders'])
        ->name('reports.pending-orders');


        Route::get('reports/purchases', [ReportController::class, 'purchases'])
        ->name('reports.purchases');
    Route::get('reports/pending-purchases', [ReportController::class, 'pendingpurchases'])
        ->name('reports.pending-purchases');


    Route::get('reports/sales-register', [ReportController::class, 'salesRegister'])
        ->name('reports.sales-register');
    Route::get('reports/sales/aging-summary', [ReportController::class, 'agingSummary'])->name('reports.invoices.aging-summary');

    Route::get('reports/inventory-aging-report', [ReportController::class, 'inventoryAgingReport'])
        ->name('reports.inventory-aging-report');
    Route::get('reports/credit-notes', [ReportController::class, 'creditNoteRegister'])
        ->name('reports.credit-notes');

    //report purchase


    Route::get('reports/purchase-register', [ReportController::class, 'purchaseRegister'])
        ->name('reports.purchase-register');
    Route::get('reports/debit-notes', [ReportController::class, 'debitNoteRegister'])
        ->name('reports.debit-notes');
    //others
    Route::get('/api/coa/customers', [CoaController::class, 'customers'])->name('coa.customers');
    Route::get('/api/coa/vendors', [CoaController::class, 'vendors'])->name('coa.vendors');


//bank

       Route::get('coa/bank/ledger/{id}', [BankController::class, 'bankLedger'])
        ->name('coa.bank-ledger');


    //finance 



    Route::get('finance/bank-payment', [FinanceController::class, 'bankPayment'])
        ->name('finance.bank-payment');
    Route::post('finance/save/bank-payment', [FinanceController::class, 'saveBankPayment'])
        ->name('finance.save-bank-payment');

    Route::get('finance/bank-receipt', [FinanceController::class, 'bankReceipt'])
        ->name('finance.bank-receipt');
    Route::post('finance/save/bank-receipt', [FinanceController::class, 'savebankReceipt'])
        ->name('finance.save-bank-receipt');


    Route::get('finance/cash-payment', [FinanceController::class, 'cashPayment'])
        ->name('finance.cash-payment');
    Route::post('finance/save/cash-payment', [FinanceController::class, 'saveCashPayment'])
        ->name('finance.save-cash-payment');

    Route::get('finance/cash-receipt', [FinanceController::class, 'cashReceipt'])
        ->name('finance.cash-receipt');
    Route::post('finance/save/cash-receipt', [FinanceController::class, 'saveCashReceipt'])
        ->name('finance.save-cash-receipt');

    Route::get('finance/journal', [FinanceController::class, 'journal'])
        ->name('finance.journal');
    Route::post('finance/save/journal', [FinanceController::class, 'saveJournal'])
        ->name('finance.save-journal');


    Route::get('reports/gross-profit', [GrossProfitController::class, 'index'])
        ->name('reports.gross-profit');


});