<?php

use App\Http\Controllers\CustomerController;
use App\Http\Controllers\VendorController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\GeneralController;
use App\Http\Controllers\CompanyController;



Route::middleware('auth')->group(function () {
    Route::get('/company/switch/{id}', [CompanyController::class, 'switch'])->name('companies.switch');

    Route::get('customers', [CustomerController::class, 'index'])
        ->name('customers');
    Route::get('customers-dataindex', [CustomerController::class, 'dataindex'])
        ->name('customers.dataindex');
    Route::get('customers/create', [CustomerController::class, 'create'])
        ->name('customers.create');
    Route::post('customers/store', [CustomerController::class, 'store'])
        ->name('customers.store');
    Route::get('customers/edit/{id}', [CustomerController::class, 'edit'])
        ->name('customers.edit');
    Route::put('customers/update/{id}', [CustomerController::class, 'update'])
        ->name('customers.update');

    Route::get('vendors/checkaoa/{id}', [VendorController::class, 'checkaoa'])
        ->name('vendors.checkaoa');

    Route::get('vendors', [VendorController::class, 'index'])
        ->name('vendors');
    Route::get('vendors-dataindex', [VendorController::class, 'dataindex'])
        ->name('vendors.dataindex');
    Route::get('vendors/create', [VendorController::class, 'create'])
        ->name('vendors.create');
    Route::post('vendors/store', [VendorController::class, 'store'])
        ->name('vendors.store');
    Route::get('vendors/edit/{id}', [VendorController::class, 'edit'])
        ->name('vendors.edit');
    Route::put('vendors/update/{id}', [VendorController::class, 'update'])
        ->name('vendors.update');




    Route::get('users', [UserController::class, 'index'])
        ->name('users');

    Route::get('users/create', [UserController::class, 'create'])
        ->name('users.create');
    Route::post('users/store', [UserController::class, 'store'])
        ->name('users.store');
    Route::get('users/edit/{id}', [UserController::class, 'edit'])
        ->name('users.edit');
    Route::put('users/update/{id}', [UserController::class, 'update'])
        ->name('users.update');

});


Route::get('company-shippings', [GeneralController::class, 'orderShipping'])->name('company-shippings');
Route::get('api/partno-suggestions', [GeneralController::class, 'parts'])->name('partno-suggestions');

Route::get('api/brands', [GeneralController::class, 'brands'])->name('partno-brands');
