<?php
use App\Http\Controllers\Purchase\PurchaseController;
use App\Http\Controllers\Purchase\PurchaseInvoiceController;
use App\Http\Controllers\Purchase\PayablePaymentController;

Route::middleware('auth')->group(function () {
    Route::get('purchase/invoices', [PurchaseInvoiceController::class, 'orderInvoices'])
        ->name('purchases.invoices');
    Route::post('purchases/invoices/{id}', [PurchaseInvoiceController::class, 'store'])
        ->name('purchases-invoices.store');
    Route::get('purchases/invoices', [PurchaseInvoiceController::class, 'index'])->name('purchases-invoices');
    Route::get('purchases/invoices/detail/{id}', [PurchaseInvoiceController::class, 'show'])->name('purchases-invoices.show');

    Route::get('debit-notes', [PurchaseInvoiceController::class, 'debitnotes'])->name('debit-notes');
    Route::get('debit-notes/detail/{id}', [PurchaseInvoiceController::class, 'debitnotes_show'])->name('debit-notes.show');
    Route::get('invoices/debit-notes', [PurchaseInvoiceController::class, 'invoiceDebitNotes'])
        ->name('invoices-debit-notes');


    Route::get('purchases', [PurchaseController::class, 'index'])
        ->name('purchases');
    Route::get('purchase-orders', [PurchaseController::class, 'purchaseable'])
        ->name('purchase-orders');
    Route::get('purchases/{id}', [PurchaseController::class, 'show'])
        ->name('purchases.show');


    Route::get('purchase/edit/{id}', [PurchaseController::class, 'edit'])
        ->name('purchases.edit');
    Route::post('purchases/update-basic/{id}', [PurchaseController::class, 'basic'])
        ->name('purchases.update-basic');
    Route::post('purchases/update-address/{id}', [PurchaseController::class, 'address'])
        ->name('purchases.update-address');
    Route::post('purchases/update-items/{id}', [PurchaseController::class, 'items'])
        ->name('purchases.update-items');
    Route::post('purchases/update-charges/{id}', [PurchaseController::class, 'charges'])
        ->name('purchases.update-charges');

    Route::get('orders/purchase/{id}', [PurchaseController::class, 'saleorder'])
        ->name('purchases.saleorder');

    Route::post('orders/purchase/{id}', [PurchaseController::class, 'store'])
        ->name('purchases.store');



    //payable invoice payable payment record

    Route::get('payable-payment', [PayablePaymentController::class, 'index'])->name('payable-payment');
    Route::post('payable-payment/store', [PayablePaymentController::class, 'store'])->name('payable-payment.store');

    Route::get('api/purchase/invoices/payment-payables/{id}', [PurchaseInvoiceController::class, 'payableInvoices'])->name('invoices.payable');


    Route::get('purchases/receivings/{id}', [PurchaseController::class, 'receivings'])
        ->name('purchases.receivings');

    Route::post('purchases/receivings/{id}', [PurchaseController::class, 'receivingStore'])
        ->name('receivings.store');
});