<?php

use App\Http\Controllers\Sales\OrderController;
use App\Http\Controllers\Sales\InvoiceController;
use App\Http\Controllers\Sales\ReceivablePaymentController;
use App\Http\Controllers\Sales\ReportController;
use App\Http\Controllers\CustomerController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\QuotationController;


Route::middleware('auth')->group(function () {

    //Quotations
    Route::get('quotes', [QuotationController::class, 'index'])
        ->name('quotes');
    Route::get('quotes/create', [QuotationController::class, 'create'])
        ->name('quotes.create');
    Route::post('quotes/store', [QuotationController::class, 'store'])
        ->name('quotes.store');
    Route::get('quotes/detail/{id}', [QuotationController::class, 'show'])
        ->name('quotes.show');
    Route::get('quotes/convert-so/{id}', [QuotationController::class, 'convertOrder'])
        ->name('quotes.convert');
    Route::post('quotes/convert-save/{id}', [QuotationController::class, 'storeConvertOrder'])
        ->name('quotes.convert-save');
    Route::get('quotes/edit/{id}', [QuotationController::class, 'edit'])
        ->name('quotes.edit');


    //edit quote 


    Route::post('quotes/update-basic/{id}', [QuotationController::class, 'basic'])
        ->name('quotes.update-basic');

    Route::post('quotes/update-address/{id}', [QuotationController::class, 'address'])
        ->name('quotes.update-address');

    Route::post('quotes/update-items/{id}', [QuotationController::class, 'items'])
        ->name('quotes.update-items');

    Route::post('quotes/update-charges/{id}', [QuotationController::class, 'charges'])
        ->name('quotes.update-charges');


    //orders

    Route::get('orders', [OrderController::class, 'index'])
        ->name('orders');

    Route::get('orders', [OrderController::class, 'index'])
        ->name('orders');
    Route::get('orders/edit/{id}', [OrderController::class, 'edit'])
        ->name('orders.edit');
    Route::post('orders/update-basic/{id}', [OrderController::class, 'basic'])
        ->name('orders.update-basic');
    Route::post('orders/update-address/{id}', [OrderController::class, 'address'])
        ->name('orders.update-address');
    Route::post('orders/update-items/{id}', [OrderController::class, 'items'])
        ->name('orders.update-items');
    Route::post('orders/update-charges/{id}', [OrderController::class, 'charges'])
        ->name('orders.update-charges');
    Route::get('orders/detail/{id}', [OrderController::class, 'show'])
        ->name('orders.show');
    Route::get('orders/pdf/{id}', [OrderController::class, 'pdf'])
        ->name('orders.pdf');


    Route::get('orders/invoices', [InvoiceController::class, 'orderInvoices'])
        ->name('orders.invoices');
    Route::post('orders/invoices/{id}', [InvoiceController::class, 'store'])
        ->name('invoices.store');
    Route::get('orders/refrence/{id}', [OrderController::class, 'refrence'])
        ->name('orders.refrence');
    Route::post('orders/change-order-status/{id}', [OrderController::class, 'changeOrderStatus'])
        ->name('orders.change-order-status');


    //invoices

    Route::get('invoices', [InvoiceController::class, 'index'])->name('invoices');
    Route::get('invoices/detail/{id}', [InvoiceController::class, 'show'])->name('invoices.show');
    Route::get('invoices/payment/{id}', [InvoiceController::class, 'payment'])
        ->name('invoices.payment');
    Route::post('invoices/save-payment/{id}', [InvoiceController::class, 'savePayment'])
        ->name('invoices.save-payment');
    Route::get('api/invoices/payment-receivables/{id}', [InvoiceController::class, 'receivableInvoices'])->name('invoices.receivable');
    //Route::get('invoices/sale-register', [ReportController::class, 'saleRegister'])->name('invoices.sale-register');

    // credit notes

    Route::get('credit-notes', [InvoiceController::class, 'creditnotes'])->name('credit-notes');
    Route::get('credit-notes/detail/{id}', [InvoiceController::class, 'creditnote_show'])->name('credit-notes.show');
    Route::get('invoices/credit-notes', [InvoiceController::class, 'invoiceCreditNotes'])
        ->name('invoices-credit-notes');
    //api
    Route::get('api/user/customers/{id}', [CustomerController::class, 'userCustomers'])->name('user-customers');
    Route::get('api/orders/sale-reps', [UserController::class, 'saleReps'])->name('orders.sale-reps');


    //sale invoice receivable payment record

    Route::get('receivable-payment', [ReceivablePaymentController::class, 'index'])->name('receivable-payment');
    Route::post('receivable-payment/store', [ReceivablePaymentController::class, 'store'])->name('receivable-payment.store');

});