<?php

use App\Http\Controllers\ProfileController;
use App\Http\Controllers\VendorController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\SettingController;
use App\Http\Controllers\AttachmentController;
use App\Http\Controllers\TextReferenceController;
use App\Http\Controllers\FeedbackController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/




Route::get('/', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::resource('feedbacks', FeedbackController::class);

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::get('/reports-dashboard', function () {
    return view('reports-dashboard');
})->middleware(['auth', 'verified'])->name('reports-dashboard');


Route::middleware('auth')->group(function () {
    Route::get('reference/attachments/{id}', [AttachmentController::class, 'attachments'])
        ->name('reference.attachments');
    Route::get('/reference/attachment/{filename}', [AttachmentController::class, 'viewAttachment'])->name('attachment.view');

    Route::get('reference/text/{id}', [TextReferenceController::class, 'reference'])
        ->name('reference.text');
    Route::post('reference/text/{id}', [TextReferenceController::class, 'saveOrUpdateReference'])
        ->name('reference.save-text');



    Route::get('api/purchase/vendors/{id}', [VendorController::class, 'companyVendors'])
        ->name('company.vendors');


    Route::get('coa/vendor/ledger/{id}', [VendorController::class, 'vendorLedger'])
        ->name('coa.bank-ledger');

    // Route::get('/truncate', [ProfileController::class, 'truncate'])->name('database.truncate');
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');



});
Route::get('/settings', [SettingController::class, 'index'])->name('settings');
Route::post('orders/upload/{id}', [AttachmentController::class, 'uploadOrder'])->name('order-upload');
require __DIR__ . '/auth.php';
require __DIR__ . '/general.php';
require __DIR__ . '/sales.php';
require __DIR__ . '/purchase.php';
require __DIR__ . '/pdf.php';
require __DIR__ . '/accounts.php';
require __DIR__ . '/fixed-assets.php';
