
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="dRgJf5ZbL7oWEJkrsk3OlLo7nsmdxXU0ErhLYtF1">

        <title>Enterprise Resource Planning</title>
        <style>
            /* Reset some default styling */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: sans-serif;
}

.min-h-screen {
  min-height: 100vh;
}

.text-header{
    font-size:12px;
}

.bg-gray-100 {
  background-color: #f7fafc;
}

.dark\:bg-gray-900 {
  background-color: #1a202c;
}

.font-sans {
  font-family: 'figtree', sans-serif;
}

.antialiased {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.px-4 {
  padding-left: 1rem;
  padding-right: 1rem;
}

.py-4 {
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.shadow-md {
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
}

.bg-white {
  background-color: #ffffff;
}

.text-sm {
  font-size: 0.875rem;
}

.text-left {
  text-align: left;
}

.text-gray-500 {
  color: #6b7280;
}

.dark\:text-gray-400 {
  color: #9ca3af;
}

.grid-cols-1 {
  grid-template-columns: repeat(1, minmax(0, 1fr));
}

.grid-cols-2 {
  grid-template-columns: repeat(2, minmax(0, 1fr));
}

.text-blue {
  color: #3b82f6;
}

.py-2 {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.px-6 {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

.text-blue h3 {
  font-size: 20px;
  font-weight: bold;
}

.col-span-12 {
  grid-column: span 12 / span 12;
}

.w-1/2 {
  width: 50%;
}

.bgblue_heading {
  background-color: #3b82f6;
}

.table {
  display: table;
  width: 100%;
  border-collapse: collapse;
}

.table th,
.table td {
  border: 1px solid #e2e8f0;
  padding: 0.75rem;
}

.table th {
  background-color: #f7fafc;
  text-align: left;
  font-weight: bold;
}

.table tbody tr:nth-child(even) {
  background-color: #f3f4f6;
}

/* Additional styling for specific elements */
img {
  max-width: 100%;
}

table th {
  white-space: nowrap;
}

/* You can continue adding your own styles based on your design requirements */

        </style>
    </head>
  
        
        <!-- Scripts -->
    <body class="font-sans antialiased">
        <div class="min-h-screen bg-gray-100 dark:bg-gray-900" >
 

            
           
            <main>
                <div >
       
    
        
    <div class="relative overflow-x-auto  sm:rounded-lg px-4">
        
   
    <div class="py-4 pb-4 shadow-md bg-white" style="padding: 40px;">
        <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
           
               
              
    <tr class="bg-white ">
        <th class="px-6 py-4">
          <img src="https://www.strunkmedia.com/wp-content/uploads/2018/05/bigstock-Print-163213010.png" style="width: 100px;">
          <br>GHI company<br>319-760 Mohawk Road West Hamilton, <br> L9C 6P6 Ontario Canada <br> 403-800-4390 <br> GST #: 75611 1506 RT0001 <br>403-800-4390<br>www.example.com
        </th>
        <td class="px-6 py-4">
        </td>
        <td class="px-6 py-4">
        </td>
        <td class="px-6 py-4">
            
        </td>
        <th class="px-6 py-4">
                        <p>Invoice</p><br>
                        <b>SO#</b>xxxxx<br>
            <b>Date</b>xxxxx<br>
            <b>Payment Method:</b> xxxxx <br>
        </th>
    </tr>
    




    </table>        
            <div class="grid grid-cols-1 md:grid-cols-2 gap-4 bg-white mb-10" style="margin-bottom: 50px;
            display: inline-flex;
            width: 100%;">
            <div class="col-span-1 md:col-span-6" style="    width: 50%;
            ">
                <div class="grid grid-cols-1 gap-4 ">
                    <div class="flex px-6 py-4">
                        <div class="col-span-12  text-blue py-2 px-4"><h3 style="font-size: 20px;font-weight: bold;">Billing Address</h3></div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;     display: inline-flex;                    " >
                        <div class="w-1/2 text-gray-600" style="width: 50%"><b class="text-header">Company Name</b></div>
                        <div class="w-1/2 text-gray-600" style="width: 50%"><b class="text-header">Primary Contact</b></div>
                    </div>
                    
                    <div  class="flex px-6" style="width: 100%; display: inline-flex;">
                        <div class="w-1/2 text-gray-600" style="width: 50%; padding: 5px 0px 5px 2px;">Morin and Robertson Plc</div>
                        <div class="w-1/2 text-gray-600" style="width: 50%; padding: 5px 0px 5px 2px;">BOGUCKI</div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="col-span-12 text-gray-600"><b class="text-header">Address</b></div>
                    </div>
                    <div class="flex px-6 "  style="width: 100%;display: inline-flex;">
                        <div class="col-span-12 text-gray-600; padding: 5px 0px 5px 2px;">101 Allied Parkway</div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="w-1/2 text-gray-600" style="width: 33.33%"><b class="text-header">City</b></div>
                        <div class="w-1/2 text-gray-600" style="width: 33.33%"><b class="text-header">State</b></div>
                        <div class="w-1/2 text-gray-600" style="width: 33.33%"><b class="text-header">Zip/Postal</b></div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="w-1/2 text-gray-600" style="width: 33.33%;padding: 5px 0px 5px 2px;">Karachi</div>
                        <div class="w-1/2 text-gray-600" style="width: 33.33%;padding: 5px 0px 5px 2px;">AK</div>
                        <div class="w-1/2 text-gray-600" style="width: 33.33%;padding: 5px 0px 5px 2px;">08081</div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="w-1/2 text-gray-600" style="width: 50%"><b class="text-header">Phone</b></div>
                        <div class="w-1/2 text-gray-600" style="width: 50%"><b class="text-header">Email</b></div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="w-1/2 text-gray-600" style="width: 50%;padding: 5px 0px 5px 2px;">855-395-8326</div>
                        <div class="w-1/2 text-gray-600" style="width: 50%;padding: 5px 0px 5px 2px;">Blessy@boguckienterprises.com</div>
                    </div>
                </div>
            </div>
            <div class="col-span-1 md:col-span-6" style="    width: 50%;
            ">
                <div class="grid grid-cols-1 gap-4">
                    <div  class="flex px-6 py-4" style="width: 100%">
                        <div class="col-span-12  text-blue py-2 px-4"><h3 style="font-size: 20px;font-weight: bold;">Shipping Address</h3></div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;" >
                        <div class="w-1/2 text-gray-600" style="width: 50%"><b class="text-header">Company Name</b></div>
                        <div class="w-1/2 text-gray-600" style="width: 50%"><b class="text-header">Primary Contact</b></div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="col-span-6" style="width: 50%">Munoz and Park Plc</div>
                        <div class="col-span-6" style="width: 50%">Ignatius Jennings</div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="col-span-12 text-gray-600"><b class="text-header">Address</b></div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="col-span-12" style="padding: 5px 0px 5px 2px;">276 First Boulevard</div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="w-1/2 text-gray-600" style="width: 33.33%"><b class="text-header">City</b></div>
                        <div class="w-1/2 text-gray-600" style="width: 33.33%"><b class="text-header">State</b></div>
                        <div class="w-1/2 text-gray-600" style="width: 33.33%"><b class="text-header">Zip/Postal</b></div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="w-1/2 text-gray-600" style="width: 33.33%;padding: 5px 0px 5px 2px;">8</div>
                        <div class="w-1/2 text-gray-600" style="width: 33.33%;padding: 5px 0px 5px 2px;">AR</div>
                        <div class="w-1/2 text-gray-600" style="width: 33.33%;padding: 5px 0px 5px 2px;">29321</div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="w-1/2 text-gray-600" style="width: 50%"><b class="text-header">Phone</b></div>
                        <div class="w-1/2 text-gray-600" style="width: 50%"><b class="text-header">Email</b></div>
                    </div>
                    <div  class="flex px-6" style="width: 100%;display: inline-flex;">
                        <div class="w-1/2 text-gray-600" style="width: 50%;padding: 5px 0px 5px 2px;">+1 (264) 375-1492</div>
                        <div class="w-1/2 text-gray-600" style="width: 50%;padding: 5px 0px 5px 2px;">dyhu@mailinator.com</div>
                    </div>
                </div>
            </div>
        </div>
        

            
            <hr>
    
    
    
    
                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400 bg-white py-4">
    
                    <thead>
    
                        <tr class="bgblue_heading">
    
                            <th class="px-6 py-1">Sale Name</th>
    
                            <th class="px-6 py-1">Sale Phone </th>
    
                           
    
                            <th class="px-6 py-1">Sale Email</th>
    
                        </tr>
    
                    </thead>
    
                    <tbody>
    
                        <tr>
    
                            <td class="px-6 ">N/A</td>
    
                            <td class="px-6 ">N/A</td>
    
                         
    
                            <td class="px-6 ">N/A</td>
    
                        </tr>
    
                    </tbody>
    
                </table>
    
       
                <hr>
    
    
       
    
                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400 bg-white">
    
                    <thead>
    
                        <tr class="bgblue_heading">
    
                            <th class="px-6 py-4" width="20%">PART NO. </th>
    
                            <th class="px-6 py-4" width="40%">DESCRIPTION </th>
    
                            <th class="px-6 py-4" width="15%">UNIT PRICE </th>
    
                            <th class="px-6 py-4" width="10%">Qty</th>
    
                            <th class="px-6 py-4" width="15%">Total</th>
    
    
    
                        </tr>
    
                    </thead>
    
                    <tbody>
    
                                                    
                  
                        
                            <tr>
    
                                <td class="px-6 py-4">Z11B-2000762526</td>
    
                                <td class="px-6 py-4">Apple M1 chip with 8?core CPU, 8?core GPU, and  16?core Neural Engine 16GB unified memory 512GB SSD storage 13-inch Retina display with True Tone Backlit Magic Keyboard - US English Touch Bar and Touch ID Two Thunderbolt / USB 4 ports Accessory Kit with 3 year apple care</td>
    
                                <td class="px-6 py-4"><span>CAD</span>2300</td>
    
                                <td class="px-6 py-4">1</td>
    
                                <td class="px-6 py-4"><span>CAD</span>2300</td>
    
                                
                            </tr>
                                                    
                    </tbody>
    
                </table>
    <hr>
                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400 bg-white">
    
                   <tr>
    
                                <td class="px-6 py-4">ACH/Wire instructions</td>
    
                                <td class="px-6 py-4"></td>
    
                                <td class="px-6 py-4"></td>
    
                                <td class="px-6 py-4">SubTotal</td>
    
                                <td class="px-6 py-4">$69,433.10</td>
    
                                
                            </tr>
                            <tr>
    
                                <td class="px-6 py-4">Account Title	IT DEVICES ONLINE INC	</td>
    
                                <td class="px-6 py-4">Account Number	80010516542</td>
    
                                <td class="px-6 py-4"></td>
    
                                <td class="px-6 py-4">3.5% CC Charges (if any)	</td>
    
                                <td class="px-6 py-4">$69,433.10</td>
    
                                
                            </tr>
    
                        
               
    
                </table>
    
    
    
    
   
        
    </div>
</div>

    </div>
            </main>
        </div>
  

           
      
    </body>
</html>
<?php /**PATH C:\wamp64\www\itdportal2023\resources\views/pdf/order.blade.php ENDPATH**/ ?>