<script>
  const app = Vue.createApp({
   data() {
     return {
     
       vendors:[],
       selectedItems:[],
       billingCountry_id : '<?php echo e($purchase->billingCountry_id); ?>',
       billingState_id : '<?php echo e($purchase->billingState_id); ?>',
       shippingCountry_id : '<?php echo e($purchase->shippingCountry_id); ?>',
       shippingState_id : '<?php echo e($purchase->shippingState_id); ?>',
       billingCountries: [],
       billingStates: [],
       shippingCountries: [],
       shippingStates: [],
       charges:0,
     };
   },
   computed: {
    calculatedValues() {
      return this.selectedItems.map(item => (item.quantity * item.price).toFixed(2));
    },
    subtotal() {
      return 0;
    }
  },
   methods: {
    calculateCharges() {
          const inputElements = document.querySelectorAll('.charges-amount');
            let sum = 0;
          inputElements.forEach((element) => {
            sum += parseFloat(element.value || 0);
          });
          this.charges = sum;
          
          },
      changeSelectOption(){

          },
    async fetchBillingCountries() { 
      try {
       const responseCountries = await axios.get('/api/countries');
       this.billingCountries = responseCountries.data;
       this.billingCountry_id ? this.billingCountry_id : this.billingCountry_id = responseCountries.data[0].id;
       await this.fetchBillingStates(); 
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
     async fetchBillingStates() { 
       try {
         const response = await axios.get(`/api/states?country=${this.billingCountry_id}`);
         this.billingStates = response.data;
         this.billingState_id ? this.billingState_id : this.billingState_id = response.data[0].id;
         await this.fetchShippingCountries();
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },
    async fetchShippingCountries() { 
      try {
       const responseCountries = await axios.get('/api/countries');
       this.shippingCountries = responseCountries.data;
       this.shippingCountry_id ? this.shippingCountry_id : this.shippingCountry_id = responseCountries.data[0].id;
       await this.fetchShippingStates(); 
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
     async fetchShippingStates() { 
       try {
         const response = await axios.get(`/api/states?country=${this.shippingCountry_id}`);
         this.shippingStates = response.data;
         this.shippingState_id ? this.shippingState_id : this.shippingState_id = response.data[0].id;
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },
    async fetchVendors() { 
      try {
       let company_id = "<?php echo e(auth()->user()->company_id); ?>";
       const vendors = await axios.get('/api/purchase/vendors/'+company_id);
       this.vendors = vendors.data;   
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
     toggleItem(item) {
      if (this.isSelected(item)) {
        
        const index = this.selectedItems.findIndex(selectedItem => selectedItem.id === item.id);
        if (index !== -1) {
          this.selectedItems.splice(index, 1);
        }
       
      } else {
      
        this.selectedItems.push(item);
        
      }
    },
    isSelected(item) {
      return this.selectedItems.some(selectedItem => selectedItem.id === item.id);
    }
  },
   async created() {
    await this.fetchVendors();
    await this.fetchBillingCountries(); 
    
   },
 });

 app.mount('#app');
</script><?php /**PATH C:\wamp64\www\sp-portal\resources\views/purchase/scripts/edit-order.blade.php ENDPATH**/ ?>