<script>
  const app = Vue.createApp({
   data() {
     return {
       itemName: '',
       items: [],
       selectedCountry : "<?php echo e(old('country_id', $vendor?$vendor->country_id:'null')); ?>",
       selectedState : "<?php echo e(old('state_id', $vendor?$vendor->state_id:'null')); ?>",
       countries: [],
       statesList: [],
     };
   },
   methods: {
    async fetchCountries() { 
      try {
       const responseCountries = await axios.get('/api/countries');
       this.countries = responseCountries.data;
       this.selectedCountry ? this.selectedCountry : this.selectedCountry = responseCountries.data[0].id;
       await this.fetchStates(); 
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
     async fetchStates() { 
       try {
         const response = await axios.get(`/api/states?country=${this.selectedCountry}`);
         this.statesList = response.data;
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },

     async createItem() {
       // Simulate adding an item (since we're using a fake API)
       this.items.push({ id: this.items.length + 1, title: this.itemName });
       this.itemName = '';
     },
   },
   async created() {
    await this.fetchCountries(); 
   },
 });

 app.mount('#app');
</script><?php /**PATH C:\wamp64\www\itdportal2023\resources\views/vendors/scripts/form.blade.php ENDPATH**/ ?>