<script>
  const app = Vue.createApp({
   data() {
     return {
       itemName: '',
       searchQuery: '',
       quoteNo: 'NA',
       
       items: [{ id:1, item: "", description: "", quantity: 0, price: 0 }],
       selectedCustomer:null,
       selectedUser:'',
       customers:[],
       users:[],
       charges:0,
       ref: '',
       customer_id: null,
       //billing address
       billingCompany: '',
       billingPerson: '',
       billingPhone: '',
       billingEmail: '',
       billingCity: '',
       billingCountry_id : null,
       billingState_id : null,
       billingPostal: '',
       billingAddress: '',
       //shipping address

       shippingCompany: '',
       shippingPerson: '',
       shippingPhone: '',
       shippingEmail: '',
       shippingCity: '',
       shippingCountry_id : null,
       shippingState_id : null,


       //others
       sameBillingShipping : false,
       billingCountries: [],
       billingStates: [],
       shippingCountries: [],
       shippingStates: [],
     };
   },

   computed: {
    isReadOnly() {
      return this.sameBillingShipping;
    },
    calculatedValues() {
      return this.items.map(item => (item.quantity * item.price).toFixed(2));
    },
    subtotal() {
      return this.items.reduce((total, item) => total + item.price*item.quantity, 0);
    }

  },
   methods: {
    calculateCharges() {
          const inputElements = document.querySelectorAll('.charges-amount');
            let sum = 0;
          inputElements.forEach((element) => {
            sum += parseFloat(element.value || 0);
          });
          this.charges = sum;
          
          },

    async fetchCustomers() { 
      if(this.searchQuery.length > 2){
      try {
       const responseCustomers = await axios.get(`/api/user/customers/1?searchQuery=${this.searchQuery}`);
       this.customers = responseCustomers.data;
      // this.selectedCustomer ? this.selectedCustomer : this.selectedCustomer = responseCustomers.data[0].id;
       
     } catch (error) {
       console.error('Error fetching data:', error);
     }
    }

     },
     customerBillingAndShipping(){
     
      
      this.billingCompany= this.selectedCustomer.company;
      this.billingPerson= this.selectedCustomer.firstName+' '+this.selectedCustomer.lastName;
      this.billingPhone= this.selectedCustomer.phone;
      this.billingEmail= this.selectedCustomer.email;
      this.billingCity= this.selectedCustomer.city;
      this.billingCountry_id = this.selectedCustomer.country_id;
      this.billingState_id = this.selectedCustomer.state_id;
      this.billingAddress = this.selectedCustomer.address;
      this.billingPostal = this.selectedCustomer.postalCode;

      if(!this.sameBillingShipping){
      

      
      this.shippingCompany = this.billingCompany;
      this.shippingContact = this.billingPerson;
      this.shippingPhone = this.billingPhone;
      this.shippingEmail = this.billingEmail;
      this.shippingCity = this.billingCity;
      this.shippingCountry_id = this.billingCountry_id;
      this.shippingState_id = this.billingState_id;
      this.shippingAddress = this.billingAddress;
      this.shippingPostal = this.billingPostal;

      }else{
    
       
        
        // this.shippingCompany = '';
        // this.shippingContact = '';
        // this.shippingPhone = '';
        // this.shippingEmail = '';
        // this.shippingCity = '';
        // this.shippingCountry_id = '';
        // this.shippingState_id = '';
        // this.shippingAddress = '';
        // this.shippingPostal = '';
  
      }
      
      
     },
     selectCustomer(customer) {
      this.selectedCustomer = customer;

      




      this.customer_id = customer?customer.id:null;
      this.customers = [];
      this.searchQuery = '';
      this.customerBillingAndShipping()
    },
     async fetchUsers() { 
      try {
       const responseUsers = await axios.get('/api/orders/sale-reps');
       this.users = responseUsers.data;
       this.selectedUser ? this.selectedUser : this.selectedUser = responseUsers.data[0].id;
       this.fetchQuoteNo(this.selectedUser)
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
    async fetchBillingCountries() { 
      try {
       const responseCountries = await axios.get('/api/countries');
       this.billingCountries = responseCountries.data;
       this.billingCountry_id ? this.billingCountry_id : this.billingCountry_id = responseCountries.data[0].id;
       await this.fetchBillingStates(); 
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
     async fetchBillingStates() { 
       try {
         const response = await axios.get(`/api/states?country=${this.billingCountry_id}`);
         this.billingStates = response.data;
         this.billingState_id ? this.billingState_id : this.billingState_id = response.data[0].id;
         await this.fetchShippingCountries();
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },

     async fetchQuoteNo(userid) { 
       try {
         const response = await axios.get(`/api/orders/get-quote-no/${userid}`);
         this.quoteNo = response.data;
         
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },

     async fetchShippingCountries() { 
      try {
       const responseCountries = await axios.get('/api/countries');
       this.shippingCountries = responseCountries.data;
       this.shippingCountry_id ? this.shippingCountry_id : this.shippingCountry_id = responseCountries.data[0].id;
       await this.fetchShippingStates(); 
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },
     async fetchShippingStates() { 
       try {
         const response = await axios.get(`/api/states?country=${this.shippingCountry_id}`);
         this.shippingStates = response.data;
         this.shippingState_id ? this.shippingState_id : this.shippingState_id = response.data[0].id;
       } catch (error) {
         console.error('Error fetching data:', error);
       }
     },

     async createItem() {
       
       this.items.push({ id: this.items.length + 1,  item: "", description: "", quantity: 0, price: 0  });
       //this.itemName = '';
     },

      deleteItem(item) {
        if (confirm(`Are you sure you want to delete?`)) {
        const index = this.items.findIndex(selectedItem => selectedItem.id === item.id);
        if (index !== -1) {
          this.items.splice(index, 1);
        }

      }
       
     },

     showOptions() {
      this.optionsVisible = true;
    },
    hideOptions() {
      setTimeout(() => {
        this.optionsVisible = false;
      }, 200); // Delay to allow click on option
    },
    filterOptions() {
      this.hideOptions();
    },
    selectOption(option) {
      this.searchText = option.label;
      this.hideOptions();
      // Do something with the selected option.value
    }
   },
   async created() {
   // await this.fetchCustomers();
    await this.fetchUsers(); 
    await this.fetchBillingCountries(); 
  
    
   },
 });

 app.mount('#app');


 
</script>
<script>
  const form = document.getElementById('quoteForm');
  form.addEventListener('keypress', function(e) {
    if (e.keyCode === 13) {
      e.preventDefault();
    }
  });
</script><?php /**PATH C:\wamp64\www\itdportal2023\resources\views/sales/scripts/quote.blade.php ENDPATH**/ ?>