<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

        <title><?php echo e(config('app.name', 'Laravel')); ?></title>

        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />
        <script src="<?php echo e(asset('js/vue-3-global.js')); ?>"></script>
        
        <script src="<?php echo e(asset('js/axios.min.js')); ?> "></script>

        <!-- Scripts -->
        <?php echo app('Illuminate\Foundation\Vite')(['resources/css/app.css', 'resources/js/app.js']); ?>
        <?php echo $__env->yieldPushContent('styles'); ?>

        <style>
            .c-pill {
  align-items: center;
  font-family: "Open Sans", Arial, Verdana, sans-serif;
  font-weight: bold;
  font-size: 11px;
  display: inline-block;
  height: 100%;
  white-space: nowrap;
  width: auto;
  position: relative;
  border-radius: 100px;
  line-height: 1;
  overflow: hidden;
  padding: 0px 12px 0px 20px;
  text-overflow: ellipsis;
  line-height: 1.5rem;
  color: #595959;
  word-break: break-word;
  min-width: 150px;

  text-align: center;
}
.c-pill:before {
  border-radius: 50%;
  content: "";
  height: 10px;
  left: 6px;
  margin-top: -5px;
  position: absolute;
  top: 50%;
  width: 10px;
}

.c-pill--accounts {
  background: #b6f4ffe6;
}

.c-pill--accounts:before {
  background: #02d9ff;
}
.c-pill--closed {
  background: #86fcad9e;
}

.c-pill--closed:before {
  background: #00f80ce6;
}



.c-pill--pending {
  background: #ffebb6;
}

.c-pill--pending:before {
  background: #ffc400;
}

.c-pill--purchase {
  background: #e0b6ffad;
}

.c-pill--purchase:before {
  background: #9402fd;
}
            </style>
        
    </head>
    <body class="font-sans antialiased">
        <div class="min-h-screen bg-gray-100 dark:bg-gray-900" >
            <?php echo $__env->make('layouts.navigation', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <!-- Page Heading -->
            <?php if(isset($header)): ?>
                <header class="bg-white dark:bg-gray-800 shadow">
                    <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                        <?php echo e($header); ?>

                    </div>
                </header>
            <?php endif; ?>

            <!-- Page Content -->
            <main>
                <?php echo e($slot); ?>

            </main>
        </div>
       
        <?php echo $__env->yieldPushContent('scripts'); ?>
      
    </body>
</html>
<?php /**PATH C:\wamp64\www\itdportal2023\resources\views/layouts/app.blade.php ENDPATH**/ ?>